RUN=1
	if RUN=1
	org $1001-2
	dw  $1001
	
	dw nextln,0	; second word is line number
	db $9E,"4109",0
nextln	db 0,0
	else
	org $A000-2
	dw  $A000
	endif

	include "!playerv.asm"

LINE1_Y		= 10
LINE2_Y		= 13
SCROLL_POS	= 16
LOGO_X		= 5
LOGO_Y		= 1

irq_cnt		= $B0
scroll_x	= $B1
src		= $B2  
dst		= $B4
text_ptr	= $B6

logo_fade_cnt	= $B8
logo_fade_idx	= $B9
logo_color_idx	= $BA
text_pulse	= $BB
text_color	= $BC
drum_counter	= $BD
fld_gap		= $BE
fld_tmp		= $BF
 
 	if RUN=1
	sei
	sta $ff3f
	jmp start
	endif
	
	org $A000
start	ldx #$FF
	lda $FF07
	and #$40
	beq *+4
	ldx #$F8
	cpx $FF1D
	bne *-3
	;
	lda #$00
	sta $FF19
	sta $FF06
	sta $FF12
	sta $FF15
	sta scroll_x
	sta text_pulse
	sta drum_counter
	sta logo_color_idx
	;
	lda #$01
	sta text_color
	;
	lda #$20
	sta logo_fade_cnt
	;
	lda sine
	sta fld_gap
	;
	lda #irq & 255
	sta $FFFE
	lda #irq >> 8
	sta $FFFF
	;
	lda #$08				; fill with multicolor black
	tay					; from $0800
	ldx #$01
	jsr fill
	;
	tya					; y=0 after fill
	ldy #$09
	ldx #$02
	jsr fill
	;
	lda #$00
	ldy #$0C
	ldx #$03
	jsr fill
	;
	lda #charmap & 255
	sta src
	lda #charmap >> 8
	sta src+1
	;
	lda #($0C00 + LOGO_Y * 40 + LOGO_X) & 255
	sta dst
	lda #($0C00 + LOGO_Y * 40 + LOGO_X) >> 8
	sta dst+1
	;
	ldx #8-1
il2	ldy #30-1
il1	lda (src),y
	sta (dst),y
	dey
	bpl il1 
	;
	lda src
	clc
	adc #30
	sta src
	bcc *+4
	inc src+1
	;
	lda dst
	clc
	adc #40
	sta dst
	bcc *+4
	inc dst+1
	;
	dex
	bpl il2
	;
	lda #text_data & 255
	sta text_ptr
	lda #text_data >> 8
	sta text_ptr+1
	;
	ldx #15
il3	lda line1,x
	sta $0C00 + (LINE1_Y+0) * 40 + 12,x
	ora #$40
	sta $0C00 + (LINE1_Y+1) * 40 + 12,x
	dex
	bpl il3
	;
	ldx #23
il4	lda line2,x
	sta $0C00 + (LINE2_Y+0) * 40 + 8,x
	ora #$40
	sta $0C00 + (LINE2_Y+1) * 40 + 8,x
	dex
	bpl il4
	;
	inx						; x=0
	stx irq_cnt
	jsr set_irq
	;
	jsr PLAYER_INIT
	;
	lda #$CB
	cmp $FF1D
	bne *-3
	;
	asl $FF09
	;
	cli
	;
main_loop
	lda #$7F
	sta $FD30
	sta $FF08
	lda $FF08
	and #$10	; Query keyboard for "Space"
	beq quit
	;
	lda #$FF
	sta $FD30
	lda #$FB
	sta $FF08
	lda $FF08
	and #$40
	beq quit
	;
	lda #$FF
	sta $FD30
	lda #$FD
	sta $FF08
	lda $FF08
	and #$80
	bne main_loop
	;
quit	sei
	lda #$00
	sta $FF11
	lda #$0B
	sta $FF06
	jmp $0600

fill	sty dst+1
	ldy #$00
	sty dst
f1	sta (dst),y
	iny
	bne f1
	inc dst+1
	dex
	bpl f1
	rts
	;
irq	pha
	txa
	pha
	tya
	pha
	;
	;dec $FF19
irq_call
	jsr $FFFF
	jsr set_irq
	;
	;inc $FF19
	;
	asl $FF09
	pla
	tay
	pla
	tax
	pla
	rti
	
set_irq
	ldx irq_cnt
	inx
	cpx #(irq_calls_hi - irq_calls_lo)
	bne *+4
	ldx #$00
	stx irq_cnt
	;
	lda irq_calls_lo,x
	sta irq_call+1
	lda irq_calls_hi,x
	sta irq_call+2
	lda irq_line,x
	sta $FF0B
	;
	rts

irq1
;	lda $FF1E
;	cmp #$7E
;	beq ah16
;	cmp #$7A
;	beq ah12
;	cmp #$76
;	beq ah8
;	cmp #$72
;	beq ah4
;	cmp #$6E
;	beq ah0
;	;
;ah16	bit $24
;ah12	bit $24
;ah8	bit $24
;ah4	bit $24
;ah0	;
;	; ---
;	;
;	nop
;	nop
;	nop
;	nop
;	nop
	;
	lda #$03
	cmp $FF1D
	bne *-3
	;
	ldx fld_gap
	ldy #$07
fld1	lda $FF1D
	and #$07
	ora #$10
	sty $FF1F
	sta $FF06
	dex
	bpl fld1
	;
	ldy #$04
delay2	ldx #$C6
delay1	dex
	bne delay1
	dey 
	bne delay2
	;
	; ---
	;
	ldx #$07
fld2	lda $FF1D
	tay
	and #$07
	ora #$18
	sty fld_tmp
	ldy #$07
	sty $FF1F
fld3	ldy fld_tmp
	cpy $FF1D
	beq fld3
	;
	sta $FF06
	dey
	bpl fld2
	;
sine_index
	lda #$FF
	clc
	adc #$01
	and #$7F
	sta sine_index+1
	tax
	lda sine,x
	sta fld_gap
	;
	rts
	
sine
; 64,36,4,48
	db $04,$04,$05,$06,$07,$08,$0A,$0C,$0F,$11,$14,$17,$1A,$1E,$21,$24
	db $28,$2C,$2F,$32,$36,$39,$3C,$3F,$41,$44,$46,$48,$49,$4A,$4B,$4C
	db $4C,$4C,$4B,$4A,$49,$48,$46,$44,$41,$3F,$3C,$39,$36,$32,$2F,$2C
	db $28,$24,$21,$1E,$1A,$17,$14,$11,$0F,$0C,$0A,$08,$07,$06,$05,$04
; 128,72,4,96
	db $04,$04,$04,$05,$05,$06,$07,$08,$09,$0B,$0D,$0E,$10,$12,$14,$17
	db $19,$1C,$1E,$21,$24,$27,$2A,$2D,$30,$34,$37,$3B,$3E,$41,$45,$48
	db $4C,$48,$45,$41,$3E,$3B,$37,$34,$30,$2D,$2A,$27,$24,$21,$1E,$1C
	db $19,$17,$14,$12,$10,$0E,$0D,$0B,$09,$08,$07,$06,$05,$05,$04,$04

irq2	lda $FF07
	and #$40
	sta $FF07
	;
	lda #font >> 8
	sta $FF13
	;
	lda text_pulse
	clc
	adc #$01
	and #$1F
	sta text_pulse
	lsr a
	tax
	lda text_colors,x
	ora text_color
	sta $FF15
	;
anim1	lda #$00
	clc
	adc #$02
	and #$3F
	sta anim1+1
	and #$F0
	tax
	ldy #$00
an1	lda star_anim_1,x
	sta charset + $568,y
	lda star_anim_2,x
	sta charset + $638,y
	inx
	iny
	cpy #$10
	bne an1
	;
	; ---
	;
	lda logo_fade_cnt
	clc
	adc #$01
	cmp #200
	bne *+4
	lda #$00
	sta logo_fade_cnt
	;
	cmp #8
	bne no_color_change
	;
	ldx logo_color_idx
	inx
	cpx #4
	bne *+4
	ldx #0
	stx logo_color_idx
	;
	ldx text_color
	inx
	cpx #$10
	bne *+4
	ldx #$01
	stx text_color
	;
no_color_change
	;
	lsr a
	cmp #14
	bcc *+4
	lda #14
	sta logo_fade_idx
	;
	rts

irq3	lda text_pulse
	clc
	adc #$10
	and #$1F
	lsr a
	tax
	lda text_colors,x
	ora text_color
	sta $FF15
	;
	lda $FF11
	and #$40
	beq no_drum
	lda $FF0F
	cmp #$F0
	bcs no_drum
	;lda drum_counter
	;clc
	;adc #$01
	;cmp #6*8
	;bne *+4
	;lda #$00
	;sta drum_counter
	;cmp #6*4
	;bcc no_drum
	;cmp #6*5
	;bcs no_drum
	;
	lda #raster_colors_2 & 255
	db $2C
no_drum
	lda #raster_colors & 255
	sta i21+1
	;
	; ---
	;
	ldx logo_fade_idx
	ldy logo_color_idx
	;
	lda logo_fade_2,x
	beq *+5
	ora logo_colors_4,y
	;
	ldy #5
fl2	sta $0800 + (LOGO_Y+1) * 40 + LOGO_X,y
	sta $0800 + (LOGO_Y+2) * 40 + LOGO_X,y
	sta $0800 + (LOGO_Y+3) * 40 + LOGO_X,y
	sta $0800 + (LOGO_Y+4) * 40 + LOGO_X,y
	sta $0800 + (LOGO_Y+5) * 40 + LOGO_X,y
	;
	sta $0800 + (LOGO_Y+1) * 40 + LOGO_X+24,y
	sta $0800 + (LOGO_Y+2) * 40 + LOGO_X+24,y
	sta $0800 + (LOGO_Y+3) * 40 + LOGO_X+24,y
	sta $0800 + (LOGO_Y+4) * 40 + LOGO_X+24,y
	sta $0800 + (LOGO_Y+5) * 40 + LOGO_X+24,y
	;
	dey
	bpl fl2
	;
	ldy logo_color_idx
	lda logo_fade_2,x
	beq *+5
	ora logo_colors_5,y
	;
	ldy #31
fl3	sta $0800 + (LOGO_Y+7) * 40 + LOGO_X,y
	dey
	bpl fl3
	;
	ldy logo_color_idx
	lda logo_fade_3,x
	beq *+5
	ora logo_colors_2,y
	sta $FF16
	;
	rts

irq4	lda $FF07
	and #$40
	ora scroll_x
	;
	nop
	nop
	nop
	nop
	;
	sta $FF07
	;
	ldx #$00
	ldy #$A8
i21	lda raster_colors,x
	cpy $FF1E
	bcs *-3
	sta $FF15
	sta $0FFF
	inx
	cpx #$11
	bne i21
	;
	rts
	
irq5	jsr PLAYER
	;
	lda #$1B
	sta $FF06
	;
	lda $FF07
	and #$40
	ora #$98
	sta $FF07
	;
	lda #logo >> 8
	sta $FF13
	;
	lda #$00
	sta $FF15
	;
	; ---
	;
	ldx logo_fade_idx
	ldy logo_color_idx
	;
	lda logo_fade_1,x
	beq *+5
	ora logo_colors_1,y
	sta $FF17
	;
	lda logo_fade_2,x
	beq *+5
	ora logo_colors_3,y
	;
	ldy #17
fl1	sta $0800 + (LOGO_Y+0) * 40 + LOGO_X+6,y
	sta $0800 + (LOGO_Y+1) * 40 + LOGO_X+6,y
	sta $0800 + (LOGO_Y+2) * 40 + LOGO_X+6,y
	sta $0800 + (LOGO_Y+3) * 40 + LOGO_X+6,y
	sta $0800 + (LOGO_Y+4) * 40 + LOGO_X+6,y
	sta $0800 + (LOGO_Y+5) * 40 + LOGO_X+6,y
	sta $0800 + (LOGO_Y+6) * 40 + LOGO_X+6,y
	dey
	bpl fl1    
	;
	; ---
	;
	lda scroll_x
	sec
scroll_speed
	sbc #2
	tax
	and #$07
	sta scroll_x
	txa
	bpl no_scroll
	;
	ldx #$00
sc1	lda $0C00 + (SCROLL_POS+0) * 40 + 1,x
	sta $0C00 + (SCROLL_POS+0) * 40 + 0,x
	lda $0C00 + (SCROLL_POS+1) * 40 + 1,x
	sta $0C00 + (SCROLL_POS+1) * 40 + 0,x
	inx
	cpx #39
	bne sc1
	;
	ldy #$00
sc2	lda (text_ptr),y
	cmp #$FF
	bne no_wrap
	;
	lda #text_data & 255
	sta text_ptr
	lda #text_data >> 8
	sta text_ptr+1
	bne sc2
	;
no_wrap
	sta $0C00 + (SCROLL_POS+0) * 40 + 39
	ora #$40
	sta $0C00 + (SCROLL_POS+1) * 40 + 39
	;
	inc text_ptr
	bne *+4
	inc text_ptr+1
	;
no_scroll
	;
	rts
	
	include "!player.asm"
	include "!player_data.asm"
	include "music.asm"

logo_colors_1
	db $1,$D,$B,$9	; fixed ($FF17), lum $7 (can be any color)
logo_colors_2
	db $1,$6,$2,$8	; fixed ($FF16), lum $3 (can be any color)
logo_colors_3
	db $D,$E,$A,$F	; per-character, lum $5 (only colors 1-7); HCS letters
logo_colors_4
	db $E,$B,$C,$9	; per-character, lum $5 (only colors 1-7); box
logo_colors_5
	db $9,$9,$C,$F	; per-character, lum $5 (only colors 1-7); lower line

	align $0800
font
	include "1x2_font.asm"

irq_calls_lo
	db irq1 & 255
	db irq2 & 255
	db irq3 & 255
	db irq4 & 255
	db irq5 & 255
irq_calls_hi
	db irq1 >> 8
	db irq2 >> 8
	db irq3 >> 8
	db irq4 >> 8
	db irq5 >> 8
irq_line
	db $01
	db $87
	db $A0
	db $B7
	db $CE
	
	cmap "A",1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26
	cmap " ",0
line1
	db "PROUDLY PRESENTS"
line2
	db "TURBO OUTRUN +4 PAL/NTSC"

text_data
	db "*** TURBO OUTRUN +4 *** "
	db "CRACKED ON 31.06.1989 BY HCS: CMS, KNM AND SUPY. "
	db "          "
	db "MESSAGES: TCFS! WE CRACK YOUR NEW PROTECTION IN 2 MINUTES! HEHE!!! "
	db "MUCSI: CONGRATULATIONS ON YOUR 100TH CONVERTED GAME!!! "
	db "PIGMY: YOUR VERSION OF ELITE IS VERY GOOD!!! BUT BOOMBY'S INTRO IS BETTER!!! "
	db "CROWN: WE JUST SAW YOUR IRON MAIDEN DEMO, THE MUSIC IS VERY GOOD!!! "
	db "TPSH: PUNKS NOT DEAD!!! "
	db "          "
	db "GREETINGS TO: TCFS, UNREAL, CSABO, MURPHY, EDHELLON, KICHY, BUBIS, RACHY, GAIA, SIZ, CHRONOS, "
	db "LUCA, MMS, BSZ, LAVINA, "
	db "CHARLES, COPASS, BEAST, "
	db "SVS, GERLICZER, GEORGE, MAD, "
	db "HAEGAR, XEROX, "
	db "LITWR, TLC, SPEKTRO, GRASS, "
	db "SQUAREWAVE, FADE, JAVIERGLEZ, COBBPG, "
	db "DCD, LARRY, ATI, "
	db "LACOSTE, ROEPIPI, SEFF, JAMESC, EPY, MIK, VERONA, DELEST, TPSH, CROWN AND EVERY ACTIVE PLUS/4 USER ON THE PLANET! "
	db "          "
	db "FUCKINGS TO GREGORY TULIPAN! "
	db "          "
	db "BUY MESEL AZ ERDO! "
	db "          "
	db "TERROR NEWS #32 OUT NOW! "
	db "          "
	db "PRESS SPACE OR FIRE!"
	db "          "
	db $FF

text_colors
	db $00,$10,$20,$30,$40,$50,$60,$70
	db $70,$60,$50,$40,$30,$20,$10,$00
raster_colors
	db $00
	db $32,$42,$52,$62,$72,$71,$71,$71
	db $71,$71,$71,$75,$65,$55,$45,$35
raster_colors_2
	db $00
	db $71,$71,$71,$71,$71,$71,$71,$71
	db $71,$71,$71,$71,$71,$71,$71,$71

	align $0800
logo
	include "logo_charset.asm"

star_anim_1	; 16*32 m none
	db $00,$00,$00,$04,$0C,$7B,$0C,$04
	db $00,$00,$00,$02,$00,$40,$00,$00

	db $00,$00,$00,$00,$04,$1D,$04,$00
	db $00,$00,$00,$02,$00,$00,$00,$00

	db $00,$00,$00,$00,$00,$04,$00,$00
	db $00,$00,$00,$02,$00,$00,$00,$00

	db $00,$00,$00,$00,$04,$1D,$04,$00
	db $00,$00,$00,$02,$00,$00,$00,$00

star_anim_2	; 16*32 m none
	db $00,$00,$00,$00,$40,$01,$00,$00
	db $00,$00,$00,$10,$30,$ED,$30,$10

	db $00,$00,$00,$00,$40,$00,$00,$00
	db $00,$00,$00,$00,$10,$74,$10,$00

	db $00,$00,$00,$00,$40,$00,$00,$00
	db $00,$00,$00,$00,$00,$10,$00,$00

	db $00,$00,$00,$00,$40,$00,$00,$00
	db $00,$00,$00,$00,$10,$74,$10,$00

logo_fade_1
	db $70,$60,$50,$40,$30,$20,$10,$00, $10,$20,$30,$40,$50,$60,$70
logo_fade_2
	db $50,$40,$30,$20,$10,$10,$00,$00, $00,$10,$10,$20,$30,$40,$50
logo_fade_3
	db $30,$20,$10,$10,$00,$00,$00,$00, $00,$00,$00,$10,$10,$20,$30
;eof