	if MUSICBOX=0
	org $1D00 - 2
	dw  $1D00
	endif

TEST = 0
TIMER = 1
NO_FREQ = 0
NO_DIGI = 0
HIT_IT_FLASH = 0

OFF_FREQ = $FD
	
; Zeropage vectors
zpD0 = $D0 ;(10)
zpD2 = $D2 ;(8)
zpD6 = $D6 ;(4)
zpDB = $DB ;(4)
zpDD = $DD ;(11)
;---------
; Zeropage variables
zp02 = $02 ;(5)
zp03 = $03 ;(5)
zp10 = $10 ;(2)
zp11 = $11 ;(2)
zp12 = $12 ;(2)
zp2D = $2D ;(2)
zp2E = $2E ;(2)
zpD8 = $D8 ;(12)
zpD9 = $D9 ;(3)
zpDA = $DA ;(2)
zpDF = $DF ;(4)
zpE2 = $E2 ;(2)
zpE3 = $E3 ;(2)
zpE4 = $E4 ;(4)
zpE5 = $E5 ;(8)
zpE8 = $E8 ;(3)
zpEB = $EB ;(3)
zpEE = $EE ;(6)
zpF1 = $F1 ;(5)
zpF4 = $F4 ;(7)
zpF7 = $F7 ;(2)
;---------

RELOC		= $0030
SID		= $1A00
digi_table_1	= $1B00
digi_table_2	= $1C00
time		= $0C00

L_1E00	;
	if TIMER=1
	jsr $FF4F
	db $93,"00:00 ( )"
	db 0
	endif
	;
	sei
	sta $FF3F
	;
	ldx #$00
init_loop_1
	txa
	lsr a
	lsr a
	lsr a
	lsr a
	lsr a
	eor #$37
	sta digi_table_1,x
	txa
	and #$0F
	lsr a
	eor #$37
	sta digi_table_2,x
	inx
	bne init_loop_1
	;
	if NO_DIGI = 1
	lda #$34
	sta $FF11
	else
	ldx #digi_irq_end - digi_irq
init_loop_2
	lda digi_irq,x
	sta RELOC,x
	dex
	bpl init_loop_2
	;
	lda #RELOC
	sta $FFFE
	lda #$00
	sta $FFFF
	;
	lda #$A8
	sta $FF0A
	;
	lda #$CB
	sta $FF0B	; Vert raster
	endif
	;
	lda #$00
	jsr S_2003
	jsr S_2000
	;
	;lda #$41
	;sta $FF19
	;
	lda #$00
	sta zp02
	sta zp03
	;
	if NO_FREQ = 1
	lda #$FD
	sta $FF0E
	sta $FF0F 
	lda $FF12
	and #$FC
	ora #$03
	sta $FF12
	lda #$03
	sta $FF10
	endif
	;
	if TEST = 1
	lda #$08
	sta $FF0F
	lda #$00
	sta $FF10  
	else
	endif
	;
;	if HIT_IT_FLASH=1
;	lda #$3B	; turn graphics mode on
;	sta $FF06
;	;
;	lda $FF07	; PAL/NTSC friendly
;	and #$40
;	ora #$18	; use $18 for multicolor
;	sta $FF07
;	;
;	lda $FF12
;	and #$03	; keep lowest 2 bits (sound)	
;	ora #($8000) >> 10	; $08 = $2000, $10 = $4000, etc.
;	sta $FF12
;	;
;	lda #$78	; color map at $1800
;	sta $FF14
;	;
;	lda #$00
;	sta $FF15
;	sta $FF19
;	lda #$71
;	sta $FF16
;	endif
	;
	;cli				; don't enable interrupts yet
	;				; it will only be enabled when the first sample starts playing
	jmp main_loop

	;
	; --- digi irq
	;
digi_irq
	sta $68				; save a & x
	stx $6A
	asl $FF09
	;
digi_ptr
	ldx $FFFF			; load digi byte
	cpx #$1F
	bne digi_toggle
	;
default_volume
	lda #$32
	sta $FF11
	;
	lda $68
	ldx $6A
	rti
	;
digi_toggle
	lda #$00			; toggle flag
	bne digi_lo_byte
	;
	lda digi_table_1,x
	sta $FF11
	;
	inc digi_toggle + RELOC - digi_irq+1
	;
	lda $68
	ldx $6A
	rti
	;
digi_lo_byte
	lda digi_table_2,x
	sta $FF11
	;
	dec digi_toggle + RELOC - digi_irq+1
	;
	inc digi_ptr + RELOC - digi_irq+1
	bne *+4
	inc digi_ptr + RELOC - digi_irq+2
	;
save_a	lda #$00
save_x	ldx #$00
	rti 
digi_irq_end

main_loop
	lda $FF1D
	and #$FC
	cmp #$CC
	bne main_loop
	;
	; ---
	;
	if TEST = 1
	
	cli

	dec $FF19
	;
kdelay
	lda #$00
	beq kcheck
	;
	dec kdelay+1
	jmp not_pressed
	;         
kcheck
	lda #$DF
	sta $FD30
	sta $FF08
	lda $FF08
	and #$08	; Query keyboard for "Space"
	bne np1
	;
	inc $FF0F
	jsr update_freq
	lda #$07
	sta kdelay+1
	;
np1
	lda #$DF
	sta $FD30
	sta $FF08
	lda $FF08
	and #$01	; Query keyboard for "Space"
	bne np2
	;
	dec $FF0F
	jsr update_freq
	lda #$07
	sta kdelay+1
	
np2
	lda #$7F
	sta $FD30
	sta $FF08
	lda $FF08
	and #$10	; Query keyboard for "Space"
	bne not_pressed
	; space is pressed
	;
	lda #$07
	sta kdelay+1
	;
	; continue
	ldy #$06				; test sample index
	lda sample_lo,y
	sta digi_ptr + RELOC - digi_irq + 1
	lda sample_hi,y
	sta digi_ptr + RELOC - digi_irq + 2
	;
	ldy #$14
	lda digi_freq,y
	sta $FF00	; Timer 1 Lo
	sta $0C00
	lda digi_freq+1,y
	sta $FF01	; Timer 1 Hi
	sta $0C01
	;
not_pressed
	;
sync1	lda $FF1D
	and #$FC
	cmp #$DC
	bne sync1
	;
	inc $FF19
	jmp main_loop

hex_chars
	db "0123456789",1,2,3,4,5,6
update_freq
	lda $FF0F
	lsr a
	lsr a
	lsr a
	lsr a
	tax
	lda hex_chars,x
	sta $0C28
	lda $FF0F
	and #$0F
	tax
	lda hex_chars,x
	sta $0C28+1
	rts
	
	else
	
	lda $FF07
	and #$40
	beq pal1
	;
	ldx zp03
 	inx
 	cpx #6
 	bne *+4
 	ldx #0
 	stx zp03
 	bne pal1
 	;
sync2 	lda $FF1D
	and #$FC
	cmp #$CC
	beq sync2
 	;
 	jmp skip_music
pal1	;	
	;dec $FF19
	jsr S_2006			; call original player
	;                                  
	; SID to TED
	;
	if NO_FREQ = 1
	
	nop
	
	else
	
	ldx SID+$00			; channel #1
	ldy SID+$01
	lda SID+$04
	bpl *+4
	lda #$00
	and #$41
	bne ch1_on
	;
	lda $FF12			; Sound1 Freq Hi / Gfx
	and #$FC
	ora #$03
	sta $FF12			; Sound1 Freq Hi / Gfx
	lda #OFF_FREQ			; "off" freq
	sta $FF0E			; Sound1 Freq Lo
	;
	bne channel_toggle		; always jump
	;
ch1_on	stx $FF0E			; Sound1 Freq Lo
	tya
	and #$03
	sta ch1_tmp+1
	lda $FF12			; Sound1 Freq Hi / Gfx
	and #$FC
ch1_tmp	ora #$03
	sta $FF12			; Sound1 Freq Hi / Gfx
	;
channel_toggle
	lda #$00
	beq try_ch3
	;
	lda SID+$0B
	and #$8E			; check if channel 2 is on
	beq ch2_on
	;
	lda SID+$12
	and #$8E			; check if channel 3 is on
	bne ch2_off
	;
	ldx SID+$0E			; use 3
	ldy SID+$0F
	stx $FF0F			; Sound2 Freq Lo
	sty $FF10			; Sound2 Freq Hi
	jmp sid_channels_done
	;
ch2_off	lda #OFF_FREQ			; "off" freq
	sta $FF0F			; Sound2 Freq Lo
	lda #$03
	sta $FF10			; Sound2 Freq Hi
	bne sid_channels_done		; always jump
	;
ch2_on	ldx SID+$07			; use 2
	ldy SID+$08
	stx $FF0F			; Sound2 Freq Lo
	sty $FF10			; Sound2 Freq Hi
	jmp sid_channels_done
	;
try_ch3	lda SID+$12
	and #$8E			; check if channel 3 is on
	beq ch3_on
	;
	lda SID+$0B
	and #$8E
	bne ch3_off
	;
	ldx SID+$07			; use 2
	ldy SID+$08
	stx $FF0F			; Sound2 Freq Lo
	sty $FF10			; Sound2 Freq Hi
	jmp sid_channels_done
	;
ch3_off	lda #OFF_FREQ			; "off" freq
	sta $FF0F			; Sound2 Freq Lo
	lda #$03
	sta $FF10			; Sound2 Freq Hi
	bne sid_channels_done		; always jump
	;
ch3_on	ldx SID+$0E			; use 3
	ldy SID+$0F
	stx $FF0F			; Sound2 Freq Lo
	sty $FF10			; Sound2 Freq Hi
	;
sid_channels_done	
	dec zp02
	bne dont_toggle_2_3
	;
	lda channel_toggle+1
	eor #$01
	sta channel_toggle+1
	lda #$02
	sta zp02
	;
dont_toggle_2_3
	lda #$FE
	cmp $FF0E			; Sound1 Freq Lo
	bne B_1EE2
	cmp $FF0F			; Sound2 Freq Lo
	bne B_1EE2
	lda #$80
	ora $FF11	; Volume
	bit $FF11	; Volume
	lda #$34
	sta default_volume + RELOC - digi_irq + 1
	jmp L_1EF7
	;
B_1EE2	
	;dec zp03
	;bne B_1EF2
	;lda #$03
	;sta zp03
	lda #$80
	eor $FF11	; Volume
	bit $FF11	; Volume
B_1EF2	lda #$34
	sta default_volume + RELOC - digi_irq + 1
L_1EF7 
	;
	endif
	;
skip_music
	; ---
	if TIMER = 1
	lda time+7
	clc
	adc #$01
	cmp #50
	bne inc1
	;
	ldx #$05
inc2	dex 
	cpx #$02
	beq inc2
	lda time,x
	clc
	adc #$01
	cmp time_end,x
	bne inc3
	lda #$30
inc3	sta time,x
	cmp #$30
	beq inc2
	;
	lda #$00
inc1	sta time+7
	;
	endif
	; ---
	;
	;inc $FF19
	
	if MUSICBOX=1
	lda $FF14
	cmp #$17
	beq skip_quit_check
	endif
	;
	lda #$7F
	sta $FD30
	sta $FF08
	lda $FF08
	and #$10	; Query keyboard for "Space"
	beq quit
	;
	lda #$FF
	sta $FD30
	lda #$FB
	sta $FF08
	lda $FF08
	and #$40
	beq quit
	;
	lda #$FF
	sta $FD30
	lda #$FD
	sta $FF08
	lda $FF08
	and #$80
	beq quit
	;
	if MUSICBOX=1
skip_quit_check
	endif
	;
	if MUSICBOX=1
	jsr fade_in
	endif
	;
	if HIT_IT_FLASH=1
flash_timer
	lda #$00
	clc
	adc #$01
	and #$3F
	sta flash_timer+1
	;
	and #$20
	beq color_orig
	;
	ldy #18
ft2	lda l1_blk,y
	sta $7C00 + 22 * 40 + 11,y
	lda #$00
	sta $7C00 + 23 * 40 + 11,y
	sta $7C00 + 24 * 40 + 10,y
	dey
	bpl ft2
	;
	jmp main_loop
color_orig
	ldy #18
ft4	lda l1_orig,y
	sta $7C00 + 22 * 40 + 11,y
	lda #$33
	sta $7C00 + 23 * 40 + 11,y
	sta $7C00 + 24 * 40 + 10,y
	dey
	bpl ft4
	endif
	;
	jmp main_loop 

quit	sei
	lda #$00
	sta $FF11
	jmp $A000

l1_orig	db $23,$23,$63,$36,$3D,$33,$32,$22
	db $33,$33,$33,$33,$33,$33
	db $E3,$34,$22,$23,$23
l1_blk	db $20,$20,$60,$06,$0D,$00,$02,$22
	db $00,$00,$00,$00,$00,$00
	db $E0,$04,$22,$20,$20
	
	endif
	
	if TIMER=1
time_end
	db $3A,$3A,$3A,$36,$3A
hex_char
	db "0123456789",1,2,3,4,5,6
	endif

	org $2000
V_2000
	;
S_2000	jmp L_21F4
	;
S_2003	jmp L_2221
	;
S_2006	jmp L_2228
	;
;$2009  --------
	db $4C,$5B,$20
V_200C	db $00,"G"-64
V_200E	db "N"-64
V_200F	db "C"-64,"C"-64,"C"-64
V_2012	db $00,$00,$00
V_2015	db ":::"
V_2018	db "???"
V_201B	db "H"-64,"H"-64,$81
V_201E	db "J"-64,"J"-64,$5A
V_2021	db "J"-64,"J"-64,$5A
V_2024	db $00,$00,"C"-64
V_2027	db "C"-64,"C"-64,$FF
V_202A	db $FE,$FE,$E9
V_202D	db $00,$00,$00
V_2030	db $00,$00,$01
V_2033	db $00,$00,$01
V_2036	db $30
V_2037	db "J"-64,"J"-64,"J"-64
V_203A	db $00,$00,$00
V_203D	db $D5,$DC,$F4
V_2040	db "''2"
V_2043	db "A"-64,"A"-64,"A"-64
V_2046	db "B"-64
V_2047	db "B"-64,"B"-64,"B"-64
V_204A	db "H"-64,"H"-64,$81
V_204D	db $00,$00,$00
V_2050	db $FF,$FF,$FF
V_2053	db $00,$00,$00
V_2056	db $00
V_2057	db "A"-64
V_2058	db "G"-64
V_2059	db "F"-64,$00,$A9,$33,$8D,$FA,$FF,$A9,$21,$8D,$FB,$FF,$A9,$81,$8D,$0D
	db $DD,$AD,$0D,$DD,$A9,$00,$8D,$0E,$DD,$60
	;
L_2073	lda #$02
	cmp V_2046
	beq B_207D
B_207A	jmp L_2132
	;
B_207D	dec V_2056
	bpl B_207A
	lda V_2057
	sta V_2056
B_2088	ldx V_2058
B_208B	ldy V_29B6,x
	cpy #$FF
	bne B_209A
	iny
	sty V_2058
	ldx #$00
	beq B_208B
B_209A	tya
	asl a
	tay
	lda V_26B5,y
	sta V_20B1 + 1
	lda V_26B5+1,y
	sta V_20B1 + 2
B_20A9	;
	;lda #$00
	;sta V_DD0E
	;
	ldy V_2059
V_20B1	lda V_2AA6,y
	cmp #$FF
	bne B_20C2
	inc V_2058
	ldy #$00
	sty V_2059
	beq B_2088
B_20C2	cmp #$C0
	bcc B_20D0
	and #$1F
	sta V_20F4 + 1
	inc V_2059
	bne B_20A9
B_20D0	cmp #$80
	bcc B_20E3
	and #$3F
	sbc #$01
	sta V_2056
	sta V_2057
	inc V_2059
	bne B_20A9
B_20E3	inc V_2059
	asl a
	tay
	;
	lda digi_freq,y
	tax
	lda digi_freq+1,y
	sei
	stx $FF00	; Timer 1 Lo
	if TEST=1
	stx $0C00
	endif
	sta $FF01	; Timer 1 Hi
	if TEST=1
	sta $0C01
	endif
	cli
	;
	if TIMER=1
	ldx #$30
ds1	lda $0C50,x
	cmp #$20
	beq *+4
	lda #":"
	sta $0C50,x
	dex
	bpl ds1
	lda #$A0
	sta $0C50,y
	endif
	;
V_20F4	
	ldy #$00			; sample index
	;
	if TIMER=1
	ldx #$16
ss3	lda $0C28,x
	cmp #$20
	beq ss2
	lda #":"
	sta $0C28,x
ss2	dex    
	bpl ss3
	lda #$A0
	sta $0C28,y
	cpy #$17
	bcc ss1
	inc $FF19
	jmp *-3
ss1	;
	endif
	;
;	lda V_21AB,y
;	beq B_2107
;	;
;	lda #$4A	; LSR opcode
;	bit $FFFF;V_2153
;	bit $FFFF;V_2164
;	lda #$34
;	bne B_2111
;	;
;B_2107	lda #$EA	; NOP opcode
;	bit $FFFF;V_2153
;	bit $FFFF;V_2164
;	lda #$30
;	;
;B_2111	
;	bit $FFFF;V_2155 + 1
;	bit $FFFF;V_2166 + 1
	;
	if NO_DIGI = 1
	;
	nop
	;  
	else
	;
	ldx #$00
	lda sample_lo,y
	sei
	sta digi_ptr + RELOC - digi_irq + 1
	lda sample_hi,y
	sta digi_ptr + RELOC - digi_irq + 2
	;
	stx digi_toggle + RELOC - digi_irq + 1
	cli
	;
	endif
	;
	;lda #$81
	;sta V_DD0E
	;lda V_DD0E
	;
L_2132	rts
;$2133  --------
	;
	;
	;
;S_2133	sta zpE3			; save a
;	;
;	lda zpE4			; toggle flag
;	bne B_2160
;	;
;V_2139	lda V_40D8			; load digi byte
;	cmp #$1F
;	bne B_214C
;	;
;	lda #$00
;	sta $FF09	; IRQ
;V_2145	lda #$32
;	sta $FF11	; Volume
;	bne B_2177	; always jump
;	;
;B_214C	sta V_2160 + 1
;	lsr a	; div / 16
;	lsr a
;	lsr a
;	lsr a
;	lsr a
;	eor #$37
;;V_2153	
;	;nop
;	;clc
;;V_2155	
;	;adc #$30
;	;jsr sta $
;	sta $FF11
;	;
;	lda #$01			; set flag
;	sta zpE4
;	bne B_2177
;	;
;V_2160
;B_2160	lda #$87
;	and #$0F
;	lsr a
;;V_2164	
;	;nop
;	;clc
;
;;V_2166	
;	;adc #$30
;	eor #$37
;	;jsr S_1F06
;	sta $FF11
;	;
;	lda #$00			; clear flag
;	sta zpE4
;	;
;	inc V_2139 + 1
;	bne B_2177
;	inc V_2139 + 2
;	;
;B_2177	
;	;lda V_DD0D
;	lda zpE3
;	rts
;$217D  --------
	org $217D

	; orig sample pointers	
	;db $00,$00,$9D,$D9,$F5,$CA,$1A,$6C
	;db $E6,$F3,$2A,$2A,$2A,$2A,$28,$30
	;db $A0,$E8,$D8,$60,$D0,$00,$20
	
	;db $30,$25,$32,$32,$39,$3B,$3E,$40
	;db $45,$48,$4A,$4E,$52,$56,$52,$5A
	;db $61,$29,$30,$27,$31,$32,$32
	
sample_lo
	db $00 ; $00 kick
	db $00 ; $01 big snare
	db $9D ; $02 high melodic click
	db $D9 ; $03 orchestra hit
	db $F5 ; $04 double snare
	db $CA ; $05 bass
	db $1A ; $06 bass + kick
	db $6C ; $07 brake squeal
	db $E6 ; $08 noise
	db $F3 ; $09 vroom
	db $2A ; $0A "one"
	db $2A ; $0B "two"
	db $2A ; $0C "three"
	db $2A ; $0D "hit it"
	db $28 ; $0E *** UNUSED ***
	db $30 ; $0F "outrun"
	db $A0 ; $10 "get ready"
	db $E8 ; $11 "yeah" (longer)
	db $D8 ; $12 small snare
	db $60 ; $13 "yeah" (shorter)
	db $D0 ; $14 short click #1
	db $00 ; $15 short click #2
	db $20 ; $16 short noise
sample_hi
	db $3E ; $00
	db $33
	db $40
	db $40
	db $47
	db $49
	db $4C
	db $4E
	db $53 ; $08
	db $56
	db $58
	db $5C
	db $60
	db $64
	db $60 ; $0E *** UNUSED ***
	db $68
	db $6F ; $10
	db $37
	db $3E
	db $35
	db $3F
	db $40
	db $40 ; $16
V_21AB	
	db $00,$00,$00,$00,$00,$00,$00,$00
	db $00,$01,$01,$01,$01,$01,$00,$01
	db $01,$01,$00,$01,$00,$00,$00
	
digi_freq	
;	dw $0200
;	dw $01E3
;	dw $01C8
;	dw $01AF
;	dw $0196
	dw $0180 ; 0
	dw $016A
	dw $0156
	dw $0143
	dw $0130 ; 8
	dw $011F
	dw $010F
	dw $0100
	dw $00F2 ; 10
	dw $00E4
	dw $00D7
	dw $00CB
	dw $00C0 ; 18
	dw $00B5
	dw $00AB
	dw $00A1
	dw $0098 ; 20
	dw $0090
	dw $0088
	dw $0080
	dw $0079 ; 28
	dw $0072
	dw $006C
	dw $0066
	dw $0060 ; 30
	;
L_21F4	ldx #$01
	stx V_2228 + 1
	inx
	stx V_2046
	lda #$3F
	sta SID+$18
	lda #$00
	ldx #$4B	; "K"
B_2206	sta V_200E,x
	dex
	bne B_2206
	ldx #$28
B_220E	sta zpD0,x
	dex
	bpl B_220E
	sta V_2228 + 1
B_2216	lda #$00
	ldx #$14
B_221A	sta SID+$00,x
	dex
	bpl B_221A
	rts
;$2221  --------
L_2221	lda #$01
	sta V_2228 + 1
	bne B_2216
V_2228
L_2228	lda #$00
	beq B_222D
	rts
;$222D  --------
B_222D	lda #$02
	ldx #$02
	dec V_2046
	bpl L_2239
	sta V_2046
L_2239	stx zpD8
	inc zpE5,x
	ldy V_200C,x
	sty zpD9
	lda V_2046
	cmp #$02
	beq B_224C
	jmp L_23CF
	;
B_224C	lda V_27AA,x
	sta V_2263 + 1
	lda V_27BA,x
	sta V_2263 + 2
	dec V_2015,x
	bmi L_2260
	jmp L_23AE
	;
L_2260	ldy V_200F,x
V_2263	lda V_28DD,y
	cmp #$FE
	beq L_2221
	cmp #$FF
	bne B_227C
	lda #$00
	sta V_2015,x
	sta V_200F,x
	sta V_2012,x
	jmp L_2260
	;
B_227C	sta zpF7
	cmp #$50	; "P"
	bcc B_22B0
	cmp #$80
	bcc B_2291
	and #$1F
	sta V_2037,x
	inc V_200F,x
	jmp L_2260
	;
B_2291	lda zpF7
	cmp #$60
	bcc B_22A2
	and #$0F
	sta V_204D,x
	inc V_200F,x
	jmp L_2260
	;
B_22A2	sec
	sbc #$50	; "P"
	sta V_2047,x
	inc V_200F,x
	jmp L_2260
	;
;$22AE  --------
	db $A5,$F7
	;
B_22B0	asl a
	tay
	lda V_26B5,y
	sta zpD6
	lda V_26B5+1,y
	sta zpD6+1
	lda #$00
	sta zpE5,x
	sta V_2053,x
	ldy V_2012,x
	lda (zpD6),y
	sta zpD2+1
L_22CA	lda zpD2+1
	cmp #$C0
	bcc B_22DC
	and #$1F
	clc
	adc V_204D,x
	sta V_2024,x
	jsr S_3228
B_22DC	lda zpD2+1
	cmp #$80
	bcc B_2308
	and #$3F
	sec
	sbc #$01
	sta V_2018,x
	jsr S_3228
	cmp #$E0
	beq L_22CA
	cmp #$80
	bcc B_2308
	and #$7F
	clc
	adc V_2018,x
	sta V_2018,x
	jsr S_3228
	cmp #$80
	bcc B_2308
	jmp L_22CA
	;
B_2308	cmp #$70
	bcc B_2324
	and #$0F
	sty zpE2
	tay
	lda V_27A7,y
	ldx zpD8
	sta V_203D,x
	lda V_27B7,y
	sta V_2040,x
	ldy zpE2
	jsr S_3228
B_2324	lda V_2018,x
	sta V_2015,x
	lda #$00
	sta V_203A,x
	lda zpD2+1
	clc
	adc V_2037,x
	sta V_2021,x
	tay
	lda freq_lo,y
	sta zpF1,x
	pha
	sta V_202A,x
	lda freq_hi,y
	sta zpF4,x
	sta V_2027,x
	ldy zpD9
	sta SID+$01,y
	pla
	sta SID+$00,y
	lda V_2024,x
	asl a	; mul * 8
	asl a
	asl a
	tax
	lda V_27F9,x
	sta SID+$05,y
	lda V_27FA,x
	sta SID+$06,y
	lda V_27F7,x
	pha
	lda V_27F8,x
	ldx zpD8
	sta V_201B,x
	sta V_204A,x
	lda #$00
	sta V_202D,x
	pla
	sta V_2033,x
	and #$0F
	sta V_2030,x
	lda #$01
	sta V_2043,x
	inc V_2012,x
	ldy V_2012,x
	lda (zpD6),y
	cmp #$FF
	bne B_23A6
L_2394	lda #$00
	sta V_2012,x
	lda V_2047,x
	beq B_23A3
	dec V_2047,x
	bpl B_23A6
B_23A3	inc V_200F,x
B_23A6	lda #$FF
	sta V_2050,x
	jmp B_261F
	;
L_23AE	lda V_2015,x
	beq B_23CA
	lda V_2024,x
	asl a	; mul * 8
	asl a
	asl a
	tay
	lda V_27FB,y
	and #$F0
	lsr a	; div / 4
	lsr a
	cmp V_2015,x
	bcs B_23CA
	lda #$FF
	bne B_23CC
B_23CA	lda #$FE
B_23CC	sta V_2050,x
L_23CF	lda V_2033,x
	and #$10
	beq B_23E7
	lda V_2015,x
	bne B_23E7
	lda V_2046
	cmp #$01
	bne B_23E7
	lda #$02
	sta SID+$06,y
B_23E7	lda V_2024,x
	asl a	; mul * 8
	asl a
	asl a
	tay
	lda V_27FC,y
	sta zpD0
	lda V_27FD,y
	sta zpD0+1
	lda V_2021,x
	sta V_201E,x
	lda V_27FE,y
	sta zpD2
	and #$10
	beq B_240A
	jmp L_250C
	;
B_240A	lda zpD2
	and #$04
	beq B_244A
	ldx zpD8
	lda V_203D,x
	sta V_2429 + 1
	sta V_2435 + 1
	lda V_2040,x
	sta V_2429 + 2
	sta V_2435 + 2
	dec V_203A,x
	bpl B_242F
V_2429	lda V_32F4
	sta V_203A,x
B_242F	ldx zpD8
	ldy V_203A,x
	iny
V_2435	lda V_32F4,y
	clc
	adc V_2021,x
	sta V_201E,x
	tay
	lda freq_lo,y
	sta zpF1,x
	lda freq_hi,y
	sta zpF4,x
B_244A	lda zpD0
	beq B_24A0
	ldy V_2024,x
	ldx V_28A7,y
	stx V_24D3 + 1
	lda zpD0
	and #$0F
	sta zpDA
	lda zpD0
	and #$70
	lsr a	; div / 16
	lsr a
	lsr a
	lsr a
	ldx zpD8
	sta zpE8,x
	ldy #$BC
	lda zpD0
	bpl B_2471
	ldy #$7D
B_2471	sty V_2490
	lda V_2053,x
	cmp #$30
	bcs B_247E
	inc V_2053,x
B_247E	ldy V_201E,x
	lda freq_lo+1,y
	sec
	sbc freq_lo,y
	sta zpDF
	lda freq_hi+1,y
	sbc freq_hi,y
V_2490	ldy V_2053,x
	sta zpDD+1
L_2495	dec zpDA
	bmi B_24A3
	lsr zpDD+1
	ror zpDF
	jmp L_2495
	;
B_24A0	jmp L_250C
	;
B_24A3	lda zpEB,x
	bpl B_24AF
	dec zpEE,x
	bne B_24BD
	inc zpEB,x
	bpl B_24BD
B_24AF	inc zpEE,x
	lda zpE8,x
	cmp zpEE,x
	bcs B_24BD
	sta zpEE,x
	dec zpEB,x
	dec zpEE,x
B_24BD	ldy V_201E,x
	lda freq_lo,y
	sta zpDB+1
	lda freq_hi,y
	sta zpDD
	lda zpE8,x
	lsr a
	tay
L_24CE	dey
	bmi B_24E7
	lda zpE5,x
V_24D3	cmp #$12
	bcc B_24FC
	lda zpDB+1
	sec
	sbc zpDF
	sta zpDB+1
	lda zpDD
	sbc zpDD+1
	sta zpDD
	jmp L_24CE
	;
B_24E7	ldy zpEE,x
L_24E9	dey
	bmi B_24FC
	clc
	lda zpDB+1
	adc zpDF
	sta zpDB+1
	lda zpDD
	adc zpDD+1
	sta zpDD
	jmp L_24E9
	;
B_24FC	ldx zpD8
	lda zpDB+1
	sta zpF1,x
	sta V_202A,x
	lda zpDD
	sta zpF4,x
	sta V_2027,x
L_250C	ldx zpD8
	lda zpD0+1
	and #$07
	bne B_2517
	jmp L_25CD
	;
B_2517	asl a	; mul * 8
	asl a
	asl a
	sbc #$07
	tay
	lda V_3218,y
	pha
	and #$80
	beq B_2527
	lda #$01
B_2527	sta V_25AF + 1
	pla
	and #$0F
	sta V_2591 + 1
	iny
	lda V_3218,y
	sta V_25AB + 1
	iny
	lda V_3218,y
	and #$7F
	cmp zpE5,x
	bcc B_2544
	jmp L_255D
	;
B_2544	iny
	iny
	lda V_3218,y
	and #$7F
	cmp zpE5,x
	bcc B_2552
	jmp L_255D
	;
B_2552	iny
	iny
	lda V_3218,y
	and #$7F
	cmp zpE5,x
	bcc B_2573
L_255D	lda V_3218,y
	and #$80
	beq B_2569
	lda #$00
	sta V_2043,x
B_2569	iny
	lda V_3218,y
	sta V_2036
	jmp L_257A
	;
B_2573	lda zpD0+1
	and #$F0
	sta V_2036
L_257A	lda V_2043,x
	bne B_2599
	lda V_202D,x
	sec
	sbc V_2036
	sta V_202D,x
	lda V_2030,x
	sbc #$00
	sta V_2030,x
V_2591	cmp #$08
	bcs B_25C5
	lda #$01
	bne B_25C2
B_2599	lda V_202D,x
	clc
	adc V_2036
	sta V_202D,x
	lda V_2030,x
	adc #$00
	sta V_2030,x
V_25AB	cmp #$0C
	bcc B_25C5
V_25AF	lda #$00
	beq B_25C0
	sta V_202D,x
	lda V_2591 + 1
	sta V_2030,x
	lda #$01
	bne B_25C2
B_25C0	lda #$00
B_25C2	sta V_2043,x
B_25C5	ldx zpD8
	lda V_202D,x
	lda V_2030,x
L_25CD	lda zpD2
	and #$20
	beq B_25E0
	ldx zpD8
	lda V_2027,x
	sec
	sbc #$01
	sta V_2027,x
	sta zpF4,x
B_25E0	lda zpD2
	and #$80
	beq B_261F
	ldy V_2024,x
	lda zpE5,x
	cmp V_28BD,y
	bcs B_2600
	lda V_28CD,y
	cmp #$7F
	bcc B_25FD
	lda #$FA
	sta zpF4,x
	lda #$81
B_25FD	jmp L_261C
	;
B_2600	lda V_28BD,y
	clc
	adc #$02
	sta V_260B + 1
	lda zpE5,x
V_260B	cmp #$1A
	bcs B_261F
	lda V_202A,x
	sta zpF1,x
	lda V_2027,x
	sta zpF4,x
	lda V_201B,x
L_261C	sta V_204A,x
B_261F	ldx zpD8
	ldy zpD9
	lda V_204A,x
	and V_2050,x
	sta SID+$04,y
	lda zpF1,x
	sta SID+$00,y
	lda zpF4,x
	sta SID+$01,y
	lda V_202D,x
	sta SID+$02,y
	lda V_2030,x
	sta SID+$03,y
	ldx zpD8
	dex
	bmi B_264A
	jmp L_2239
	;
B_264A	ldy #$B0	; $07B0 to $D416 (16bit value)
	sty SID+$16
	ldy #$07
	sty SID+$17
	jmp L_2073

	; freq lo (94 values)
freq_lo
	db OFF_FREQ,OFF_FREQ,OFF_FREQ,OFF_FREQ, OFF_FREQ,OFF_FREQ,OFF_FREQ,OFF_FREQ, OFF_FREQ,OFF_FREQ,OFF_FREQ,OFF_FREQ
	db OFF_FREQ,OFF_FREQ,OFF_FREQ,OFF_FREQ, OFF_FREQ,OFF_FREQ,OFF_FREQ,OFF_FREQ
	
	db $02,$3B,$72,$A5,$D5,$02,$2D,$56,$7C,$A0,$C2,$E3
	db $01,$1E,$39,$52,$6A,$81,$97,$AB,$BE,$D0,$E1,$F1
	db $01,$0F,$1C,$29,$35,$41,$4B,$55,$5F,$68,$71,$79
	db $80,$87,$8E,$95,$9B,$A0,$A6,$AB,$B0,$B4,$B8,$BC
	db $C0,$C4,$C7,$CA,$CD,$D0,$D3,$D5,$D8,$DA,$DC,$DE
	db $E0,$E2,$E4,$E5,$E7,$E8,$E9,$EB,$EC,$ED
	;db $EE,$EF
	db OFF_FREQ,OFF_FREQ,OFF_FREQ,OFF_FREQ

	; freq hi
freq_hi
	db $03,$03,$03,$03, $03,$03,$03,$03, $03,$03,$03,$03
	db $03,$03,$03,$03, $03,$03,$03,$03
	
	db $00,$00,$00,$00, $00,$01,$01,$01, $01,$01,$01,$01
	db $02,$02,$02,$02, $02,$02,$02,$02, $02,$02,$02,$02
	db $03,$03,$03,$03, $03,$03,$03,$03, $03,$03,$03,$03
	db $03,$03,$03,$03, $03,$03,$03,$03, $03,$03,$03,$03
	db $03,$03,$03,$03, $03,$03,$03,$03, $03,$03,$03,$03
	db $03,$03,$03,$03, $03,$03,$03,$03, $03,$03,$03,$03
	db $03,$03
	
V_26B5		
	db $13,$32,$72,$2A,$76,$2A,$7A,$2A,$7E,$2A,$97
	db $2A,$A6,$2A,$D6,$2A,$E0,$2A,$E9,$2A,$67,$2C,$F2,$2A,$3E,$2B,$47
	db $2B,$59,$2B,$20,$2B,$BB,$2B,$D4,$2B,$EA,$2B,$F8,$2B,$6C,$2C,$2A
	db $2C,$2F,$2C,$8D,$2C,$9C,$2C,$B0,$2C,$B4,$2C,$C6,$2C,$D8,$2C,$EA
	db $2C,$1A,$2D,$1E,$2D,$40,$2C,$12,$2D,$16,$2D,$22,$2D,$01,$2D,$2E
	db $2D,$38,$2D,$3F,$2D,$A1,$2D,$BC,$2D,$DF,$2D,$03,$2E,$5E,$2E,$62
	db $2E,$08,$2C,$69,$2E,$A2,$2E,$1A,$2F,$22,$2F,$4B,$2F,$74,$2F,$E6
	db $2E,$A6,$2F,$DF,$2F,$FC,$2F,$0F,$30,$21,$30,$3C,$30,$54,$30,$6C
	db $30,$DB,$30,$0F,$31,$1A,$31,$29,$31,$42,$31,$05,$32,$75,$31,$93
	db $31,$A8,$31,$C3,$31,$DC,$31,$09,$32
	
V_27A7	db $C7,$CE,$D5
V_27AA	db $DD,$25,$69,$DC,$E3,$E7,$EB,$EF,$F3,$DF,$E6,$ED,$F4
V_27B7	db "'''"
V_27BA	db $28,$29,$29,"''''''2222","E"-64,"C"-64,"C"-64
	db "C"-64,$00,$00,$00,"E"-64,"D"-64,"D"-64,"D"-64,$00,$00,$00,"E"-64,"E"-64,"E"-64,"E"-64,$00
	db $00,$00,$05,$F4,$F4,$F4,$00,$00,$00,"B"-64,"J"-64,"C"-64,$00,"B"-64,"I"-64,"C"-64
	db $00,"B"-64,"H"-64,"C"-64,$00,$02,$00,"E"-64,"I"-64,"B"-64,$00,"D"-64,"G"-64
V_27F7	db $00
V_27F8	db $08
V_27F9	db $00
V_27FA	db $00
V_27FB	db $00
V_27FC	db $00
V_27FD	db $00
V_27FE	db $00,$17
V_2800	db $21,$09,$E9,$10,"Ca",$80,$15
V_2808	db $41,$00,$87,$F0,$00,$00,$80,$01,$81,$AC,$0C,$40,$00,$00,$00,$12
	db $41,$00,$9A,$F0,$00,$A1,"D"-64,"A"-64,$81,$00,$E8,$F0,$00,$00,$00,"C"-64
	db "Q"-64,$00,$D8,$F0,$00,$41,$80,$01,$81,$00,$A8,$F0,$00,$00,$00,$01
	db $81,$00,$68,$F0,$00,$00,$00,$01,$81,$00,$38,$F0,$00,$00,$00,$14
	db $41,$00,$AA,$F0,$00,$A1,$80,$11,$41,"I"-64,"K"-64,$F0,$00,$41,$00,$18
	db $43,"I"-64,"K"-64,$F0,$00,$00,$20,$1B,$41,$00,$9A,$F0,$00,$21,"D"-64,"R"-64
	db $41,$00,$99,$00,"S1",$00,$17,$41,$00,$99,$00,$00,$51,$00,$08
	db $41,$00,$B6,$00,$00,$41,"D"-64,"H"-64,$41,$00,$B6,$00,$00,$41,$00,$04
	db $41,$00,$D9,$10,"S2",$00,$08,$43,$00,$C9,$10,$00,$00,$00,$15
	db $41,$00,$DA,$10,$43,$11,$00,$05,$41,$00,$9A,$10,"C2",$00
V_28A7	db $00,$0C,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$12,$00
	db $00,$00,$12,$00,"J"-64,"N"-64
V_28BD	db "B"-64,"X"-64,"B"-64,"B"-64,"B"-64,"B"-64,"E"-64,"B"-64,"B"-64,"B"-64,"B"-64,"B"-64,"B"-64,"B"-64,"B"-64,"B"-64
V_28CD	db $81,$41,$11,$81,$81,$81,$21,$81,$81,$81,$81,$81,$81,$81,$81,$81
V_28DD	db $8A,$60,$55,$00,"K"-64,"O"-64,"L"-64,"O"-64,"M"-64,$55,"T"-64,"K"-64,"O"-64,"L"-64,"O"-64,"M"-64
	db $53,$14,$53,"Z"-64,"O"-64,"L"-64,"O"-64,"M"-64,$57,$15,"**S",$15,$96,$00
	db $00,$31,$96
V_2900	db "11",$8A,"a11",$60,$96,$31,$8A,$53,$00,"U:S",$14
	db $53,"Z"-64,"O"-64,"L"-64,"O"-64,"M"-64,"O"-64,"L"-64,"O"-64,"M"-64,$96,"??HCH"
	db "C?W",$1E,$FF,$8A,$60,$55,$00,"S"-64,"U"-64,$8A,"X"-64,"Y"-64,"S"-64,"U"-64
	db "U"-64,$53,$1B,$2E,$00,$00,$52,$28,$28,$28,$28,$28,$96,$00,$00,"a"
	db "1",$60,"11",$8A,"S23322S2332"
	db "2a1",$60,$53,$00,$55,$3B,"U"-64,"U"-64,$53,$1B,"..",$96,$40
	db $40,"CHCH",$40,$57,$1E,$FF,$8A,$60,$55,"U"-64,"V"-64,$00,$96
	db $61,$18,$60,$89,$19,$8A,$16,$00,$00,$1C,$1E,$1C,$1E,$1C,$1E,$1C
	db $1F," S",$00,$29,$29,$53,$15,$29,$29,$00,$00,$57,$00,"S2"
	db "332244S23322S",$00,$55,$3C
	db $00,$00,$1C,$1E,$1C,$1E,$1C,$1E,$1C,$1F,"  W",$00,$96,"A"
	db "AS",$00,$57,$1E,$FF
V_29B6	db "A"-64,"D"-64,"B"-64,"D"-64,"C"-64,"D"-64,"E"-64,"F"-64,"G"-64,"F"-64,"H"-64,"F"-64,"G"-64,"F"-64,"I"-64,"N"-64
	db "P"-64,"Q"-64,"P"-64,"Q"-64,"P"-64,"Q"-64,"P"-64,"R"-64,$23,$23,$23,$23,$23,$23,$23,$23
	db $23,$23,"W"-64,"N"-64,"P"-64,"Q"-64,"P"-64,"Q"-64,"P"-64,"Q"-64,"P"-64,"R"-64,$23,$23,$23,$23
	db $23,$23,$17,$1D,$24,$21,$1D,$24,$22,$1D,$24,$26,$1D,$25,"P"-64,"Q"-64
	db "P"-64,"Q"-64,"P"-64,"Q"-64,"P"-64,"R"-64,"''''"
V_2A00	db $2B,$2C,$2B,"-''//////0000"
	db "0000065006500000"
	db "7778777977787779"
	db $3D,$3D,$3D,$3D,$23,$23,$23,$23,$23,$23,$17,$1D,$24,$21,$1D,$24
	db $22,$1D,$24,$26,$1D,$25,"P"-64,"Q"-64,"P"-64,"Q"-64,"P"-64,"Q"-64,"P"-64,"R"-64,"P"-64,"Q"-64
	db "P"-64,"Q"-64,"P"-64,"Q"-64,"P"-64,"R"-64,$3E,$3E,$3E,$3E,"BDEBFG"
	db "BDEBFGBDEBFG",$3E,$3E,$3E,$3E
	db $49,$FF,$CA,$84,$13,$FF,$CB,$84,$13,$FF,$CC,$84,$13,$FF,$C9,$84
	db $11,$C1,$84,$12,$C0,$82,$10,$84,$10,$C2,$82,"R"-64,"R"-64,$C0,$10,$C1
	db $12,$C0,"P"-64,"P"-64,$C2,$12,$FF,$CD,$88,$13,$C1,$84,$12,$CF,$82,"S"-64
	db "S"-64,$88,$13,$C7,$0F,$FF
V_2AA6	db $C0,$82,$10,$C2,"R"-64,"R"-64,$C0,$10,$C1,$84,$12,$C0,$82,"P"-64,"P"-64,$C2
	db "R"-64,"R"-64,$C0,$10,$C2,$12,$C1,$84,$12,$C2,$82,$12,$C1,$12,$C0,$10
	db $C2,"R"-64,"R"-64,$C0,$10,$C1,$84,$12,$C0,$82,"P"-64,"P"-64,$C2,"R"-64,"R"-64,$FF
	db $C0,$82,"P"-64,"P"-64,$C1,$84,$12,$C8,$10,$FF,$C9,$82,"S"-64,"S"-64,"O"-64,"O"-64
	db "O"-64,"O"-64,$FF,$C8,$84,$10,$82,"P"-64,"P"-64,$84,$10,$FF,$C1,$86,"75"
	db $84,$3A,$86,"75",$84,$33,$86,"52"
V_2B00	db $94,$2E,$86,"32",$84,$35,$86,"32",$82,$2B,$2E,$C4,$82,$72
	db $2B,$2B,$88,$2B,$82,$2B,$2B,$84,$2B,$C0,$88,$00,$C1,$84,$2E,$FF
	db $C1,$8C,$2C,$82,$2E,$82,$30,$86,$2E,$2C,$84,$2B,$86,$29,$82,$2B
	db $94,$27,$82,$29,$2B,$86,$2C,$2E,$84,$30,$86,$2E,$2B,$FF,$84,$33
	db $86,$32,$96,$30,$84,$2E,$FF,$84,$2E,$C4,$82,$72,$2B,$2B,$88,$2B
	db $82,$2B,$2B,$88,$2B,$C0,$88,$00,$FF,$C6,$86,$0C,$C5,$82,$0C,$C1
	db $84,$12,$C5,$82,"J"-64,"K"-64,$C6,$86,$0C,$C5,$82,$0C,$C1,$84,$12,$C5
	db $82,"N"-64,"L"-64,$C6,$86,$0A,$C5,$82,$0A,$C1,$84,$12,$C5,$82,"L"-64,"J"-64
	db $C0,$84,$08,$C2,$82,"R"-64,"R"-64,$C1,$84,$12,$C5,$82,"E"-64,"G"-64,$C6,$86
	db $0A,$C5,$82,$0A,$C1,$84,$12,$C5,$82,"E"-64,"F"-64,$C6,$86,$07,$C5,$82
	db $07,$C1,$84,$12,$C5,$82,"J"-64,"L"-64,$C1,"R"-64,"R"-64,$88,$12,$82,"R"-64,"R"-64
	db $88,$12,$C2,$81,"R"-64,"R"-64,$82,"R"-64,"R"-64,"R"-64,$FF,$C6,$86,$08,$C5,$82
	db $08,$C1,$84,$12,$C5,$82,"J"-64,"L"-64,$C6,$86,$0A,$C5,$82,$07,$C1,$84
	db $12,$C5,$0A,$FF,$C6,$86,$0C,$C5,$82,$0C,$C1,$84,$12,$C5,$82,"J"-64
	db "L"-64,$C0,$84,"P"-64,"P"-64,$C1,$12,$C5,$0A,$FF,$C1,$82,"R"-64,"R"-64,$88,$12
	db $82,"R"-64,"R"-64,$88,$12,$C3,$10,$FF,$C0,$81,$00,$CD,$90,"v00"
V_2C00	db "..2.",$9C,$30,$83,$30,$C0,$81,$00,$CD,$90,"v02"
	db "3",$8C,$33,$84,$33,$90,"32",$9C,$30,$84,$30,$90,"023"
	db $8C,$33,$84,$32,$90,"02",$9F,$30,$FF,$C3,$A0,$A0,$50,$FF,$C4
	db $90,"q''p",$26,$26,$72,$29,$72,$26,$9C,"q'",$84,$27
	db $C4,$90,"r'",$29,$72,$2B,$8C,$2B,$84,$2B,$90,$71,$2C,$72,$29
	db $9C,"q'",$84,$27,$90,"r'",$29,$72,$2B,$8C,$2B,$84,$72,$29
	db $90,$27,$29,$A0,"q'",$FF,$C4,$90,"q0",$FF,$C5,$82,$4C,$C7
	db $4C,$C8,$4C,$C5,$4C,$C7,$4C,$C8,$4C,$C5,$4C,$C7,$4C,$C8,$4C,$C5
	db "LL",$C7,$4C,$C5,$4C,$C7,$4C,$C8,$4C,$C9,$4C,$FF,$CF,$90,$13
	db $D2,$82,"R"-64,"R"-64,"R"-64,"R"-64,$C1,"R"-64,"R"-64,"R"-64,"R"-64,$FF,$CB,$84,"X"-64,"X"-64
	db $1B,$1D,$1F,$1D,$1F,$22,$24,$24,$27,$29,$2B,"./",$8C,$30,$FF
	db $C3,$B8,$50,$FF,$CA,$84,$20,$88,$20,$84,$22,$90,$22,$84,$22,$88
	db $22,$84,$24,$90,$24,$FF,$CA,$84,$24,$88,$24,$84,$26,$90,$26,$84
	db $26,$88,$26,$84,$27,$90,$27,$FF,$CA,$84,$27,$88,$27,$84,$29,$90
	db $29,$84,$29,$88,$29,$84,$2B,$8C,$2B,$FF,$C6,$84,$08,$C5,$08,$C2
	db $82,"R"-64,"R"-64,$C5,$84,$0A,$C6,$0A,$C2,$82,"R"-64,"R"-64,"R"-64,"R"-64,"R"-64,"R"-64
V_2D00	db $FF,$C6,$84,$0A,$C5,$0A,$C2,$82,"R"-64,"R"-64,$C5,$84,$0C,$C6,$0C,$C8
	db $10,$FF,$D1,$88,$13,$FF,$C7,$88,$13,$FF,$C0,$84,$00,$FF,$C1,$84
	db $2E,$FF,$C0,$84,$10,$C2,$82,"R"-64,"R"-64,"R"-64,"R"-64,"R"-64,"R"-64,$FF,$CA,$88
	db $13,$CB,$13,$CC,$13,$CD,$13,$FF,$D3,$82,"Q"-64,"R"-64,$84,$13,$FF,$C6
	db $82,$0A,$C5,"L"-64,"J"-64,"L"-64,$C1,$84,$12,$C5,$82,"J"-64,"L"-64,$C6,$0A,$C5
	db "G"-64,"J"-64,"L"-64,$C1,$84,$12,$C5,$82,"J"-64,"L"-64,$C0,$84,"P"-64,"P"-64,$C1,$12
	db $C2,$82,"R"-64,"R"-64,"R"-64,"R"-64,$C0,$84,$10,$C1,$82,"R"-64,"R"-64,$84,$12,$C6
	db $82,$07,$C5,"H"-64,"G"-64,"H"-64,$C1,$84,$12,$C5,$82,"G"-64,"H"-64,$C6,$07,$C5
	db "H"-64,"G"-64,"H"-64,$C1,$84,$12,$C5,$82,$0A,$82,$0C,$C0,$84,$10,$C2,$82
	db "R"-64,"R"-64,"R"-64,"R"-64,$C0,$84,$10,$C1,$82,"R"-64,"R"-64,$84,$12,$C7,$88,$10
	db $FF,$C4,$94,"w0",$84,"000",$86,"x00",$94,"0y"
	db "0",$84,"000",$86,"w00",$94,$30,$FF,$C6,$84,$24,"'"
	db ".'",$24,"'.'",$24,"'-'",$24,"'-'",$24,$27
	db $2C,$27,$24,$27,$2C,$27,$24,"'.'",$24,"'.'",$FF,$C1
	db $84,$2E,$2B,$24,$88,$27,$84,".0.-'",$24,$88,$2D,$84
	db $27,$29,$2B,$88,$2C,$2C,$84,$27,$88,$24,$94,$2E,$C6,$84,"70"
V_2E00	db ".0",$FF,$C6,$84,$0C,$C5,$0C,$C1,$12,$C5,$82,"J"-64,"K"-64,$C6,$84
	db $0C,$C5,$82,"J"-64,"L"-64,$C1,$84,$12,$C5,$82,"J"-64,"K"-64,$C6,$86,$0C,$C5
	db $82,$0C,$C1,$84,$12,$C5,$82,"J"-64,"K"-64,$C6,$84,$0C,$C5,$82,"O"-64,"L"-64
	db $C1,$84,$12,$C5,$0A,$C6,$86,$08,$C5,$82,$08,$C1,$84,$12,$C5,$07
	db $C6,$08,$C5,$82,$07,$C5,$08,$C1,$84,$12,$C5,$82,$0A,$82,$0C,$C0
	db $84,$10,$C2,$82,"R"-64,"R"-64,$C1,"R"-64,"R"-64,$84,$12,$C8,$10,$FF,$D0,$8C
	db $13,$FF,$C8,$84,$10,$D1,$88,$13,$FF,$C0,$82,$10,$D6,"R"-64,"R"-64,$C0
	db $10,$C1,$84,$11,$C0,$82,"P"-64,"P"-64,$D5,$12,$D4,$12,$D5,$12,$D4,$12
	db $C1,$11,$C0,"P"-64,"P"-64,"P"-64,"P"-64,"P"-64,$D6,$12,$C0,$10,$C1,$84,$11,$C0
	db $82,"P"-64,"P"-64,$D5,$12,$D4,$12,$D5,$12,$D4,$12,$C1,$84,$12,$82,"R"-64
	db "R"-64,$FF,$C6,$82,$0C,$D6,$12,$D6,$12,$C6,$0C,$C1,$84,$11,$C6,$82
	db $0A,$C6,$0C,$D5,$12,$D4,$12,$D5,$12,$D4,$12,$C1,$11,$C6,$07,$C6
	db $0A,$C6,$07,$C6,$0C,$C6,$0C,$D6,$12,$C6,$0C,$C1,$84,$11,$C6,$82
	db $0A,$C6,$0C,$D5,$12,$D4,$12,$D5,$12,$D4,$82,$12,$C1,$84,$12,$C1
	db $82,$12,$C1,$82,$12,$FF,$C6,$82,$0A,$D6,"R"-64,"R"-64,$C6,$0A,$C1,$84
	db $11,$C6,$82,$05,$C6,$0A,$D5,$12,$D4,$12,$D5,$12,$D4,$12,$C1,$11
V_2F00	db $C6,"E"-64,"G"-64,"E"-64,"J"-64,"J"-64,$D6,$12,$C6,$0A,$C1,$84,$11,$C6,$82,"L"-64
	db "J"-64,$C1,"R"-64,"R"-64,$84,$12,$CF,$88,$12,$FF,$CE,$A0,$A0,"L"-64,"O"-64,"J"-64
	db "L"-64,$FF,$D0,$82,"z.",$D1,$2B,$2B,$D0,$82,"z.",$D1,$2B,$2B
	db $D0,$82,"z.",$D1,$2B,$D0,$82,"z.",$D1,$2B,$2B,$D0,$82,"z"
	db ".",$D1,$2B,$D0,$82,"z.",$D1,$2B,$2B,$FF,$D0,$82,$7B,$2E,$D1
	db "..",$D0,$82,$7B,$2E,$D1,"..",$D0,$82,$7B,$2E,$D1,$2E,$D0
	db $82,$7B,$2E,$D1,"..",$D0,$82,$7B,$2E,$D1,$2E,$D0,$82,$7B,$2E
	db $D1,"..",$FF,$D2,$94,$24,$84,$26,$27,$29,$88,$2B,$24,$84,$2B
	db $29,$27,$B8,$22,$84,$1F,$22,$24,$94,$26,$84,$22,$26,$27,$88,$29
	db $2E,$84,$30,$88,$32,$98,$30,$84,$2B,$27,$88,$24,$D3,$84,$20,$24
	db $28,$2C,$30,$2C,$28,$FF,$C6,$82,$0F,$D6,"R"-64,"R"-64,$C6,$0F,$C1,$84
	db $11,$C6,$82,$0E,$C6,$0F,$D5,$12,$D4,$12,$D5,$12,$D4,$12,$C1,$11
	db $C6,"J"-64,"L"-64,"J"-64,"O"-64,"O"-64,$D6,$12,$C6,$0F,$C1,$84,$11,$C6,$82,"N"-64
	db "O"-64,$D4,$12,$D5,$12,$D4,$12,$D5,$12,$C1,"R"-64,"R"-64,$84,$12,$FF,$C0
	db $82,$10,$C2,$12,$D4,$12,$D5,$12,$C1,$84,$12,$C0,$82,"P"-64,"P"-64,$C2
	db $12,$C0,$10,$D4,$12,$C0,$10,$C1,$84,"R"-64,"R"-64,$FF,$C3,$88,"N"-64,"P"-64
V_3000	db $C6,$82,$0C,$C5,$0C,$84,$0F,$C6,$82,$0E,$C5,"J"-64,"G"-64,"L"-64,$FF,$C7
	db $90,$10,$C6,$82,$0C,$C5,$0C,$84,$0F,$C6,$82,$11,$C5,"N"-64,"J"-64,"L"-64
	db $FF,$D4,$94,$24,$84,$24,$24,$24,$86,$22,$22,$94,$22,$1F,$84,$1F
	db $1F,$82,$1F,$86,$1F,$C0,$84,$00,$C3,$98,$50,$FF,$D4,$94,$27,$84
	db "'''",$86,$26,$26,$94,$26,$22,$84,$22,$22,$82,$22,$86,$24
	db $C0,$9C,$00,$FF,$D4,$94,$2B,$84,$2B,$2B,$2B,$86,$29,$29,$94,$29
	db $26,$84,$26,$26,$82,$26,$86,$27,$C0,$9C,$00,$FF,$C6,$82,$0C,$C5
	db $0C,$D4,$12,$D5,$12,$C1,$84,$12,$C6,$82,$0C,$C5,$0C,$D4,$12,$C5
	db $0C,$C0,$10,$C5,$0C,$C1,$84,$12,$C5,$0B,$C6,$82,$0A,$C5,$0A,$D4
	db $12,$D5,$12,$C1,$84,$12,$C6,$82,$0C,$C5,$0A,$C0,$84,"P"-64,"P"-64,$C1
	db $82,"R"-64,"R"-64,$84,$14,$C6,$82,$07,$C5,$07,$D4,$12,$D5,$12,$C1,$84
	db $12,$C6,$82,$05,$C5,$07,$D4,$12,$C5,$0A,$D5,$12,$C5,$07,$C1,$84
	db $12,$C5,$82,$0A,$C5,$0C,$C0,$84,"P"-64,"P"-64,$D2,$82,"R"-64,"R"-64,$C1,"R"-64
	db "R"-64,$CD,$88,$10,$C9,$82,"R"-64,"R"-64,"R"-64,"R"-64,$FF,$C0,$84,$10,$D6,$10
	db $C4,$14,$C0,$82,"P"-64,"P"-64,$D6,$84,$10,$C0,$82,$10,$D4,$81,"M"-64,"M"-64
	db $C4,$84,$14,$C0,$10,$D6,$82,"P"-64,"R"-64,$C0,$84,$10,$C4,$14,$C0,$10
V_3100	db $CD,$15,$C0,$82,$10,$CD,$15,$C4,$84,$14,$C9,$82,"R"-64,"P"-64,$FF,$CE
	db $A0,"L"-64,"J"-64,"G"-64,"H"-64,"L"-64,"J"-64,"O"-64,"Q"-64,$FF,$C0,$82,$00,$CE,$A0,"L"-64
	db "J"-64,"G"-64,"H"-64,"L"-64,"J"-64,"O"-64,$9E,$11,$FF,$D0,$A0,$7C,$18,$7D,$16,$90
	db $7C,$13,$7E,$11,$7D,$14,$7F,$13,$A0,$7C,$18,$7D,$16,$7E,$16,$7F
	db $18,$FF,$C6,$86,$0C,$C5,$82,$0C,$C1,$84,$11,$C6,$0C,$C5,$82,"L"-64
	db "L"-64,$C6,$0C,$D4,$81,"M"-64,"M"-64,$C1,$84,$11,$C6,$0C,$D6,$82,"P"-64,"R"-64
	db $C6,$84,$0A,$C1,$11,$C6,$0A,$C5,$86,$0A,$CD,$82,$15,$C1,$84,$11
	db $C9,$82,"R"-64,"P"-64,$FF,$C6,$86,$07,$C5,$82,$07,$C1,$84,$11,$C6,$07
	db $D4,$81,"M"-64,"M"-64,$C5,$82,$07,$C6,$07,$D4,$81,"M"-64,"M"-64,$C1,$84,$11
	db $C6,$07,$FF,$D6,$82,"P"-64,"R"-64,$C6,$84,$08,$C1,$11,$C6,$08,$C5,$86
	db $0A,$CD,$82,$14,$CF,$88,$13,$FF,$C6,$86,$0F,$C5,$82,$0F,$C1,$84
	db $11,$C6,$0F,$C5,$82,"O"-64,"O"-64,$C6,$0F,$D4,$81,"M"-64,"M"-64,$C1,$84,$11
	db $C6,$0F,$FF,$D6,$82,"P"-64,"R"-64,$C6,$84,$11,$C1,$11,$C6,$11,$C5,$86
	db $11,$D3,$82,$13,$C1,$84,$11,$C9,$82,"R"-64,"P"-64,$FF,$D5,$9C,$24,$84
	db $26,$90,$27,$88,$26,$84,$22,$A0,$24,$84,$22,$24,$88,$2B,$2C,$84
	db $2B,$29,$27,$9C,$24,$84,$26,$90,$27,$88,$26,$84,$22,$94,$24,$88
V_3200	db $1F,$1D,$9E,$18,$FF,$C0,$82,$00,$FF,$C3,$98,$0F,$D2,$82,"R"-64,"R"-64
	db "R"-64,"R"-64,$FF,$C0,$A0,$A0,$00,$FF
V_3218	db "H"-64,"L"-64,"B"-64,$20,$03,$80,$04,$40,"H"-64,"L"-64,"G"-64,$D2,$07,$50,"J"-64,"N"-64
	;
S_3228	inc V_2012,x
	iny
	lda (zpD6),y
	cmp #$FF
	beq B_3235
	sta zpD2+1
	rts
;$3235  --------
B_3235	jmp L_2394
	;
;$3238  --------
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0,0
	db 0,0,0,0, 0,0,0

	; 32DF
	db $05
	db $00,$00,$03,$03,$07,$07,$05,$00,$00,$04,$04,$07,$07,$05,$00,$00
	db $05,$05,$09,$09
	
V_32F4	db $05,$00,$00,$05,$05,$08,$08,$FF,$89,$DF,$FF,$FF

	; 3300, start of sample data
	db $A8,$75
	db $48,$6E,$CE,$DA,$89,$51,$00,$30,$68,$AF,$FF,$FE,$FD,$B6,$53,$00
	db $11,$23,$56,$79,$AB,$DD,$DF,$FF,$ED,$B8,$76,$33,$52,$02,$12,$84
	db $89,$BD,$FF,$FE,$DD,$CE,$DB,$A7,$73,$00,$00,$26,$68,$77,$9A,$BA
	db $CA,$9D,$EE,$CA,$85,$64,$67,$78,$64,$65,$46,$78,$99,$AA,$CD,$CD
	db $C8,$BA,$98,$54,$35,$43,$55,$57,$99,$CD,$CB,$A8,$78,$89,$89,$86
	db $78,$77,$56,$66,$77,$7A,$CC,$AB,$CA,$A9,$74,$79,$76,$88,$96,$79
	db $77,$89,$97,$99,$88,$9B,$AC,$A8,$A7,$55,$76,$79,$A9,$A8,$76,$B7
	db $88,$45,$97,$AB,$87,$79,$A6,$87,$68,$67,$8A,$CC,$CA,$79,$45,$75
	db $54,$4A,$99,$BB,$A8,$79,$9A,$99,$86,$99,$88,$86,$79,$64,$34,$76

	db $AA,$9A,$DC,$BB,$B9,$88,$87,$84,$77,$56,$A8,$8A,$B9,$87,$55,$87
	db $78,$A9,$BA,$A9,$97,$9A,$A8,$99,$95,$55,$77,$AA,$B9,$75,$58,$88
	db $7B,$98,$89,$8B,$9A,$A9,$96,$46,$56,$87,$89,$75,$87,$7A,$A9,$AA
	db $CA,$BA,$77,$75,$67,$77,$48,$98,$8A,$86,$79,$9A,$9A,$A8,$87,$66
	db $66,$6A,$88,$86,$89,$78,$CA,$A9,$AA,$98,$89,$65,$68,$78,$A9,$88
	db $87,$57,$56,$68,$8B,$BB,$B8,$88,$AA,$A9,$77,$76,$55,$75,$78,$79
	db $AA,$B9,$97,$88,$88,$97,$78,$66,$87,$87,$88,$98,$B8,$89,$86,$75
	db $67,$7A,$88,$A9,$BA,$97,$87,$77,$89,$99,$97,$77,$67,$67,$77,$97
	db $9A,$97,$98,$79,$88,$75,$67,$57,$9A,$AB,$CD,$A9,$87,$75,$67,$86
	db $65,$69,$99,$99,$AB,$BA,$89,$88,$A9,$9A,$89,$65,$55,$56,$66,$89
	db $89,$9A,$BB,$BB,$98,$99,$78,$77,$77,$85,$56,$76,$57,$77,$8B,$AB
	db $EA,$CA,$98,$88,$78,$87,$77,$54,$68,$97,$86,$66,$69,$BA,$AC,$CA
	db $98,$87,$88,$79,$98,$87,$75,$67,$77,$87,$99,$9A,$A9,$98,$98,$99
	db $88,$78,$67,$87,$8A,$88,$98,$77,$86,$87,$67,$8A,$97,$AA,$AA,$B9
	db $88,$67,$78,$88,$87,$77,$77,$67,$78,$79,$BB,$DC,$BA,$89,$87,$77
	db $56,$55,$77,$77,$67,$87,$79,$98,$AA,$BC,$BB,$98,$87,$86,$75,$65

	db $66,$77,$79,$8A,$9A,$AA,$BB,$BB,$BA,$B8,$87,$65,$44,$45,$44,$87
	db $89,$8A,$DC,$CB,$CA,$A9,$87,$77,$65,$56,$66,$55,$67,$79,$99,$A9
	db $AB,$AA,$A9,$9A,$88,$76,$65,$66,$57,$99,$99,$88,$9A,$8A,$AA,$AA
	db $86,$75,$57,$68,$69,$89,$78,$89,$9A,$8B,$A9,$98,$87,$66,$65,$67
	db $77,$86,$89,$89,$A8,$AB,$AA,$AA,$89,$77,$56,$65,$66,$77,$77,$99
	db $9B,$CA,$BA,$98,$87,$66,$78,$88,$87,$87,$77,$67,$78,$A9,$BB,$B9
	db $A8,$78,$77,$65,$65,$67,$78,$89,$BB,$AA,$A9,$88,$76,$55,$45,$68
	db $9A,$AB,$B9,$99,$79,$79,$87,$88,$87,$86,$78,$79,$87,$87,$89,$89
	db $BA,$99,$88,$78,$87,$78,$88,$88,$87,$77,$86,$77,$78,$88,$99,$89
	db $88,$89,$9A,$98,$98,$89,$77,$77,$76,$77,$78,$87,$88,$89,$89,$99
	db $9B,$99,$98,$98,$77,$77,$78,$78,$78,$88,$98,$99,$9A,$A9,$89,$78
	db $77,$88,$77,$76,$78,$89,$99,$A9,$88,$78,$77,$78,$88,$99,$88,$87
	db $77,$77,$88,$89,$99,$88,$88,$89,$89,$88,$98,$1F,$00,$00,$88,$21
	db $F8,$BF,$9F,$BE,$4F,$43,$61,$72,$32,$6C,$6A,$9D,$DA,$98,$A4,$42
	db $33,$00,$F5,$6F,$9F,$CE,$5F,$43,$00,$52,$43,$7D,$9B,$BE,$CA,$86
	db $73,$11,$30,$3F,$0D,$FD,$FC,$A3,$F0,$40,$42,$25,$5D,$CA,$DE,$DA

	db $85,$54,$00,$11,$4F,$2B,$FF,$FB,$A2,$E0,$10,$52,$36,$7D,$FC,$DD
	db $E7,$53,$31,$00,$03,$FA,$7F,$FF,$EC,$0F,$00,$01,$33,$66,$FF,$EC
	db $CE,$A5,$00,$20,$00,$9F,$3F,$EF,$FF,$1A,$90,$00,$44,$78,$7F,$FF
	db $AB,$A7,$20,$10,$00,$9F,$8D,$EF,$FE,$80,$90,$10,$14,$7B,$8E,$FF
	db $B9,$A6,$30,$00,$10,$2F,$CB,$FF,$FB,$A0,$70,$00,$24,$7C,$AE,$FF
	db $B8,$95,$20,$00,$21,$3F,$EB,$FF,$F9,$90,$70,$10,$36,$8D,$BE,$FF
	db $96,$74,$20,$01,$43,$7F,$FA,$FE,$F8,$30,$40,$10,$38,$AF,$CE,$FF
	db $84,$53,$20,$12,$66,$4B,$F7,$FD,$E5,$90,$04,$13,$0B,$AE,$DB,$FD
	db $82,$34,$22,$25,$6A,$86,$BF,$69,$9B,$56,$00,$84,$70,$EB,$ED,$9B
	db $A9,$11,$44,$44,$88,$DB,$75,$EF,$08,$6B,$47,$05,$B9,$63,$EA,$B8
	db $5A,$98,$14,$78,$67,$9B,$C7,$67,$3E,$E0,$9A,$C6,$94,$7C,$56,$2D
	db $57,$66,$BA,$94,$AA,$86,$68,$8A,$45,$76,$3E,$C1,$EA,$B7,$B2,$94
	db $63,$59,$5A,$9A,$BA,$95,$87,$64,$66,$9A,$88,$88,$37,$C0,$99,$B6
	db $A6,$4B,$68,$1C,$78,$86,$99,$A6,$78,$77,$67,$79,$87,$87,$74,$3F
	db $65,$BA,$A8,$92,$B6,$72,$7A,$6A,$79,$BA,$77,$96,$66,$66,$88,$79
	db $98,$64,$2F,$A4,$BA,$B8,$93,$89,$55,$3C,$5A,$57,$BA,$75,$A8,$76

	db $56,$99,$67,$A9,$75,$42,$FC,$0B,$BB,$89,$4A,$A4,$45,$C6,$96,$8B
	db $B8,$48,$98,$44,$88,$96,$8A,$B9,$55,$64,$4F,$45,$EB,$98,$A4,$96
	db $44,$6A,$4A,$8A,$BA,$86,$96,$65,$57,$88,$79,$AA,$97,$66,$52,$5F
	db $48,$CB,$AA,$83,$A5,$52,$78,$7B,$7A,$CB,$87,$86,$65,$55,$89,$89
	db $AA,$98,$65,$54,$23,$FA,$6D,$CD,$9A,$26,$43,$32,$97,$B9,$BC,$CA
	db $57,$65,$44,$69,$A9,$9B,$BA,$86,$65,$43,$44,$5F,$D6,$ED,$C6,$81
	db $56,$34,$3D,$9C,$BA,$CA,$83,$55,$44,$47,$9C,$A9,$BB,$96,$55,$55
	db $44,$79,$86,$FF,$6C,$89,$47,$02,$85,$85,$DA,$DB,$89,$87,$24,$56
	db $77,$9A,$CB,$99,$87,$65,$46,$77,$88,$99,$97,$5A,$E6,$68,$98,$78
	db $3B,$77,$47,$87,$97,$89,$97,$68,$78,$66,$79,$97,$78,$99,$76,$78
	db $87,$78,$87,$66,$78,$75,$7E,$89,$8A,$87,$71,$96,$74,$89,$AA,$88
	db $99,$74,$66,$77,$78,$AA,$98,$88,$86,$67,$77,$78,$99,$98,$77,$76
	db $66,$77,$6B,$E7,$B8,$B5,$83,$38,$57,$6B,$AB,$98,$98,$74,$56,$67
	db $78,$9B,$A8,$88,$76,$55,$68,$88,$99,$A9,$87,$76,$65,$56,$88,$99
	db $88,$DB,$78,$79,$58,$37,$88,$87,$B9,$97,$67,$76,$57,$89,$88,$89
	db $98,$67,$77,$67,$78,$98,$88,$98,$77,$67,$77,$77,$88,$87,$77,$87

	db $77,$76,$9C,$79,$8A,$67,$64,$86,$76,$99,$99,$88,$87,$66,$77,$78
	db $88,$99,$88,$87,$76,$67,$88,$88,$99,$88,$77,$77,$77,$78,$88,$88
	db $87,$77,$77,$77,$88,$88,$79,$B7,$87,$86,$76,$78,$88,$79,$99,$87
	db $78,$77,$67,$88,$88,$88,$87,$77,$77,$77,$88,$88,$88,$88,$77,$77
	db $77,$78,$88,$88,$88,$77,$77,$77,$78,$88,$88,$88,$87,$77,$77,$77
	db $79,$97,$88,$96,$85,$1F,$77,$66,$66,$66,$66,$66,$66,$77,$77,$88
	db $88,$88,$99,$99,$99,$AA,$AB,$BA,$AA,$98,$87,$76,$66,$65,$55,$55
	db $56,$66,$67,$77,$88,$88,$88,$88,$87,$77,$77,$77,$77,$78,$88,$88
	db $88,$88,$88,$99,$AA,$BB,$BB,$BA,$A9,$88,$76,$65,$55,$45,$45,$56
	db $77,$78,$88,$88,$77,$76,$66,$55,$66,$66,$77,$77,$78,$89,$99,$BC
	db $DE,$EF,$FE,$DC,$BA,$87,$65,$44,$33,$23,$33,$54,$56,$66,$76,$66
	db $66,$56,$66,$77,$77,$77,$66,$78,$7B,$CC,$FF,$FF,$FF,$FE,$DA,$87
	db $54,$32,$32,$23,$34,$44,$55,$44,$33,$21,$22,$23,$44,$55,$57,$A9
	db $BF,$FF,$FF,$FF,$FF,$FD,$B7,$65,$33,$24,$54,$55,$55,$43,$31,$00
	db $00,$00,$00,$11,$16,$A8,$DF,$FF,$FF,$FF,$FF,$EB,$83,$34,$34,$57
	db $98,$99,$86,$32,$00,$00,$00,$00,$00,$07,$57,$FF,$FF,$FF,$FF,$FE

	db $76,$20,$13,$59,$BD,$FE,$CB,$82,$00,$00,$00,$00,$00,$27,$3A,$FF
	db $FF,$FF,$FE,$A6,$20,$00,$28,$9E,$FF,$FF,$B9,$20,$00,$00,$00,$00
	db $07,$2F,$FF,$FF,$FF,$F7,$20,$00,$00,$7F,$FF,$FF,$FC,$40,$00,$00
	db $00,$00,$0C,$FF,$FF,$FF,$FC,$D0,$00,$00,$02,$7F,$FF,$FF,$FF,$00
	db $00,$00,$00,$00,$2F,$EF,$FF,$FF,$C9,$20,$00,$00,$4A,$FF,$FF,$FF
	db $D0,$00,$00,$00,$00,$EF,$EF,$FF,$FF,$72,$00,$00,$00,$8F,$FF,$FF
	db $FF,$D2,$00,$00,$00,$00,$FF,$FF,$FF,$FA,$10,$00,$00,$03,$EF,$FF
	db $FF,$FF,$30,$00,$00,$00,$FF,$FF,$FF,$FF,$80,$00,$00,$00,$BF,$FF
	db $FF,$FF,$00,$00,$00,$00,$DF,$FF,$FF,$FF,$F0,$00,$00,$07,$FF,$FF
	db $FF,$60,$00,$00,$00,$79,$FF,$FF,$FF,$C0,$00,$00,$09,$FF,$FF,$FF
	db $80,$00,$00,$00,$7E,$FF,$FF,$FF,$F7,$00,$00,$09,$FF,$FF,$FF,$80
	db $00,$00,$00,$7F,$FF,$FF,$FF,$80,$00,$00,$0F,$FF,$FF,$FF,$C0,$00
	db $00,$00,$FF,$FF,$FF,$FD,$00,$00,$00,$BF,$FF,$FF,$FF,$00,$00,$00
	db $0D,$FF,$FF,$FF,$F0,$00,$00,$05,$FF,$FF,$FF,$F2,$00,$00,$00,$FF
	db $FF,$FF,$FF,$00,$00,$00,$FF,$FF,$FF,$FF,$60,$00,$00,$0B,$FF,$FF
	db $FF,$FC,$00,$00,$00,$FF,$FF,$FF,$F4,$00,$00,$00,$BF,$FF,$FF,$FF

	db $00,$00,$00,$7F,$FF,$FF,$FF,$20,$00,$00,$0E,$FF,$FF,$FF,$F0,$00
	db $00,$07,$FF,$FF,$FF,$F0,$00,$00,$03,$FF,$FF,$FF,$F0,$00,$00,$00
	db $FF,$FF,$FF,$F0,$00,$00,$00,$9F,$FF,$FF,$FC,$00,$00,$00,$AF,$FF
	db $FF,$F1,$00,$00,$00,$0F,$FF,$FF,$FF,$00,$00,$00,$2F,$FF,$FF,$FF
	db $00,$00,$00,$01,$FF,$FF,$FF,$40,$00,$00,$09,$FF,$FF,$FF,$80,$00
	db $00,$00,$5F,$FF,$FF,$F4,$00,$00,$00,$7F,$FF,$FF,$F9,$00,$00,$00
	db $00,$FF,$FF,$FE,$60,$00,$00,$07,$EF,$FF,$FF,$C0,$00,$00,$00,$02
	db $FE,$FF,$FC,$20,$00,$00,$08,$FF,$FF,$FF,$A0,$00,$00,$00,$07,$FF
	db $FF,$FC,$50,$00,$00,$07,$DF,$FF,$FF,$A3,$00,$00,$00,$00,$EF,$FF
	db $FB,$63,$00,$00,$39,$EF,$FF,$FF,$A2,$00,$00,$00,$23,$6F,$E9,$C9
	db $74,$41,$4A,$7A,$DE,$EE,$DA,$A7,$31,$00,$02,$33,$20,$4A,$68,$99
	db $CE,$D9,$C9,$65,$56,$8A,$9D,$FD,$B9,$63,$00,$00,$00,$09,$9B,$FF
	db $FF,$E6,$65,$00,$24,$9C,$CE,$FF,$D8,$40,$00,$00,$12,$2B,$FD,$EF
	db $ED,$B8,$25,$52,$46,$8A,$CB,$CF,$DA,$75,$31,$01,$45,$43,$2A,$C8
	db $AC,$EE,$C8,$59,$40,$13,$58,$AB,$FF,$FD,$B7,$30,$00,$12,$34,$4A
	db $EA,$AC,$BA,$85,$26,$41,$47,$AC,$FF,$FF,$EA,$73,$10,$03,$57,$98

	db $74,$28,$32,$78,$BC,$DA,$BC,$55,$55,$79,$BC,$FF,$EB,$75,$21,$02
	db $34,$56,$63,$37,$97,$AC,$CE,$EA,$79,$63,$55,$7B,$DC,$DF,$C8,$53
	db $21,$13,$79,$AB,$A9,$50,$05,$45,$BD,$FF,$E9,$76,$00,$02,$7B,$DF
	db $FF,$D9,$53,$20,$25,$9C,$EE,$CA,$40,$00,$11,$6A,$EF,$FE,$87,$30
	db $01,$59,$EF,$FF,$FA,$85,$22,$24,$8C,$CC,$A5,$20,$00,$00,$4A,$BF
	db $FF,$EB,$30,$22,$49,$DF,$FF,$FD,$95,$00,$02,$69,$CF,$FA,$73,$00
	db $00,$04,$67,$FF,$ED,$C6,$65,$22,$7B,$AE,$FF,$FC,$75,$52,$03,$57
	db $BC,$DC,$A6,$31,$00,$12,$47,$88,$75,$6A,$65,$AB,$DF,$FD,$DC,$64
	db $64,$68,$9A,$CB,$76,$53,$33,$58,$AB,$BB,$97,$52,$12,$24,$79,$A8
	db $8B,$96,$77,$8C,$B9,$AB,$85,$65,$79,$89,$CD,$A9,$86,$54,$46,$9A
	db $99,$87,$64,$23,$44,$45,$77,$64,$4A,$97,$BC,$DF,$C8,$79,$43,$67
	db $AD,$CC,$ED,$85,$43,$34,$57,$AC,$B9,$97,$53,$23,$56,$67,$88,$64
	db $20,$17,$88,$FF,$FF,$FA,$76,$21,$67,$BF,$FF,$EC,$62,$00,$00,$37
	db $BD,$ED,$B8,$43,$12,$67,$9A,$B9,$75,$31,$00,$3B,$CF,$FF,$FD,$82
	db $22,$13,$AC,$FF,$EC,$B7,$20,$01,$68,$AD,$ED,$A6,$20,$00,$25,$8A
	db $CC,$A7,$42,$11,$24,$6E,$FF,$FF,$DA,$83,$24,$77,$9E,$DE,$EA,$76

	db $30,$13,$57,$99,$AA,$75,$44,$34,$57,$AB,$BA,$97,$53,$22,$45,$79
	db $A9,$CF,$B9,$B9,$8B,$87,$AA,$88,$A7,$89,$66,$87,$45,$54,$66,$68
	db $98,$88,$87,$77,$78,$88,$89,$87,$75,$45,$44,$57,$77,$6A,$DB,$9D
	db $CA,$DA,$68,$86,$79,$89,$B9,$99,$74,$22,$24,$78,$BC,$B9,$75,$44
	db $46,$79,$AA,$A9,$75,$32,$34,$58,$AC,$CB,$96,$59,$87,$CE,$CE,$C8
	db $78,$42,$66,$7B,$AA,$CA,$63,$32,$35,$68,$BB,$A8,$65,$33,$36,$9B
	db $CC,$CA,$75,$33,$34,$68,$AB,$BA,$97,$32,$26,$BA,$DF,$EE,$D7,$55
	db $32,$58,$AD,$DA,$B8,$52,$11,$35,$69,$BC,$A8,$65,$43,$35,$9B,$CD
	db $CC,$A7,$44,$45,$68,$AB,$AA,$86,$54,$44,$56,$BE,$CC,$E9,$88,$43
	db $67,$6A,$BA,$BA,$65,$64,$34,$67,$9A,$9A,$97,$54,$45,$66,$8A,$BA
	db $A9,$88,$65,$66,$78,$89,$99,$76,$55,$56,$78,$99,$87,$7A,$A8,$AA
	db $9A,$96,$88,$65,$77,$8A,$98,$98,$65,$44,$66,$67,$99,$98,$66,$65
	db $56,$89,$99,$99,$98,$77,$78,$88,$99,$88,$76,$66,$67,$88,$98,$87
	db $66,$99,$79,$BA,$BB,$76,$76,$56,$79,$BA,$89,$86,$44,$45,$67,$89
	db $A9,$87,$66,$66,$79,$99,$A9,$88,$76,$67,$89,$AA,$A9,$86,$65,$55
	db $67,$99,$99,$87,$65,$44,$57,$AB,$BC,$B8,$86,$45,$66,$8A,$AB,$B9

	db $77,$54,$56,$89,$AA,$99,$76,$54,$45,$67,$9A,$A9,$87,$66,$67,$8A
	db $AB,$BA,$98,$65,$55,$67,$88,$88,$66,$55,$56,$78,$88,$AA,$99,$98
	db $99,$88,$99,$89,$88,$87,$77,$77,$66,$66,$66,$67,$77,$77,$77,$76
	db $77,$89,$99,$99,$87,$78,$89,$99,$A9,$98,$77,$66,$66,$77,$77,$67
	db $77,$77,$78,$88,$87,$77,$78,$99,$AA,$99,$87,$67,$77,$88,$99,$97
	db $76,$65,$56,$78,$99,$1F,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$0B,$09
	db $0C,$0C,$20,$01,$0C,$0C,$20,$03,$12,$01,$03,$0B,$05,$12,$13,$20
	db $21,$21,$21,$21,$21,$21,$20,$20,$20,$13,$09,$07,$0E,$05,$04,$3A
	db $20,$03,$08,$01,$12,$0C,$05,$13,$20,$04,$05,$05,$0E,$05,$0E,$2E
	db $2E,$2E,$2E,$20,$20,$20,$20,$20,$20,$20,$20,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00

	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$8A,$68
	db $3A,$75,$75,$36,$AB,$AB,$DC,$DF,$AA,$95,$41,$00,$00,$14,$69,$BC
	db $FF,$FF,$FF,$FF,$FC,$96,$30,$00,$00,$00,$00,$00,$23,$7A,$CF,$FF
	db $FF,$FF,$FF,$FF,$FD,$BA,$87,$53,$21,$00,$00,$00,$00,$11,$23,$34
	db $56,$78,$AC,$DE,$FF,$FF,$FF,$FF,$FF,$FF,$DC,$BA,$87,$54,$43,$10
	db $00,$00,$00,$00,$00,$01,$34,$67,$8A,$CE,$FF,$FF,$FF,$FF,$FF,$FF
	db $FF,$EC,$A8,$84,$32,$00,$00,$00,$00,$00,$00,$12,$33,$56,$68,$88
	db $9A,$AA,$AB,$BB,$CD,$EE,$EF,$FF,$FF,$EE,$DC,$BA,$A9,$87,$66,$43
	db $22,$10,$00,$11,$22,$33,$45,$57,$88,$9A,$CC,$DE,$FF,$FF,$FF,$FF
	db $FE,$DB,$A8,$76,$53,$21,$10,$00,$00,$01,$13,$34,$67,$79,$9A,$BB

	db $CC,$DD,$EF,$FF,$FF,$FF,$FE,$DC,$B9,$76,$54,$32,$22,$12,$22,$33
	db $44,$55,$66,$67,$77,$77,$77,$88,$89,$9A,$AB,$BC,$CC,$CC,$CC,$CB
	db $BB,$AA,$A9,$98,$88,$77,$76,$65,$55,$55,$55,$66,$78,$89,$9A,$AA
	db $AA,$99,$88,$77,$65,$55,$55,$55,$56,$67,$78,$88,$89,$9A,$AA,$AB
	db $AA,$AA,$A9,$89,$98,$1F,$89,$97,$46,$B4,$9A,$9C,$EE,$C9,$53,$21
	db $23,$46,$68,$99,$BB,$D9,$FF,$FE,$DE,$BA,$A7,$64,$31,$00,$00,$13
	db $45,$88,$AF,$EF,$FF,$FF,$EC,$B8,$75,$31,$15,$32,$55,$99,$BB,$CC
	db $8D,$AB,$98,$75,$54,$24,$52,$57,$79,$AB,$BE,$AD,$BB,$AA,$87,$55
	db $34,$74,$38,$85,$AB,$BB,$CC,$BC,$BA,$88,$76,$64,$54,$45,$87,$69
	db $A8,$BB,$C9,$AA,$A8,$88,$56,$64,$65,$85,$59,$6B,$9C,$AD,$9A,$AA
	db $98,$86,$67,$75,$57,$78,$77,$A9,$AB,$99,$C8,$A9,$88,$76,$66,$56
	db $78,$59,$89,$99,$C7,$AA,$A9,$89,$87,$57,$75,$69,$47,$88,$B4,$A9
	db $AA,$99,$99,$87,$87,$86,$76,$58,$95,$A7,$99,$B8,$98,$8A,$A9,$77
	db $77,$78,$66,$96,$79,$7A,$A7,$A8,$A9,$A9,$78,$97,$86,$87,$77,$88
	db $88,$88,$A7,$8A,$88,$99,$88,$77,$87,$96,$68,$89,$78,$88,$88,$A7
	db $8A,$88,$88,$78,$88,$87,$77,$87,$78,$A7,$89,$98,$99,$98,$78,$89

	db $88,$87,$88,$68,$79,$88,$98,$79,$89,$98,$88,$78,$88,$88,$78,$77
	db $97,$88,$8A,$79,$99,$88,$98,$88,$87,$88,$88,$78,$78,$89,$97,$98
	db $89,$98,$88,$87,$88,$87,$77,$88,$78,$88,$98,$88,$98,$99,$78,$88
	db $88,$88,$87,$87,$87,$98,$79,$88,$98,$1F,$00,$00,$00,$00,$EE,$BB
	db $99,$88,$87,$88,$99,$BB,$EE,$BB,$99,$88,$87,$88,$99,$BB,$EE,$BB
	db $99,$88,$87,$88,$99,$BB,$AE,$BB,$99,$88,$87,$88,$99,$BB,$AE,$BB
	db $99,$88,$87,$88,$99,$BB,$AE,$BB,$99,$88,$87,$88,$99,$1F,$CC,$99
	db $77,$66,$55,$66,$77,$99,$CC,$99,$D7,$C6,$55,$C6,$D7,$99,$CC,$99
	db $D7,$C6,$55,$C6,$D7,$99,$CC,$99,$D7,$C6,$55,$C6,$D7,$1F,$67,$97
	db $59,$69,$87,$89,$68,$A9,$AB,$89,$65,$45,$38,$78,$9A,$79,$75,$56
	db $37,$77,$9B,$8A,$88,$89,$7B,$BB,$BD,$BB,$98,$64,$56,$56,$9C,$89
	db $A8,$66,$46,$87,$BD,$BB,$B8,$76,$65,$64,$9A,$78,$A5,$67,$55,$56
	db $78,$A9,$9A,$98,$89,$87,$78,$9A,$AA,$AB,$BB,$AA,$BB,$CC,$FC,$CC
	db $A8,$74,$34,$55,$55,$55,$44,$44,$45,$65,$78,$88,$AB,$BA,$A9,$89
	db $99,$99,$87,$76,$55,$56,$67,$99,$89,$98,$88,$87,$77,$1F,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00

	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$86,$54,$34,$A3,$55
	db $63,$49,$43,$86,$44,$78,$3A,$53,$46,$C4,$B6,$44,$7B,$DB,$74,$47
	db $BC,$B7,$55,$8B,$DB,$85,$58,$AB,$B8,$66,$8A,$CB,$86,$68,$AB,$B8
	db $76,$7A,$BA,$97,$77,$9A,$A9,$77,$89,$AA,$98,$78,$9A,$A9,$87,$89
	db $AA,$98,$78,$99,$A9,$87,$1F,$98,$88,$87,$45,$98,$7A,$BA,$BC,$ED
	db $CA,$65,$56,$64,$35,$33,$56,$77,$AB,$AB,$EE,$FD,$96,$88,$99,$B9
	db $87,$63,$13,$66,$67,$54,$57,$9B,$DF,$FF,$EB,$89,$A7,$63,$42,$33
	db $57,$88,$78,$97,$9A,$CD,$BB,$B8,$98,$77,$57,$86,$99,$88,$76,$45
	db $68,$89,$A9,$99,$8A,$A8,$77,$77,$89,$78,$87,$79,$99,$9B,$98,$77
	db $55,$78,$9B,$AA,$89,$68,$98,$89,$88,$88,$99,$87,$87,$64,$43,$44
	db $68,$8A,$BB,$CB,$C9,$9A,$89,$99,$98,$78,$87,$87,$86,$86,$77,$87
	db $87,$9A,$BB,$CC,$CA,$88,$65,$44,$44,$45,$57,$88,$9A,$AB,$BA,$A9
	db $98,$78,$89,$77,$87,$77,$88,$88,$76,$54,$46,$78,$AB,$CC,$BA,$87
	db $78,$77,$79,$9A,$BC,$CB,$88,$86,$76,$65,$55,$87,$8A,$AA,$98,$87
	db $77,$88,$99,$99,$98,$98,$87,$67,$77,$77,$77,$77,$67,$9B,$AB,$CC
	db $CA,$86,$66,$66,$66,$88,$9A,$98,$88,$67,$67,$89,$9B,$BB,$A9,$76

	db $65,$54,$68,$99,$89,$98,$77,$77,$89,$98,$89,$86,$67,$AA,$BC,$BA
	db $96,$75,$55,$9A,$CB,$A9,$85,$66,$56,$77,$AA,$9A,$A7,$76,$45,$56
	db $68,$99,$88,$88,$88,$99,$AA,$BB,$AA,$99,$88,$76,$66,$58,$89,$A9
	db $A8,$55,$54,$68,$89,$AA,$BC,$AB,$97,$99,$78,$86,$76,$67,$89,$BC
	db $BB,$A8,$65,$65,$56,$99,$AA,$B8,$86,$75,$65,$77,$97,$A7,$88,$A9
	db $A7,$89,$86,$76,$65,$89,$A9,$BA,$99,$B8,$97,$98,$87,$99,$77,$87
	db $76,$67,$84,$78,$8A,$A9,$99,$8A,$AA,$AA,$8B,$97,$88,$89,$67,$97
	db $59,$69,$87,$89,$68,$A9,$AB,$89,$65,$45,$38,$78,$9A,$79,$75,$56
	db $37,$77,$9B,$8A,$88,$89,$7B,$BB,$BD,$BB,$98,$64,$56,$56,$9C,$89
	db $A8,$66,$46,$87,$BD,$BB,$B8,$76,$65,$64,$9A,$78,$A5,$67,$66,$86
	db $CB,$9A,$C7,$87,$76,$76,$CB,$98,$A5,$87,$77,$A9,$EC,$99,$A6,$66
	db $65,$68,$BC,$AB,$B7,$45,$54,$35,$78,$8B,$AA,$7A,$98,$59,$9A,$8B
	db $77,$68,$67,$48,$99,$8C,$AB,$8B,$98,$7A,$8A,$AC,$88,$66,$76,$46
	db $55,$79,$89,$99,$B9,$87,$77,$98,$66,$76,$75,$45,$86,$AA,$A8,$96
	db $97,$98,$B9,$BA,$A9,$A7,$A8,$77,$98,$CE,$CB,$A8,$96,$54,$56,$87
	db $56,$67,$87,$57,$89,$99,$AB,$78,$9A,$7B,$AA,$A8,$79,$44,$68,$58

	db $59,$AC,$CD,$98,$89,$46,$47,$87,$58,$66,$A8,$68,$78,$98,$7A,$86
	db $88,$68,$A9,$CB,$9A,$95,$AA,$88,$75,$AA,$BB,$94,$86,$56,$64,$A8
	db $99,$B7,$DB,$78,$84,$96,$79,$B8,$DA,$9A,$96,$74,$45,$54,$86,$79
	db $76,$A9,$CE,$B8,$A6,$54,$33,$76,$68,$65,$AA,$8A,$87,$97,$8B,$A8
	db $CA,$9B,$99,$A8,$7A,$86,$98,$9A,$76,$87,$8D,$D9,$CB,$98,$64,$65
	db $35,$64,$7A,$A9,$88,$76,$35,$75,$8A,$A9,$A8,$AA,$67,$96,$7A,$AA
	db $87,$79,$78,$C9,$79,$85,$63,$68,$57,$B8,$8B,$CB,$B9,$AA,$65,$98
	db $8A,$A9,$A8,$BB,$85,$63,$55,$67,$88,$AB,$A8,$A9,$99,$98,$84,$56
	db $53,$54,$56,$8B,$8A,$A9,$85,$66,$78,$AB,$DB,$BC,$A6,$76,$77,$77
	db $96,$78,$98,$9A,$CC,$BA,$97,$56,$76,$45,$56,$69,$B9,$89,$BA,$76
	db $78,$9B,$A9,$79,$A7,$45,$44,$78,$99,$89,$B9,$8A,$A9,$BC,$CB,$76
	db $64,$36,$56,$BB,$CC,$76,$85,$46,$66,$ED,$BB,$86,$94,$35,$67,$CE
	db $CB,$75,$84,$48,$77,$BA,$9A,$55,$85,$68,$55,$AB,$BE,$87,$A9,$79
	db $56,$A8,$8B,$77,$96,$47,$57,$9A,$8E,$88,$AA,$8C,$9A,$AA,$9D,$75
	db $55,$35,$34,$8B,$AD,$75,$48,$58,$78,$BC,$BE,$A8,$56,$34,$68,$9A
	db $AC,$A6,$56,$79,$BA,$AB,$BD,$C9,$87,$65,$86,$69,$A9,$A5,$89,$75

	db $96,$66,$88,$A7,$85,$30,$53,$46,$99,$C9,$BB,$A9,$E8,$55,$AB,$EB
	db $A9,$64,$96,$68,$A8,$95,$66,$56,$9A,$9B,$DB,$DA,$86,$32,$69,$9B
	db $CA,$A8,$77,$67,$9B,$89,$B9,$98,$43,$33,$89,$7A,$A8,$85,$45,$56
	db $88,$78,$BA,$BB,$97,$64,$78,$7A,$87,$BB,$CC,$BB,$BA,$88,$88,$9B
	db $87,$64,$57,$58,$65,$89,$76,$46,$44,$55,$AC,$DD,$96,$43,$35,$7A
	db $A9,$BC,$BC,$BA,$87,$9A,$78,$AA,$75,$45,$67,$AC,$97,$A9,$88,$88
	db $96,$7A,$A9,$BA,$96,$64,$53,$46,$65,$99,$CD,$EA,$95,$55,$65,$99
	db $AB,$B8,$A6,$78,$75,$88,$99,$85,$63,$47,$99,$DD,$AB,$98,$A5,$59
	db $97,$AA,$BD,$C8,$84,$37,$98,$98,$48,$85,$86,$6A,$A6,$88,$7A,$97
	db $97,$58,$A7,$BA,$67,$78,$A6,$47,$55,$78,$8C,$BC,$DA,$7C,$B9,$A9
	db $5A,$89,$A7,$49,$65,$56,$7C,$77,$53,$27,$69,$AB,$9B,$7A,$A6,$49
	db $69,$AB,$BE,$AB,$95,$47,$7A,$BA,$79,$68,$63,$47,$79,$A9,$BD,$98
	db $64,$57,$69,$96,$89,$78,$96,$57,$57,$88,$BD,$CC,$C8,$78,$6A,$97
	db $89,$8C,$A7,$65,$47,$57,$AC,$98,$65,$35,$38,$88,$AC,$9A,$98,$77
	db $57,$8A,$CF,$EB,$A8,$34,$37,$97,$7A,$88,$75,$55,$67,$87,$AB,$B7
	db $85,$46,$58,$C9,$AB,$A8,$A8,$77,$56,$77,$AC,$C9,$B8,$76,$67,$A9

	db $8A,$B9,$97,$86,$85,$75,$8A,$C9,$74,$54,$45,$99,$BC,$CB,$86,$77
	db $67,$8B,$CD,$EC,$96,$64,$36,$89,$99,$9A,$55,$77,$67,$89,$9A,$AA
	db $76,$78,$69,$9B,$99,$88,$54,$57,$66,$7A,$AC,$BC,$B8,$78,$57,$77
	db $89,$8A,$98,$78,$88,$8A,$AA,$98,$75,$35,$65,$89,$BB,$A9,$85,$55
	db $76,$7B,$EE,$EC,$CA,$44,$65,$66,$8A,$A8,$97,$44,$77,$79,$AA,$B7
	db $98,$57,$98,$99,$89,$76,$88,$56,$87,$79,$AB,$CA,$BA,$76,$77,$77
	db $78,$88,$AA,$77,$98,$78,$88,$86,$66,$56,$88,$89,$99,$99,$A9,$77
	db $88,$8A,$BC,$CA,$B9,$76,$77,$76,$66,$78,$97,$76,$89,$AA,$BB,$97
	db $75,$54,$69,$98,$88,$87,$87,$76,$68,$98,$99,$9B,$A9,$88,$8A,$96
	db $45,$57,$AA,$A9,$8A,$C8,$8A,$87,$77,$67,$7A,$B7,$57,$77,$AA,$99
	db $78,$A8,$7B,$98,$A9,$F0,$78,$95,$36,$56,$9A,$88,$87,$A8,$7A,$97
	db $98,$57,$8A,$B8,$88,$87,$99,$66,$75,$88,$8A,$A9,$BA,$88,$A9,$97
	db $66,$76,$9B,$89,$BA,$AB,$99,$86,$78,$56,$88,$67,$55,$67,$AD,$97
	db $88,$57,$78,$9A,$AE,$B9,$AA,$65,$43,$58,$8C,$B8,$9A,$69,$A9,$98
	db $68,$97,$7A,$66,$65,$68,$7A,$B7,$68,$77,$AA,$A9,$87,$A8,$8B,$A7
	db $75,$67,$99,$DA,$89,$A8,$AA,$B8,$75,$A8,$67,$85,$54,$67,$A9,$DB

	db $86,$76,$77,$99,$88,$BB,$89,$85,$43,$57,$99,$CC,$87,$66,$67,$9A
	db $86,$8A,$77,$76,$65,$69,$AA,$BC,$77,$66,$68,$8B,$AA,$BC,$AB,$98
	db $65,$47,$78,$9B,$9A,$98,$88,$68,$75,$69,$79,$86,$54,$36,$89,$AB
	db $A8,$76,$78,$79,$BA,$BC,$BA,$96,$65,$45,$89,$BB,$A9,$85,$78,$88
	db $A8,$99,$88,$74,$66,$67,$A9,$98,$97,$75,$68,$A9,$BA,$AA,$A9,$85
	db $55,$54,$78,$AA,$CA,$A7,$78,$86,$88,$A9,$A8,$85,$54,$65,$88,$B9
	db $B9,$A7,$76,$87,$99,$BA,$C9,$85,$54,$65,$88,$A9,$B9,$97,$77,$98
	db $88,$A9,$97,$65,$65,$87,$89,$98,$87,$87,$88,$A9,$99,$BA,$AA,$97
	db $76,$88,$77,$88,$8A,$A9,$88,$87,$66,$9A,$A8,$75,$54,$66,$78,$99
	db $99,$87,$65,$78,$8A,$CC,$BA,$86,$55,$79,$9A,$BB,$BB,$86,$66,$77
	db $78,$AB,$A8,$64,$56,$67,$88,$98,$88,$77,$78,$99,$99,$AA,$A9,$87
	db $78,$88,$97,$78,$9A,$B9,$89,$97,$87,$8A,$A8,$76,$67,$77,$88,$89
	db $99,$97,$77,$77,$98,$AA,$AA,$97,$66,$77,$99,$99,$89,$97,$57,$77
	db $77,$9A,$99,$87,$66,$78,$88,$88,$77,$88,$89,$AA,$AA,$AA,$89,$88
	db $78,$89,$87,$77,$69,$AA,$9A,$89,$87,$88,$89,$87,$66,$67,$66,$77
	db $79,$9A,$AA,$99,$87,$88,$89,$A9,$97,$78,$98,$99,$89,$A9,$88,$88

	db $97,$77,$88,$77,$86,$67,$87,$77,$77,$77,$89,$AB,$BA,$88,$77,$78
	db $88,$78,$98,$78,$78,$79,$99,$9A,$98,$67,$78,$78,$88,$79,$87,$77
	db $78,$78,$A9,$9B,$A9,$87,$78,$78,$88,$68,$88,$88,$78,$78,$98,$7A
	db $99,$87,$78,$78,$77,$68,$88,$77,$67,$66,$89,$9C,$CB,$98,$78,$78
	db $89,$8A,$99,$78,$66,$68,$89,$9B,$BA,$87,$56,$67,$88,$8A,$98,$76
	db $56,$68,$9A,$AB,$BA,$97,$67,$88,$88,$89,$87,$77,$77,$88,$99,$89
	db $A9,$98,$77,$87,$77,$89,$98,$86,$66,$66,$88,$9B,$BA,$97,$78,$76
	db $88,$9A,$A9,$97,$66,$77,$99,$9A,$BA,$97,$77,$65,$78,$9A,$B9,$86
	db $55,$77,$99,$AA,$89,$98,$77,$87,$78,$88,$A8,$87,$66,$88,$99,$99
	db $A9,$98,$76,$76,$67,$89,$A8,$88,$55,$87,$88,$9A,$B9,$AA,$88,$97
	db $78,$99,$A9,$98,$55,$78,$78,$9A,$AA,$A9,$76,$76,$56,$8A,$A9,$98
	db $55,$78,$88,$AB,$A9,$99,$76,$77,$68,$AA,$A8,$88,$65,$79,$98,$BB
	db $AA,$A9,$85,$77,$66,$99,$A9,$87,$54,$78,$77,$99,$A9,$AA,$86,$89
	db $77,$AA,$A8,$98,$74,$68,$77,$99,$9A,$AA,$97,$77,$66,$89,$AB,$A9
	db $86,$78,$77,$99,$99,$99,$86,$77,$76,$78,$99,$98,$76,$68,$87,$99
	db $99,$A9,$97,$77,$87,$89,$99,$98,$86,$57,$88,$99,$8A,$99,$98,$79

	db $89,$88,$88,$98,$87,$68,$88,$89,$9A,$99,$97,$67,$77,$67,$88,$9A
	db $98,$67,$88,$78,$8A,$AA,$98,$67,$78,$77,$88,$89,$88,$67,$89,$89
	db $AA,$AA,$99,$77,$88,$77,$87,$78,$87,$66,$78,$78,$89,$99,$88,$78
	db $9A,$98,$88,$89,$98,$77,$78,$78,$99,$99,$88,$67,$78,$88,$88,$89
	db $99,$87,$78,$78,$89,$99,$98,$78,$88,$87,$78,$78,$78,$78,$88,$78
	db $89,$98,$88,$67,$89,$99,$78,$77,$88,$77,$78,$89,$8A,$99,$89,$78
	db $99,$AA,$1F,$77,$77,$48,$BB,$FB,$CB,$53,$22,$13,$34,$8B,$DE,$ED
	db $DE,$B9,$8A,$BA,$86,$64,$8A,$76,$31,$00,$01,$36,$BF,$FF,$FF,$FF
	db $E8,$78,$77,$54,$33,$46,$66,$78,$77,$BF,$FF,$FF,$FE,$EA,$BA,$41
	db $00,$00,$00,$11,$24,$45,$58,$76,$56,$A9,$9B,$99,$BA,$BA,$9A,$98
	db $99,$AB,$CC,$EE,$EF,$FE,$FE,$EE,$FF,$B8,$8A,$86,$79,$99,$85,$64
	db $34,$42,$00,$10,$01,$00,$00,$00,$02,$35,$67,$69,$BB,$DF,$DA,$89
	db $9B,$BC,$EF,$FF,$FF,$FE,$FF,$EF,$FE,$EE,$ED,$99,$A8,$78,$79,$83
	db $55,$33,$45,$65,$54,$55,$21,$22,$11,$12,$22,$45,$54,$55,$66,$98
	db $8A,$9A,$98,$9C,$BA,$B9,$67,$87,$99,$AB,$DD,$EE,$EE,$EE,$FC,$CB
	db $A9,$8A,$97,$87,$78,$57,$66,$67,$56,$57,$87,$78,$87,$78,$65,$54

	db $54,$55,$55,$66,$56,$66,$88,$78,$A9,$AC,$BB,$66,$BB,$CC,$BD,$84
	db $32,$11,$33,$6A,$CF,$EE,$DE,$DA,$99,$BB,$97,$55,$4B,$77,$41,$00
	db $00,$24,$8D,$FF,$FF,$FF,$FB,$78,$77,$64,$33,$35,$66,$77,$77,$8D
	db $FF,$FF,$FF,$EC,$AB,$82,$00,$00,$00,$11,$13,$44,$47,$77,$55,$8B
	db $8B,$99,$AB,$AB,$99,$A9,$89,$AB,$CC,$EE,$EF,$FE,$FF,$DE,$DF,$89
	db $89,$86,$68,$89,$86,$55,$43,$53,$12,$20,$01,$00,$00,$00,$02,$34
	db $47,$57,$BA,$CD,$FB,$89,$AA,$AB,$CE,$FF,$FF,$FF,$FF,$FD,$FF,$ED
	db $FE,$B9,$AA,$88,$78,$85,$35,$34,$34,$66,$55,$56,$51,$32,$21,$22
	db $31,$45,$55,$66,$66,$88,$8A,$AB,$A9,$8B,$CA,$BA,$86,$78,$8A,$9B
	db $CD,$ED,$DE,$ED,$FD,$BB,$AA,$99,$98,$78,$78,$65,$76,$77,$65,$76
	db $78,$78,$88,$77,$75,$54,$54,$55,$64,$57,$65,$75,$79,$78,$AA,$9B
	db $CB,$BB,$B9,$98,$87,$A8,$88,$98,$88,$89,$8A,$98,$89,$89,$AB,$AA
	db $BA,$8A,$98,$77,$75,$56,$75,$66,$76,$75,$77,$76,$86,$78,$79,$89
	db $98,$89,$77,$78,$78,$88,$89,$98,$98,$89,$88,$9A,$AB,$9A,$B9,$AA
	db $9A,$97,$77,$76,$76,$78,$78,$97,$98,$89,$88,$99,$89,$88,$97,$77
	db $66,$66,$77,$78,$77,$78,$88,$99,$98,$9A,$99,$98,$88,$88,$88,$87

	db $77,$88,$87,$88,$78,$88,$87,$88,$88,$88,$88,$88,$88,$88,$88,$88
	db $99,$88,$88,$77,$77,$78,$88,$88,$88,$88,$88,$89,$78,$88,$88,$77
	db $77,$88,$79,$89,$89,$99,$99,$98,$88,$88,$87,$88,$88,$87,$88,$77
	db $78,$88,$89,$99,$89,$99,$99,$1F,$86,$98,$77,$99,$AC,$D9,$BE,$67
	db $57,$32,$45,$33,$5A,$AA,$9A,$78,$C9,$BB,$BC,$8E,$EA,$FC,$BC,$9A
	db $88,$73,$44,$10,$00,$10,$37,$66,$BA,$95,$8A,$67,$89,$AB,$AC,$EB
	db $FF,$FF,$FF,$FE,$CC,$B6,$53,$30,$02,$00,$25,$65,$67,$75,$78,$69
	db $9A,$A9,$CA,$AE,$BC,$BA,$A8,$98,$78,$65,$33,$84,$48,$97,$8B,$A7
	db $69,$86,$88,$88,$A9,$BB,$AE,$EE,$FF,$EE,$BA,$B7,$45,$42,$02,$43
	db $46,$75,$66,$76,$67,$67,$98,$BA,$AA,$8B,$BA,$CA,$A8,$78,$77,$76
	db $44,$66,$68,$BA,$9B,$B8,$77,$87,$79,$88,$AA,$9B,$AB,$CD,$ED,$DC
	db $CA,$A9,$53,$44,$10,$34,$45,$76,$65,$76,$66,$86,$69,$AB,$9A,$98
	db $BA,$CC,$B9,$78,$87,$78,$65,$66,$77,$AB,$98,$B9,$75,$77,$78,$88
	db $9A,$9A,$B9,$BC,$DE,$DC,$DC,$A9,$74,$45,$40,$25,$45,$66,$65,$66
	db $66,$77,$57,$9B,$AA,$B8,$8A,$BC,$CA,$88,$98,$89,$86,$65,$67,$8A
	db $A8,$AA,$86,$67,$77,$87,$89,$88,$A9,$8B,$CE,$8D,$DD,$CA,$A6,$44

	db $63,$14,$55,$55,$65,$56,$76,$77,$65,$8A,$99,$B9,$68,$9A,$BA,$98
	db $88,$87,$77,$54,$57,$79,$B9,$9B,$A8,$77,$98,$99,$99,$98,$AA,$8A
	db $BC,$ED,$DD,$DB,$98,$53,$44,$23,$45,$55,$66,$55,$77,$78,$76,$7A
	db $A9,$AB,$88,$9A,$BB,$A8,$77,$66,$66,$53,$35,$77,$9A,$8A,$A9,$87
	db $89,$99,$AA,$AA,$BB,$A9,$CD,$EF,$ED,$DC,$A9,$73,$33,$22,$34,$44
	db $45,$54,$56,$67,$76,$78,$AA,$BC,$A8,$9A,$AC,$BA,$87,$77,$76,$65
	db $45,$77,$8A,$88,$99,$86,$68,$88,$9A,$99,$AC,$BA,$AC,$DE,$EE,$DD
	db $BA,$85,$33,$33,$34,$54,$45,$55,$56,$66,$77,$88,$99,$BC,$B9,$89
	db $9A,$BA,$98,$77,$77,$66,$45,$78,$89,$98,$99,$88,$67,$88,$8A,$B9
	db $AB,$BA,$AB,$BD,$EE,$DD,$CB,$97,$53,$33,$34,$45,$55,$55,$55,$66
	db $66,$77,$89,$AB,$BA,$A9,$9A,$AB,$A9,$87,$76,$66,$55,$67,$88,$99
	db $88,$88,$76,$78,$89,$BA,$9B,$CB,$AA,$BB,$DD,$DD,$DC,$B9,$75,$33
	db $44,$45,$54,$55,$54,$66,$66,$67,$77,$8A,$BA,$99,$88,$AA,$AA,$97
	db $77,$77,$55,$56,$88,$99,$98,$89,$87,$77,$88,$9A,$99,$BB,$AA,$AB
	db $CE,$DD,$DC,$BA,$86,$43,$44,$45,$65,$55,$54,$45,$65,$66,$77,$89
	db $BB,$A9,$98,$9A,$AA,$A8,$77,$66,$55,$56,$79,$88,$99,$88,$98,$77

	db $78,$9A,$A9,$AB,$BA,$AB,$BC,$CD,$DD,$CB,$98,$64,$34,$55,$65,$55
	db $44,$34,$55,$55,$77,$78,$AB,$AA,$98,$89,$A9,$A9,$77,$76,$55,$56
	db $78,$A9,$9A,$98,$89,$87,$78,$9A,$AA,$AB,$BB,$AA,$BB,$CC,$FC,$CC
	db $A8,$74,$34,$55,$55,$55,$44,$44,$45,$65,$78,$88,$AB,$BA,$A9,$89
	db $99,$99,$87,$76,$55,$56,$67,$99,$89,$98,$88,$87,$77,$89,$AA,$AB
	db $BB,$AA,$AB,$CC,$DD,$DC,$B9,$86,$44,$55,$55,$55,$44,$33,$34,$55
	db $68,$88,$9B,$BA,$BA,$99,$99,$99,$97,$76,$65,$56,$67,$89,$88,$98
	db $78,$87,$88,$89,$AA,$AB,$BB,$BA,$AB,$BB,$BB,$8B,$A9,$87,$65,$55
	db $65,$55,$66,$55,$55,$66,$67,$1F,$8A,$68,$3A,$75,$75,$36,$AB,$AB
	db $DC,$DF,$AA,$95,$41,$00,$00,$14,$69,$BC,$FF,$FF,$FF,$FF,$FC,$96
	db $30,$00,$00,$00,$00,$00,$23,$7A,$CF,$FF,$FF,$FF,$FF,$FF,$FD,$BA
	db $87,$53,$21,$00,$00,$00,$00,$11,$23,$00,$25,$65,$67,$75,$78,$69
	db $9A,$A9,$CA,$AE,$BC,$BA,$A8,$98,$78,$65,$33,$84,$48,$97,$8B,$A7
	db $69,$86,$88,$88,$A9,$BB,$AE,$EE,$FF,$EE,$BA,$B7,$45,$42,$02,$43
	db $46,$75,$66,$76,$67,$67,$98,$BA,$AA,$8B,$BA,$CA,$A8,$78,$77,$76
	db $44,$66,$68,$BA,$9B,$B8,$77,$87,$79,$88,$AA,$9B,$AB,$CD,$ED,$DC

	db $CA,$A9,$53,$44,$10,$34,$45,$76,$65,$76,$66,$86,$69,$AB,$9A,$98
	db $BA,$CC,$B9,$78,$87,$78,$65,$66,$77,$AB,$98,$B9,$75,$77,$78,$88
	db $9A,$9A,$B9,$BC,$DE,$DC,$DC,$A9,$74,$45,$40,$25,$45,$66,$65,$66
	db $66,$77,$57,$9B,$AA,$B8,$8A,$BC,$CA,$88,$98,$89,$86,$65,$67,$8A
	db $A8,$AA,$86,$67,$77,$87,$89,$88,$A9,$8B,$CE,$8D,$DD,$CA,$A6,$44
	db $63,$14,$55,$55,$65,$56,$76,$77,$65,$8A,$99,$B9,$68,$9A,$BA,$98
	db $88,$87,$77,$54,$57,$79,$B9,$9B,$A8,$77,$98,$99,$99,$98,$AA,$8A
	db $BC,$ED,$DD,$DB,$98,$53,$44,$23,$45,$55,$66,$55,$77,$78,$76,$7A
	db $A9,$AB,$88,$9A,$BB,$A8,$77,$66,$66,$53,$35,$77,$9A,$8A,$A9,$87
	db $89,$99,$AA,$AA,$BB,$A9,$CD,$EF,$ED,$DC,$A9,$73,$33,$22,$34,$44
	db $45,$54,$56,$67,$76,$78,$AA,$BC,$A8,$9A,$AC,$BA,$87,$77,$76,$65
	db $45,$77,$8A,$88,$99,$86,$68,$88,$9A,$99,$AC,$BA,$AC,$DE,$EE,$DD
	db $BA,$85,$33,$33,$34,$54,$45,$55,$56,$66,$77,$88,$99,$BC,$B9,$89
	db $9A,$BA,$98,$77,$77,$66,$45,$78,$89,$98,$99,$88,$67,$88,$8A,$B9
	db $AB,$BA,$AB,$BD,$EE,$DD,$CB,$97,$53,$33,$34,$45,$55,$55,$55,$66
	db $66,$77,$89,$AB,$BA,$A9,$9A,$AB,$A9,$87,$76,$66,$55,$67,$88,$99

	db $88,$88,$76,$78,$89,$BA,$9B,$CB,$AA,$BB,$DD,$DD,$DC,$B9,$75,$33
	db $44,$45,$54,$55,$54,$66,$66,$67,$77,$8A,$BA,$99,$88,$AA,$AA,$97
	db $77,$77,$55,$56,$88,$99,$98,$89,$87,$77,$88,$9A,$99,$BB,$AA,$AB
	db $CE,$DD,$DC,$BA,$86,$43,$44,$45,$65,$55,$54,$45,$65,$66,$77,$89
	db $BB,$A9,$98,$9A,$AA,$A8,$77,$66,$55,$56,$79,$88,$99,$88,$98,$77
	db $78,$9A,$A9,$AB,$BA,$AB,$BC,$CD,$DD,$CB,$98,$64,$34,$55,$65,$55
	db $44,$34,$55,$55,$77,$78,$AB,$AA,$98,$89,$A9,$A9,$77,$76,$55,$56
	db $78,$A9,$9A,$98,$89,$87,$78,$9A,$AA,$AB,$BB,$AA,$BB,$CC,$FC,$CC
	db $A8,$74,$34,$55,$55,$55,$44,$44,$45,$65,$78,$88,$AB,$BA,$A9,$89
	db $99,$99,$87,$76,$55,$56,$67,$99,$89,$98,$88,$87,$77,$89,$AA,$AB
	db $BB,$AA,$AB,$CC,$DD,$DC,$B9,$86,$44,$55,$55,$55,$44,$33,$34,$55
	db $68,$88,$9B,$BA,$BA,$99,$99,$99,$97,$76,$65,$56,$67,$89,$88,$98
	db $78,$87,$88,$89,$AA,$AB,$BB,$BA,$AB,$BB,$BB,$8B,$A9,$87,$65,$55
	db $65,$55,$66,$55,$55,$66,$67,$1F,$00,$00,$A7,$88,$79,$88,$79,$79
	db $88,$98,$78,$89,$98,$78,$78,$98,$88,$88,$88,$98,$98,$88,$88,$97
	db $89,$88,$98,$88,$88,$88,$89,$88,$78,$87,$98,$77,$77,$9B,$87,$87

	db $9A,$87,$68,$9A,$86,$57,$AB,$96,$5A,$9A,$A6,$77,$A7,$B9,$76,$78
	db $6D,$83,$79,$97,$84,$5C,$88,$97,$A4,$E6,$7D,$43,$D5,$BB,$38,$68
	db $AB,$5B,$34,$AC,$C7,$43,$BC,$B7,$71,$CC,$5B,$A1,$9B,$5B,$A2,$5C
	db $87,$B6,$65,$C3,$AE,$71,$B5,$8E,$95,$28,$A9,$AB,$42,$E7,$7D,$83
	db $AE,$57,$D7,$3B,$A4,$6C,$4D,$D6,$62,$B7,$F8,$38,$07,$CD,$95,$44
	db $5B,$FA,$55,$55,$CF,$A6,$24,$8B,$FE,$53,$34,$9F,$D7,$32,$94,$AE
	db $A6,$4C,$38,$AA,$B4,$A4,$49,$BF,$6B,$36,$75,$CB,$E5,$45,$5A,$AF
	db $73,$72,$8B,$EC,$46,$38,$88,$F8,$98,$77,$5C,$6A,$B9,$53,$47,$BC
	db $B6,$43,$76,$9F,$A9,$41,$78,$DF,$A6,$24,$6A,$DF,$95,$61,$7A,$DD
	db $79,$33,$76,$CA,$8C,$44,$53,$BD,$D9,$53,$47,$BE,$C9,$84,$26,$9E
	db $CA,$A3,$37,$5A,$DD,$82,$26,$6B,$EC,$64,$43,$AE,$F8,$56,$19,$BE
	db $A6,$93,$58,$AB,$AB,$78,$17,$88,$E4,$98,$59,$8B,$85,$BC,$37,$A3
	db $BA,$5C,$39,$A6,$7B,$9D,$95,$63,$8C,$D6,$55,$99,$CA,$37,$AA,$7A
	db $56,$76,$C8,$97,$1A,$79,$F5,$68,$85,$7C,$BA,$78,$52,$8B,$EE,$67
	db $53,$8B,$FB,$77,$33,$AA,$E8,$AB,$39,$43,$D6,$EB,$27,$37,$A7,$FB
	db $46,$33,$BB,$8F,$64,$81,$B7,$BF,$5A,$16,$C8,$F9,$53,$3A,$CB,$A9

	db $81,$65,$6B,$FB,$33,$34,$9F,$E7,$53,$48,$BF,$BA,$64,$A3,$AB,$9B
	db $59,$74,$A5,$8B,$8C,$56,$83,$7A,$CC,$66,$24,$9C,$F9,$D4,$18,$6C
	db $9B,$A6,$39,$57,$AC,$E9,$74,$37,$8B,$CB,$A4,$26,$8C,$A8,$94,$45
	db $69,$DC,$64,$66,$69,$AD,$B7,$84,$57,$8D,$A9,$93,$47,$6D,$77,$D7
	db $37,$6A,$BA,$F9,$42,$45,$AE,$EB,$62,$68,$5A,$AB,$B5,$37,$B4,$59
	db $DB,$54,$84,$A7,$8C,$B7,$73,$49,$BC,$C9,$59,$51,$7B,$FB,$47,$73
	db $99,$EB,$55,$49,$AA,$C8,$66,$39,$BC,$83,$9A,$5B,$9A,$83,$B5,$AB
	db $97,$36,$B6,$B9,$AB,$46,$57,$CA,$88,$7B,$66,$8A,$DD,$83,$48,$75
	db $BD,$A4,$16,$8A,$E5,$B7,$53,$7B,$8B,$86,$84,$6A,$BC,$47,$59,$57
	db $AB,$C4,$56,$AC,$8A,$B6,$88,$A6,$9B,$A6,$79,$A9,$66,$BB,$93,$69
	db $95,$7C,$A7,$29,$A8,$78,$C6,$29,$BC,$85,$A9,$66,$7C,$97,$5B,$75
	db $4B,$AB,$35,$76,$8A,$DC,$93,$37,$86,$BB,$95,$5B,$75,$AC,$C5,$4B
	db $D6,$59,$BC,$56,$76,$6B,$EB,$34,$75,$AC,$EA,$32,$87,$99,$E9,$61
	db $89,$58,$F9,$73,$7B,$A8,$EA,$65,$59,$8C,$B7,$63,$89,$C6,$AB,$64
	db $57,$C7,$8D,$77,$65,$A8,$9D,$94,$53,$9A,$68,$CB,$65,$37,$B7,$EB
	db $63,$67,$B6,$BC,$92,$38,$9E,$9A,$65,$56,$BC,$B8,$95,$68,$AC,$A6

	db $78,$96,$4A,$B7,$97,$78,$57,$9D,$D8,$86,$73,$6B,$CB,$A5,$39,$49
	db $EC,$93,$2B,$45,$8E,$C6,$29,$44,$BD,$E7,$28,$45,$BF,$A8,$45,$58
	db $AF,$E7,$41,$79,$CB,$D7,$42,$66,$CA,$EA,$63,$65,$8B,$CC,$64,$2A
	db $8C,$A8,$B5,$39,$76,$BB,$D6,$17,$86,$AD,$B7,$24,$C7,$CB,$C8,$42
	db $BA,$B9,$88,$55,$48,$BD,$69,$68,$57,$BC,$B8,$3B,$67,$AB,$C7,$27
	db $74,$AA,$DB,$41,$7B,$49,$AE,$95,$2B,$74,$AB,$C9,$45,$67,$C8,$8A
	db $65,$57,$CE,$86,$6B,$67,$7B,$94,$78,$A7,$74,$9A,$77,$AA,$64,$7C
	db $A9,$9A,$85,$6A,$CD,$66,$77,$77,$AC,$B6,$33,$8C,$CC,$67,$43,$9C
	db $D9,$42,$78,$9B,$CB,$43,$47,$AB,$BA,$55,$46,$BA,$CB,$54,$A4,$9B
	db $DD,$62,$A6,$6A,$8E,$72,$37,$8C,$BB,$A4,$25,$7A,$EA,$C7,$42,$98
	db $AD,$8B,$95,$3A,$5B,$D6,$A7,$48,$49,$BD,$59,$73,$88,$7B,$A6,$A4
	db $8A,$6C,$99,$A5,$59,$7B,$AA,$A4,$54,$7A,$A8,$8A,$57,$59,$BB,$97
	db $77,$A8,$AA,$87,$68,$8A,$A7,$77,$67,$A8,$B7,$57,$7E,$88,$85,$87
	db $98,$97,$B8,$77,$AB,$35,$AD,$77,$4C,$87,$AB,$A6,$75,$9A,$A9,$6B
	db $53,$5B,$B3,$8A,$76,$5A,$B8,$74,$B8,$58,$B9,$77,$C9,$77,$5D,$C5
	db $58,$A6,$2A,$E7,$98,$B4,$5B,$98,$79,$E5,$35,$AE,$A6,$98,$96,$4C

	db $89,$99,$A4,$59,$AD,$77,$78,$55,$5B,$AB,$94,$69,$5A,$A8,$A5,$78
	db $5A,$8A,$C6,$55,$87,$9A,$BB,$73,$8A,$68,$A8,$A6,$77,$76,$BB,$AB
	db $86,$85,$C9,$5B,$87,$A4,$BA,$8A,$86,$76,$AC,$A5,$67,$97,$5B,$9A
	db $96,$4B,$37,$88,$95,$5A,$74,$AB,$8A,$85,$A6,$8B,$AB,$66,$A6,$99
	db $BA,$75,$9A,$67,$9A,$97,$78,$78,$89,$C7,$58,$8A,$5A,$B4,$49,$8C
	db $87,$8A,$65,$7B,$97,$8A,$77,$5B,$B8,$98,$B9,$56,$88,$97,$8B,$67
	db $85,$78,$89,$5B,$84,$88,$9A,$75,$B7,$98,$7C,$44,$A8,$A8,$8B,$75
	db $96,$A8,$5B,$6C,$75,$99,$A9,$5B,$86,$99,$99,$68,$B6,$88,$C9,$87
	db $76,$99,$78,$AC,$89,$95,$85,$9B,$4A,$64,$97,$79,$5A,$76,$7B,$7A
	db $86,$89,$AC,$79,$83,$78,$AB,$96,$A6,$58,$8C,$77,$B5,$A4,$A8,$7A
	db $68,$75,$BB,$C8,$47,$98,$6A,$9B,$84,$7A,$96,$8C,$95,$68,$99,$B8
	db $67,$A8,$6B,$B7,$57,$8A,$78,$69,$88,$78,$A7,$A6,$99,$4A,$49,$B6
	db $A6,$6B,$97,$79,$6A,$46,$C8,$C8,$77,$7B,$69,$C6,$64,$6A,$99,$6B
	db $88,$78,$B8,$B9,$6B,$56,$8C,$88,$66,$97,$9C,$67,$75,$68,$7B,$A8
	db $B8,$68,$6A,$BA,$97,$46,$7A,$A8,$B7,$5A,$48,$8A,$C6,$66,$89,$79
	db $B7,$59,$A8,$89,$84,$66,$89,$9B,$96,$78,$B8,$A6,$89,$7B,$E5,$76

	db $9A,$89,$77,$56,$7A,$B9,$88,$65,$78,$C9,$99,$56,$78,$A7,$8A,$85
	db $98,$BA,$8A,$85,$89,$98,$C9,$95,$57,$78,$BB,$87,$36,$78,$AA,$B6
	db $55,$6A,$DB,$A9,$63,$67,$D9,$8B,$53,$76,$B9,$BB,$73,$66,$8C,$88
	db $83,$58,$AD,$AB,$85,$38,$AC,$CA,$79,$45,$7B,$CA,$75,$56,$9A,$BB
	db $85,$55,$88,$BC,$96,$64,$68,$AD,$98,$85,$56,$9C,$AB,$75,$64,$8A
	db $DB,$67,$45,$99,$C6,$6A,$35,$8B,$95,$9A,$87,$96,$B8,$A8,$8A,$57
	db $AB,$9A,$55,$7A,$CA,$86,$54,$8B,$CA,$56,$77,$9C,$A4,$8A,$55,$8B
	db $B6,$6C,$65,$88,$CC,$87,$55,$68,$BE,$86,$35,$7B,$CB,$84,$45,$AB
	db $C8,$68,$47,$7A,$E9,$78,$66,$7A,$C6,$69,$57,$AA,$A7,$97,$49,$BC
	db $98,$75,$58,$AC,$86,$65,$89,$B9,$78,$78,$79,$99,$87,$86,$76,$98
	db $A9,$87,$57,$88,$B9,$86,$87,$BB,$69,$88,$94,$8B,$6B,$68,$B5,$B7
	db $7A,$5B,$87,$B5,$A8,$6A,$79,$76,$A6,$A9,$5A,$78,$A4,$A9,$6A,$5B
	db $96,$A6,$89,$7C,$57,$A6,$B7,$6B,$79,$85,$A9,$98,$78,$7A,$78,$85
	db $A8,$7A,$6A,$98,$96,$88,$7A,$78,$B6,$98,$5B,$8A,$A5,$7A,$69,$88
	db $A7,$88,$68,$79,$A8,$76,$7A,$8A,$86,$97,$78,$6A,$A6,$95,$5C,$7A
	db $96,$97,$7A,$77,$B8,$86,$6A,$8B,$96,$87,$99,$77,$88,$96,$78,$AB

	db $74,$79,$A9,$67,$89,$A6,$79,$8B,$75,$77,$BB,$78,$78,$A7,$78,$9A
	db $97,$67,$9B,$A7,$89,$99,$86,$98,$88,$78,$87,$A8,$88,$68,$99,$87
	db $68,$88,$87,$98,$88,$68,$88,$86,$89,$98,$68,$88,$98,$88,$78,$88
	db $88,$78,$87,$87,$88,$77,$79,$98,$78,$79,$88,$88,$A8,$78,$89,$98
	db $87,$98,$88,$97,$99,$78,$78,$97,$97,$88,$78,$88,$99,$87,$78,$98
	db $98,$87,$78,$1F,$7A,$65,$84,$AD,$C7,$59,$57,$68,$8C,$AA,$B9,$84
	db $76,$77,$74,$45,$7A,$BB,$CA,$BC,$DB,$87,$77,$54,$23,$54,$25,$8C
	db $FF,$DA,$AF,$FC,$86,$47,$55,$33,$06,$56,$7B,$89,$BD,$EF,$FD,$97
	db $87,$67,$45,$52,$04,$7C,$6A,$75,$DF,$C8,$DB,$BB,$6A,$A9,$53,$55
	db $5A,$25,$5A,$78,$8C,$BA,$8B,$9B,$57,$6A,$89,$83,$52,$A8,$DA,$8B
	db $AA,$AE,$B6,$63,$51,$74,$67,$63,$BD,$A9,$EB,$7A,$97,$89,$63,$97
	db $7A,$CD,$98,$C9,$A8,$65,$41,$34,$37,$97,$6A,$AC,$EC,$EB,$CB,$ED
	db $A4,$35,$64,$30,$37,$65,$68,$8B,$CB,$CA,$ED,$EC,$D7,$A4,$59,$25
	db $33,$39,$45,$86,$AE,$99,$E9,$EC,$C8,$89,$83,$69,$55,$74,$78,$89
	db $63,$8B,$98,$79,$9A,$7C,$99,$A9,$7B,$97,$95,$79,$43,$B7,$79,$79
	db $7A,$77,$5C,$99,$55,$76,$59,$73,$AA,$9D,$9D,$98,$CE,$84,$79,$66

	db $12,$57,$48,$63,$AE,$79,$DA,$9E,$BA,$BC,$97,$97,$53,$38,$63,$05
	db $66,$7A,$56,$DE,$BB,$ED,$FC,$88,$98,$73,$32,$45,$53,$36,$78,$AA
	db $AD,$EC,$CB,$A8,$9C,$AA,$42,$89,$54,$62,$97,$65,$6A,$99,$99,$8B
	db $BA,$9D,$4B,$89,$79,$46,$B6,$55,$8C,$A6,$74,$7A,$95,$84,$AA,$86
	db $77,$DA,$78,$9D,$D8,$98,$69,$A9,$76,$16,$A6,$47,$49,$A5,$89,$7D
	db $A9,$89,$BC,$88,$B4,$99,$87,$78,$86,$35,$6A,$66,$86,$8B,$9B,$B7
	db $A8,$D9,$B7,$8A,$B6,$45,$7A,$75,$14,$57,$58,$57,$7A,$BC,$CE,$FC
	db $98,$BC,$D8,$64,$43,$44,$62,$49,$47,$98,$CD,$BC,$A8,$FD,$9A,$67
	db $86,$76,$16,$50,$78,$67,$9D,$85,$AC,$BA,$AC,$A6,$A7,$6A,$85,$36
	db $98,$7A,$98,$8A,$DA,$79,$77,$76,$45,$89,$55,$75,$AE,$AB,$9A,$A9
	db $6A,$A9,$97,$44,$77,$65,$56,$89,$79,$C7,$8A,$AE,$A5,$9D,$88,$A8
	db $55,$69,$74,$54,$58,$97,$48,$9B,$B9,$9B,$AC,$D7,$7A,$9B,$76,$86
	db $58,$45,$46,$78,$97,$58,$CA,$BB,$7C,$EB,$BB,$66,$7B,$57,$54,$55
	db $57,$A5,$70,$8B,$97,$9A,$AD,$C7,$78,$97,$A7,$45,$78,$67,$85,$77
	db $77,$88,$9A,$9A,$C8,$98,$9A,$96,$87,$6B,$86,$67,$88,$98,$86,$88
	db $AA,$66,$57,$77,$77,$96,$AA,$9B,$78,$BA,$7A,$96,$A7,$78,$75,$67

	db $68,$58,$89,$8A,$9B,$88,$99,$AB,$87,$78,$98,$66,$54,$78,$79,$55
	db $98,$BB,$8A,$CA,$9D,$98,$67,$B7,$A6,$36,$55,$9A,$46,$76,$B9,$BA
	db $99,$A8,$9B,$A9,$65,$69,$99,$55,$66,$89,$98,$89,$89,$AB,$88,$89
	db $88,$87,$69,$77,$68,$7A,$96,$79,$A9,$8A,$68,$89,$78,$A7,$68,$97
	db $8A,$97,$68,$A9,$78,$A6,$88,$87,$97,$B8,$79,$87,$78,$98,$79,$A5
	db $A8,$88,$87,$89,$99,$56,$96,$7B,$78,$68,$96,$6A,$AA,$B9,$A7,$6B
	db $A7,$88,$68,$57,$96,$6B,$64,$69,$A7,$AB,$97,$99,$79,$A9,$78,$87
	db $75,$7A,$A6,$56,$99,$7A,$A8,$77,$AA,$B7,$A7,$87,$9A,$84,$58,$88
	db $78,$86,$57,$9A,$A8,$99,$8C,$98,$99,$88,$75,$97,$66,$69,$88,$76
	db $77,$9B,$CB,$88,$88,$A8,$AA,$97,$77,$78,$67,$88,$98,$89,$75,$8A
	db $9A,$98,$97,$68,$99,$98,$78,$59,$88,$98,$77,$88,$97,$6A,$78,$A6
	db $8A,$88,$A9,$98,$78,$77,$97,$97,$59,$65,$A8,$7B,$85,$C9,$7A,$85
	db $AB,$78,$77,$67,$99,$88,$77,$89,$98,$79,$97,$BA,$76,$86,$78,$99
	db $99,$87,$77,$89,$88,$A7,$67,$97,$78,$79,$68,$98,$79,$98,$8B,$88
	db $A9,$7A,$78,$87,$59,$77,$78,$99,$57,$A7,$89,$A9,$9A,$98,$78,$87
	db $77,$77,$88,$79,$98,$87,$89,$89,$99,$59,$97,$99,$67,$99,$77,$8A

	db $87,$89,$77,$89,$76,$87,$77,$88,$99,$9A,$89,$88,$99,$88,$88,$86
	db $67,$88,$87,$86,$8A,$89,$78,$9B,$68,$97,$89,$86,$87,$88,$96,$69
	db $89,$AA,$67,$98,$98,$77,$97,$88,$88,$88,$99,$8A,$88,$97,$89,$78
	db $77,$67,$78,$75,$98,$98,$99,$89,$A8,$A8,$77,$A8,$59,$89,$78,$88
	db $79,$97,$68,$88,$97,$77,$98,$88,$99,$88,$8A,$87,$89,$87,$77,$88
	db $78,$88,$89,$89,$88,$88,$78,$88,$88,$78,$88,$78,$87,$78,$78,$77
	db $1F,$89,$CC,$B9,$99,$88,$9A,$88,$77,$77,$77,$66,$77,$77,$7B,$CD
	db $FF,$CA,$98,$AA,$99,$86,$55,$44,$44,$44,$AB,$DE,$EF,$CC,$BA,$99
	db $87,$73,$22,$21,$79,$AC,$CD,$EC,$BB,$ED,$B7,$65,$41,$04,$67,$8A
	db $BC,$B8,$88,$BA,$B9,$63,$A9,$79,$9A,$9A,$23,$37,$87,$77,$5B,$CA
	db $87,$88,$60,$20,$36,$66,$6F,$CD,$A9,$77,$00,$00,$04,$35,$FF,$FF
	db $C9,$00,$00,$00,$06,$6F,$FF,$F3,$00,$00,$00,$13,$FF,$FD,$60,$00
	db $00,$02,$FF,$FE,$C4,$10,$00,$09,$FF,$FC,$B4,$00,$00,$2F,$FD,$BB
	db $62,$10,$3F,$DE,$89,$D4,$51,$AF,$7D,$A7,$D7,$46,$F6,$AE,$68,$E8
	db $79,$65,$D5,$67,$D9,$67,$8C,$99,$9D,$89,$88,$B9,$BE,$DB,$AB,$CC
	db $FC,$DC,$BC,$AF,$CD,$8D,$BD,$FF,$CE,$BB,$DF,$FB,$CF,$AE,$DF,$9B

	db $F9,$F5,$FF,$7C,$FE,$33,$FF,$7F,$F5,$01,$BF,$EF,$A1,$00,$0C,$FF
	db $F2,$00,$00,$DF,$FB,$10,$00,$0D,$FF,$F0,$00,$00,$1C,$FF,$FA,$00
	db $00,$23,$FF,$FC,$60,$30,$00,$1B,$FF,$CB,$F4,$20,$00,$07,$C9,$7F
	db $F6,$31,$00,$00,$7A,$8E,$EF,$F6,$00,$00,$00,$00,$7A,$AC,$DB,$10
	db $00,$00,$00,$00,$79,$CE,$89,$55,$53,$23,$10,$21,$24,$CD,$AD,$DF
	db $CB,$B9,$96,$27,$65,$66,$51,$79,$CF,$FF,$ED,$CB,$74,$58,$89,$87
	db $32,$22,$35,$DF,$FF,$FF,$C8,$66,$6A,$9A,$B7,$65,$55,$55,$66,$7B
	db $CF,$FD,$BA,$89,$88,$8A,$CA,$88,$88,$88,$88,$88,$89,$9C,$DC,$AE
	db $CA,$AA,$AA,$99,$BB,$99,$99,$98,$98,$88,$88,$99,$99,$BB,$99,$9A
	db $AA,$AA,$AA,$AA,$99,$99,$98,$1F,$78,$88,$88,$88,$88,$77,$77,$77
	db $77,$77,$78,$88,$88,$88,$88,$88,$87,$77,$77,$77,$77,$77,$78,$88
	db $88,$88,$88,$88,$87,$77,$77,$77,$77,$77,$78,$89,$99,$99,$88,$88
	db $77,$66,$55,$55,$67,$89,$AA,$AA,$A9,$99,$87,$54,$33,$56,$9A,$BB
	db $AA,$99,$89,$87,$64,$43,$45,$78,$8A,$9A,$AA,$BB,$B9,$97,$54,$34
	db $45,$66,$88,$99,$99,$9A,$AA,$98,$75,$43,$44,$68,$AB,$AB,$AA,$AA
	db $A9,$85,$20,$00,$26,$9D,$DC,$CA,$A9,$AA,$87,$54,$34,$45,$66,$78

	db $9A,$CD,$CD,$BA,$86,$43,$21,$33,$55,$45,$7D,$FF,$FF,$F6,$00,$00
	db $03,$BF,$FF,$FF,$B8,$40,$00,$00,$39,$DF,$FF,$97,$20,$00,$37,$BE
	db $FF,$FB,$41,$00,$03,$9E,$FF,$FC,$A6,$20,$00,$13,$7B,$FF,$FD,$A4
	db $00,$01,$7C,$FF,$DB,$51,$00,$27,$AC,$DA,$96,$55,$7A,$BB,$98,$55
	db $56,$66,$8B,$FF,$FE,$70,$00,$03,$DF,$FF,$B2,$00,$01,$BF,$FF,$B2
	db $00,$08,$FF,$F8,$00,$00,$9F,$FF,$F2,$00,$00,$AF,$FF,$FE,$00,$00
	db $09,$FF,$F9,$10,$00,$09,$FF,$F9,$00,$01,$6C,$FC,$83,$00,$04,$AC
	db $DD,$95,$22,$47,$AA,$87,$9C,$FF,$83,$00,$05,$FF,$FA,$10,$02,$BE
	db $EB,$53,$37,$9A,$86,$68,$BD,$A5,$00,$06,$DF,$C8,$21,$36,$69,$DF
	db $FF,$A0,$00,$0B,$FF,$E3,$00,$06,$CC,$A8,$67,$76,$56,$69,$98,$64
	db $45,$8A,$A8,$76,$57,$89,$74,$27,$FF,$FF,$00,$00,$BF,$F8,$10,$17
	db $A8,$54,$7B,$DA,$40,$05,$DF,$C6,$12,$8E,$C8,$00,$3A,$EC,$60,$08
	db $FF,$FE,$00,$07,$FF,$A2,$17,$B9,$40,$17,$FF,$A1,$00,$9F,$E8,$00
	db $4A,$B9,$44,$7B,$B8,$43,$56,$6B,$FF,$FC,$00,$07,$FF,$A4,$13,$67
	db $44,$7B,$EC,$60,$05,$CE,$B5,$13,$AF,$FA,$20,$28,$C9,$30,$2B,$FF
	db $E3,$00,$7F,$E9,$35,$AB,$50,$06,$FF,$C4,$04,$9C,$96,$46,$98,$63

	db $47,$A9,$86,$67,$87,$53,$BF,$FF,$60,$05,$EC,$A5,$58,$84,$00,$7E
	db $EA,$32,$59,$B8,$66,$99,$86,$67,$88,$76,$53,$10,$0D,$FF,$F0,$00
	db $AF,$C7,$5B,$C6,$00,$3E,$FD,$20,$29,$B9,$66,$89,$64,$47,$BB,$74
	db $46,$99,$75,$4A,$FF,$E4,$13,$AA,$85,$8A,$A5,$11,$5B,$CA,$66,$78
	db $76,$89,$A8,$66,$77,$65,$56,$88,$75,$54,$3B,$FF,$A1,$06,$AA,$67
	db $CC,$80,$02,$9C,$A8,$67,$67,$79,$99,$66,$77,$75,$56,$88,$87,$77
	db $64,$5E,$FF,$73,$39,$97,$68,$CA,$40,$26,$99,$88,$87,$66,$9A,$97
	db $78,$97,$55,$66,$44,$58,$87,$47,$FF,$F2,$25,$C9,$66,$BC,$71,$03
	db $79,$99,$87,$45,$AC,$A7,$67,$97,$77,$74,$46,$98,$63,$45,$6F,$FF
	db $66,$79,$65,$8D,$B7,$11,$46,$7A,$B8,$55,$89,$A8,$78,$98,$66,$88
	db $64,$57,$64,$55,$45,$FF,$F2,$58,$A6,$5A,$DB,$43,$34,$46,$AC,$84
	db $48,$A9,$88,$98,$75,$78,$86,$67,$63,$48,$95,$BF,$F7,$39,$A8,$57
	db $DA,$63,$65,$44,$9B,$85,$68,$87,$99,$97,$78,$76,$66,$55,$65,$77
	db $54,$EF,$F6,$79,$84,$69,$D9,$65,$53,$24,$AC,$85,$68,$77,$99,$87
	db $87,$77,$00,$00,$76,$44,$66,$BF,$FA,$89,$74,$7A,$C8,$66,$41,$37
	db $A9,$77,$67,$78,$AA,$98,$76,$66,$55,$76,$55,$57,$44,$DF,$F8,$9B

	db $83,$8A,$C7,$77,$62,$26,$98,$78,$77,$78,$99,$99,$87,$66,$66,$66
	db $55,$55,$46,$FF,$F9,$88,$56,$AB,$A9,$86,$22,$36,$89,$89,$86,$79
	db $88,$89,$87,$65,$44,$66,$85,$45,$6E,$FF,$DC,$96,$47,$9A,$89,$77
	db $43,$46,$67,$79,$97,$78,$88,$89,$87,$65,$66,$65,$66,$56,$9D,$ED
	db $CB,$97,$67,$88,$88,$76,$54,$56,$67,$88,$88,$88,$88,$88,$87,$77
	db $77,$67,$76,$67,$99,$99,$A9,$88,$99,$88,$87,$76,$66,$76,$66,$77
	db $77,$78,$88,$88,$88,$87,$77,$76,$66,$67,$88,$9A,$A9,$99,$99,$88
	db $78,$67,$67,$66,$67,$77,$77,$88,$88,$88,$87,$77,$77,$77,$67,$78
	db $89,$99,$99,$99,$98,$87,$77,$76,$76,$66,$77,$78,$78,$88,$88,$88
	db $77,$77,$77,$76,$77,$88,$99,$99,$99,$99,$88,$77,$77,$76,$66,$66
	db $77,$77,$88,$88,$88,$88,$77,$77,$77,$66,$77,$88,$99,$99,$99,$99
	db $88,$77,$76,$66,$66,$67,$77,$88,$88,$88,$88,$88,$77,$77,$77,$67
	db $78,$89,$99,$99,$99,$88,$88,$77,$77,$66,$67,$77,$77,$87,$88,$88
	db $88,$87,$77,$77,$77,$77,$78,$89,$99,$99,$99,$98,$87,$77,$77,$66
	db $67,$77,$78,$88,$88,$88,$88,$87,$77,$77,$77,$77,$78,$89,$99,$99
	db $99,$98,$87,$77,$77,$66,$67,$77,$77,$88,$88,$88,$88,$87,$77,$77

	db $77,$67,$78,$89,$99,$99,$99,$98,$87,$77,$76,$66,$67,$77,$78,$88
	db $88,$88,$88,$77,$77,$76,$76,$67,$78,$89,$99,$99,$99,$98,$88,$77
	db $77,$66,$67,$77,$78,$88,$88,$88,$88,$77,$77,$77,$77,$77,$78,$88
	db $99,$99,$99,$98,$88,$77,$77,$76,$77,$77,$77,$88,$88,$88,$88,$88
	db $88,$77,$77,$77,$78,$88,$99,$99,$99,$98,$88,$77,$77,$76,$67,$77
	db $77,$88,$88,$88,$88,$88,$77,$77,$77,$77,$77,$88,$89,$99,$99,$98
	db $88,$87,$77,$77,$66,$77,$77,$78,$88,$88,$88,$88,$77,$77,$77,$77
	db $77,$88,$89,$99,$99,$99,$88,$87,$77,$77,$77,$77,$77,$78,$88,$88
	db $88,$88,$77,$77,$77,$77,$77,$78,$88,$99,$99,$99,$88,$88,$77,$77
	db $77,$77,$77,$77,$88,$88,$88,$1F,$A8,$88,$89,$97,$77,$77,$77,$88
	db $88,$88,$88,$88,$78,$77,$87,$87,$87,$86,$87,$78,$76,$97,$87,$98
	db $86,$76,$67,$88,$78,$88,$88,$87,$86,$96,$78,$78,$88,$78,$87,$88
	db $87,$77,$87,$89,$69,$78,$78,$97,$87,$96,$97,$78,$86,$88,$69,$68
	db $79,$77,$77,$88,$79,$78,$77,$87,$78,$95,$78,$68,$87,$97,$78,$69
	db $76,$86,$87,$79,$88,$96,$88,$86,$87,$78,$95,$86,$97,$79,$77,$88
	db $87,$88,$77,$87,$76,$87,$78,$78,$86,$98,$78,$88,$48,$88,$78,$88

	db $69,$87,$68,$87,$89,$87,$78,$77,$88,$86,$88,$77,$77,$68,$6A,$78
	db $79,$87,$97,$97,$88,$87,$87,$77,$78,$68,$78,$77,$97,$79,$78,$78
	db $97,$98,$88,$78,$86,$87,$87,$78,$77,$87,$87,$87,$78,$87,$88,$78
	db $88,$78,$77,$88,$78,$77,$87,$87,$88,$88,$88,$97,$88,$89,$99,$99
	db $A8,$99,$66,$66,$54,$56,$67,$88,$88,$87,$67,$77,$78,$88,$88,$BF
	db $AE,$EC,$A8,$85,$13,$20,$13,$65,$7A,$BB,$DE,$DB,$BA,$75,$44,$23
	db $55,$57,$88,$88,$86,$57,$66,$67,$9F,$CF,$FF,$CC,$97,$12,$10,$01
	db $35,$7A,$CB,$FF,$DD,$BB,$85,$54,$22,$34,$56,$88,$99,$87,$76,$55
	db $55,$7B,$F9,$FF,$FD,$B9,$51,$20,$00,$02,$47,$BC,$DF,$FE,$DC,$B7
	db $54,$11,$22,$34,$78,$89,$98,$77,$65,$55,$6D,$F8,$FF,$ED,$CA,$50
	db $30,$01,$01,$37,$BB,$EF,$FD,$FD,$A7,$65,$21,$22,$34,$67,$89,$98
	db $87,$65,$65,$5B,$F7,$FF,$FD,$C9,$71,$40,$01,$10,$36,$9A,$DF,$FD
	db $FE,$B8,$76,$32,$31,$24,$56,$78,$87,$88,$66,$66,$6C,$F8,$FF,$ED
	db $D9,$61,$30,$00,$10,$36,$9A,$CF,$FD,$FE,$BA,$76,$32,$21,$14,$45
	db $78,$88,$78,$76,$66,$7F,$CB,$FF,$CF,$98,$42,$20,$02,$01,$57,$9B
	db $EF,$EE,$FD,$A9,$75,$22,$21,$24,$45,$77,$87,$87,$77,$77,$DF,$9F

	db $FD,$DC,$87,$23,$00,$00,$04,$78,$AC,$FF,$EF,$DB,$A7,$53,$22,$11
	db $34,$56,$77,$78,$87,$77,$9F,$EB,$FF,$CE,$B7,$52,$20,$01,$00,$57
	db $8B,$DE,$FE,$FD,$BA,$74,$32,$11,$23,$45,$77,$78,$87,$88,$7E,$FA
	db $FF,$EC,$C8,$73,$20,$00,$20,$37,$79,$CE,$FF,$FF,$CA,$85,$32,$11
	db $13,$34,$67,$77,$88,$88,$8C,$FA,$FF,$ED,$D7,$74,$20,$00,$10,$36
	db $7B,$CD,$FF,$FF,$BA,$85,$32,$01,$12,$34,$67,$77,$88,$88,$9F,$FB
	db $FF,$DD,$A7,$62,$10,$00,$00,$56,$7B,$DE,$FF,$FE,$C9,$74,$31,$01
	db $12,$34,$67,$78,$88,$88,$FF,$BF,$FF,$DC,$78,$40,$00,$00,$03,$67
	db $AD,$EF,$FF,$FD,$A7,$53,$10,$01,$23,$46,$77,$88,$88,$9F,$FD,$FF
	db $FD,$97,$74,$00,$00,$00,$46,$7A,$DE,$FF,$FF,$C9,$74,$20,$01,$11
	db $35,$67,$78,$98,$8D,$FE,$FF,$FE,$C7,$75,$10,$00,$00,$25,$79,$CE
	db $FF,$FF,$DA,$75,$21,$00,$01,$34,$56,$78,$88,$9E,$FF,$FF,$FE,$B7
	db $74,$00,$00,$00,$25,$8A,$CF,$FF,$FE,$CA,$64,$21,$00,$01,$34,$56
	db $78,$88,$AF,$FF,$FF,$FE,$A6,$63,$00,$00,$00,$36,$AB,$DF,$FF,$FD
	db $B9,$63,$10,$00,$01,$35,$56,$78,$89,$DF,$FF,$FF,$FC,$86,$42,$00
	db $00,$12,$47,$BC,$EF,$FF,$FC,$A8,$52,$00,$00,$02,$45,$66,$89,$9C

	db $FF,$FF,$FF,$D9,$64,$10,$00,$00,$24,$7A,$DE,$FF,$FF,$DA,$75,$30
	db $00,$01,$23,$56,$67,$89,$DF,$FF,$FF,$FD,$95,$42,$00,$00,$12,$47
	db $BD,$FF,$FF,$FC,$A7,$43,$00,$00,$12,$35,$67,$88,$BF,$FF,$FF,$FE
	db $B6,$42,$10,$00,$01,$35,$9B,$FF,$FF,$FE,$B8,$53,$10,$00,$01,$34
	db $56,$78,$AE,$FF,$FF,$FE,$D9,$52,$10,$00,$00,$35,$7B,$DF,$FF,$FE
	db $CA,$74,$10,$00,$00,$24,$56,$78,$9C,$FF,$FF,$FF,$DA,$64,$10,$00
	db $00,$24,$79,$BE,$FF,$FE,$DB,$95,$31,$00,$01,$12,$45,$67,$8B,$EF
	db $FF,$FF,$ED,$96,$21,$00,$00,$03,$58,$AC,$EF,$FF,$EC,$A8,$53,$10
	db $01,$12,$34,$67,$88,$CE,$FF,$FF,$FD,$C8,$41,$00,$00,$01,$37,$9B
	db $DF,$FF,$FE,$A8,$54,$21,$00,$12,$34,$56,$78,$AC,$FF,$FF,$FD,$CA
	db $72,$10,$00,$00,$24,$7A,$DD,$FF,$FF,$D9,$75,$32,$11,$11,$23,$55
	db $67,$8B,$DF,$FF,$FF,$CC,$86,$20,$00,$00,$23,$68,$BD,$EE,$FF,$EC
	db $96,$43,$21,$11,$23,$45,$67,$79,$CF,$FF,$FF,$DD,$98,$42,$00,$00
	db $12,$57,$AC,$EE,$FE,$EC,$97,$53,$22,$11,$12,$35,$67,$79,$BF,$FF
	db $FF,$DD,$A9,$52,$00,$01,$12,$36,$AB,$DE,$EE,$EC,$B8,$63,$22,$22
	db $22,$34,$57,$78,$AE,$FF,$FF,$DC,$A9,$64,$00,$00,$12,$35,$8B,$DE

	db $FE,$ED,$B9,$74,$22,$22,$22,$33,$56,$78,$AC,$FF,$FF,$EC,$A9,$75
	db $10,$00,$13,$35,$7A,$CE,$FE,$EC,$B9,$75,$22,$12,$23,$33,$56,$79
	db $AD,$FF,$FF,$DC,$A9,$64,$10,$00,$13,$45,$8A,$DE,$FE,$DC,$B9,$74
	db $32,$12,$23,$34,$56,$78,$AD,$FF,$FF,$DC,$A8,$64,$00,$00,$23,$56
	db $8A,$DE,$FE,$DC,$A8,$64,$32,$12,$33,$44,$56,$78,$AD,$FF,$FF,$DC
	db $98,$64,$10,$00,$23,$56,$8A,$DE,$FE,$DB,$A7,$64,$32,$22,$34,$44
	db $56,$79,$9C,$FF,$FF,$CC,$98,$65,$20,$00,$24,$56,$8A,$CD,$FE,$DB
	db $98,$65,$32,$23,$34,$55,$67,$88,$9A,$DF,$FF,$DB,$98,$76,$32,$01
	db $23,$57,$89,$BD,$EE,$CA,$87,$65,$44,$44,$55,$66,$66,$78,$88,$BD
	db $FF,$EB,$A8,$76,$54,$32,$24,$1F,$95,$74,$BB,$7A,$D8,$96,$97,$83
	db $A4,$3F,$57,$E8,$67,$98,$87,$06,$9B,$02,$F4,$1B,$4D,$C3,$7F,$86
	db $34,$A7,$4B,$B9,$C6,$A9,$71,$76,$98,$8B,$A3,$A8,$B7,$85,$AB,$83
	db $D9,$14,$65,$76,$6A,$8C,$77,$D8,$38,$A5,$56,$34,$A6,$89,$97,$46
	db $9A,$B7,$9C,$93,$86,$B9,$96,$76,$76,$9B,$BB,$86,$BA,$99,$37,$65
	db $13,$6B,$D9,$8C,$AA,$84,$67,$76,$9A,$59,$C8,$9A,$87,$86,$46,$45
	db $67,$76,$8A,$A8,$8A,$B9,$87,$87,$66,$69,$A8,$45,$87,$34,$66,$77

	db $75,$9B,$97,$CF,$FE,$C9,$66,$74,$00,$25,$56,$77,$9B,$BA,$9A,$98
	db $88,$78,$98,$77,$55,$67,$76,$76,$65,$55,$44,$78,$68,$FF,$FF,$DB
	db $8A,$82,$00,$12,$46,$67,$AB,$BA,$BA,$88,$87,$78,$86,$77,$77,$77
	db $76,$55,$45,$54,$55,$37,$FF,$FF,$FC,$9A,$82,$00,$00,$47,$67,$BD
	db $EE,$EB,$88,$87,$65,$43,$57,$66,$76,$56,$65,$55,$55,$55,$BF,$FF
	db $FF,$BA,$A7,$10,$00,$03,$55,$7A,$DF,$FF,$C9,$88,$77,$41,$14,$66
	db $77,$66,$66,$55,$43,$45,$BF,$FF,$FF,$BA,$A7,$10,$00,$04,$54,$69
	db $DF,$FF,$DA,$88,$87,$40,$02,$46,$76,$55,$77,$55,$43,$38,$FF,$FF
	db $FE,$AB,$A4,$00,$00,$03,$45,$7A,$EF,$FF,$CA,$98,$87,$20,$01,$35
	db $64,$35,$77,$75,$43,$5F,$FF,$FF,$DA,$CA,$40,$00,$00,$44,$57,$BF
	db $FF,$FC,$A9,$99,$60,$00,$04,$65,$22,$46,$77,$53,$5C,$FF,$FF,$E9
	db $AB,$40,$00,$00,$44,$57,$AF,$FF,$FB,$A8,$98,$30,$00,$14,$54,$12
	db $46,$86,$53,$7F,$FF,$FF,$A9,$B7,$00,$00,$05,$54,$7C,$FF,$FF,$B9
	db $98,$60,$00,$02,$55,$21,$46,$77,$52,$4F,$FF,$FF,$CA,$D9,$00,$00
	db $02,$21,$7D,$FF,$FF,$CC,$B9,$40,$00,$02,$31,$13,$77,$65,$34,$7F
	db $FF,$FF,$FD,$B1,$00,$00,$00,$03,$CF,$FF,$FF,$FD,$A2,$00,$00,$00

	db $24,$66,$54,$55,$66,$6F,$FF,$FF,$DD,$80,$00,$00,$00,$08,$FF,$FF
	db $FF,$FB,$40,$00,$00,$01,$47,$64,$57,$76,$55,$FF,$FF,$FE,$FB,$00
	db $00,$00,$01,$CF,$FF,$FF,$FD,$84,$21,$00,$01,$35,$43,$68,$74,$46
	db $AF,$FF,$FF,$FD,$10,$00,$00,$01,$8A,$CF,$FF,$FE,$AB,$62,$00,$00
	db $02,$46,$76,$47,$75,$69,$FF,$FF,$FF,$D3,$00,$00,$00,$48,$8B,$FF
	db $FF,$DD,$B6,$20,$00,$00,$35,$55,$56,$86,$56,$DF,$FF,$FF,$F9,$21
	db $10,$00,$03,$56,$DF,$FF,$FF,$E9,$54,$10,$00,$23,$34,$56,$76,$77
	db $7C,$FF,$FF,$FE,$93,$30,$00,$00,$34,$8E,$FF,$FF,$FD,$88,$52,$00
	db $01,$13,$46,$66,$78,$78,$FF,$FF,$FF,$D7,$44,$00,$00,$02,$48,$DD
	db $EF,$FF,$DA,$A6,$21,$00,$00,$34,$55,$78,$88,$BF,$FF,$FF,$FA,$65
	db $20,$00,$00,$26,$9B,$DF,$FF,$ED,$B9,$43,$20,$00,$23,$35,$67,$88
	db $9C,$FF,$FF,$FE,$A8,$52,$00,$00,$03,$68,$BD,$FF,$FF,$DB,$96,$42
	db $00,$11,$23,$55,$78,$8A,$EF,$FF,$FF,$CA,$64,$10,$00,$02,$46,$8B
	db $DE,$FF,$FD,$A8,$64,$20,$01,$12,$34,$67,$89,$BF,$FF,$FF,$FB,$96
	db $31,$00,$00,$34,$69,$BD,$EF,$FE,$DB,$86,$42,$00,$11,$23,$46,$78
	db $AD,$FF,$FF,$FD,$B9,$53,$10,$00,$03,$46,$9B,$DE,$FF,$ED,$A8,$63

	db $21,$00,$12,$34,$67,$9A,$EE,$FF,$FF,$CB,$84,$31,$00,$01,$34,$79
	db $AC,$EE,$FF,$DB,$86,$32,$11,$01,$23,$46,$79,$BE,$EF,$FF,$EC,$B8
	db $44,$10,$00,$12,$47,$9A,$DE,$EF,$EC,$B9,$64,$21,$00,$11,$25,$67
	db $9D,$DF,$FF,$FE,$CA,$75,$31,$00,$01,$24,$78,$BD,$DF,$FD,$DB,$86
	db $42,$10,$11,$14,$46,$9B,$DF,$FF,$FF,$DC,$86,$42,$10,$01,$13,$57
	db $BC,$CE,$FD,$EB,$98,$53,$21,$10,$13,$45,$7A,$CF,$EF,$FF,$EC,$97
	db $42,$10,$01,$13,$46,$AB,$CF,$DE,$EB,$A8,$54,$22,$11,$22,$36,$7A
	db $DE,$FF,$FF,$EB,$97,$43,$21,$01,$23,$57,$9B,$DD,$EE,$CB,$A7,$64
	db $31,$12,$23,$56,$9B,$CF,$FF,$FE,$CA,$86,$42,$11,$12,$34,$68,$AB
	db $CD,$CC,$BA,$86,$44,$22,$22,$35,$7A,$AE,$EE,$FE,$CC,$87,$64,$32
	db $12,$24,$56,$8A,$BC,$CC,$BA,$97,$64,$33,$22,$34,$79,$9C,$DD,$1F
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00

	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$00,$00,$00,$00,$00,$00,$00,$6F,$FF,$FF,$FF,$FF,$FF,$F0,$00
	db $00,$00,$00,$00,$0F,$F8,$7F,$09,$55,$0B,$FF,$FF,$FF,$FF,$FF,$FF
	db $00,$00,$00,$00,$00,$00,$F0,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$FF
	db $FF,$C0,$00,$00,$00,$00,$00,$14,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	db $FE,$28,$00,$00,$00,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$FF,$FF,$FF
	db $00,$00,$00,$E5,$00,$20,$00,$00,$00,$FF,$FF,$FF,$FF,$FF,$FF,$F0
	db $3F,$00,$00,$00,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$00,$60

	db $0F,$FB,$FC,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00,$03
	db $EF,$29,$00,$00,$01,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$0F,$CD,$FF
	db $20,$00,$00,$70,$FF,$FF,$FF,$FF,$FF,$00,$00,$00,$FF,$FF,$FF,$D0
	db $00,$00,$0F,$FF,$FF,$FF,$FF,$F0,$00,$00,$0F,$FF,$FF,$F0,$00,$00
	db $03,$FF,$FF,$FF,$FF,$F0,$00,$00,$00,$FF,$FF,$FF,$F4,$00,$00,$0F
	db $FF,$FF,$FF,$FF,$F0,$00,$00,$07,$FF,$FF,$FF,$00,$00,$00,$FF,$FF
	db $FF,$FF,$F8,$00,$00,$0F,$FD,$FF,$FF,$FF,$00,$00,$00,$0F,$FF,$FF
	db $FF,$FF,$00,$00,$00,$FF,$FF,$FF,$FF,$F0,$00,$00,$0F,$FF,$FF,$FF
	db $FF,$80,$00,$00,$0F,$FF,$FF,$FF,$FF,$00,$00,$00,$0F,$FF,$FF,$FF
	db $FF,$F0,$00,$00,$0F,$FF,$FF,$FF,$FF,$F0,$00,$00,$0D,$FF,$FF,$FF
	db $FF,$FF,$00,$00,$00,$FF,$FF,$FF,$FF,$FF,$F0,$00,$00,$01,$FF,$FF
	db $FF,$FF,$FF,$00,$00,$00,$FF,$FF,$FF,$FF,$FF,$FF,$00,$00,$00,$FF
	db $FF,$FF,$FF,$FF,$E0,$00,$00,$07,$00,$FF,$FF,$FF,$FF,$FF,$00,$00
	db $00,$0F,$F0,$FF,$FF,$DF,$E0,$00,$00,$01,$00,$0D,$F6,$7F,$FA,$03
	db $60,$00,$E3,$06,$69,$13,$A4,$21,$17,$11,$44,$63,$47,$56,$54,$75
	db $55,$57,$55,$76,$75,$56,$86,$57,$77,$54,$76,$56,$68,$76,$88,$98

	db $68,$77,$66,$76,$66,$78,$77,$98,$88,$88,$56,$86,$76,$68,$67,$87
	db $98,$89,$78,$77,$87,$77,$78,$77,$77,$87,$79,$88,$87,$87,$78,$77
	db $66,$78,$86,$88,$88,$78,$87,$77,$88,$78,$88,$87,$88,$88,$78,$77
	db $77,$88,$78,$88,$87,$88,$77,$88,$77,$77,$87,$78,$88,$76,$88,$77
	db $79,$87,$99,$98,$78,$87,$76,$87,$77,$88,$77,$98,$87,$78,$77,$88
	db $87,$87,$76,$57,$96,$78,$89,$67,$99,$89,$BA,$66,$56,$76,$68,$88
	db $78,$97,$8A,$A9,$56,$53,$46,$AB,$8A,$BB,$99,$9A,$42,$43,$00,$9F
	db $5A,$EF,$A5,$EF,$76,$5B,$20,$55,$51,$2B,$65,$8D,$D6,$9E,$A8,$5A
	db $92,$46,$84,$5F,$E8,$8A,$80,$00,$00,$3F,$9F,$FF,$FF,$FF,$60,$00
	db $00,$00,$00,$9F,$FF,$FF,$FB,$CA,$30,$00,$00,$05,$5A,$FF,$FF,$FC
	db $00,$00,$00,$73,$FF,$FF,$FF,$FA,$00,$00,$00,$00,$05,$FF,$FF,$FF
	db $A9,$50,$00,$00,$00,$5D,$FF,$FF,$FF,$C9,$00,$00,$00,$00,$3F,$FF
	db $FF,$FC,$FC,$00,$00,$00,$03,$DF,$FF,$FF,$FF,$20,$00,$00,$00,$07
	db $FF,$FF,$FF,$20,$00,$00,$00,$26,$9E,$CD,$C7,$10,$3C,$07,$C8,$E0
	db $F8,$08,$09,$03,$90,$63,$FF,$4F,$DB,$63,$A0,$02,$35,$17,$D9,$BB
	db $FA,$68,$63,$02,$63,$7D,$EE,$BB,$B4,$10,$00,$00,$12,$BF,$CF,$FF

	db $F0,$D0,$00,$00,$00,$FC,$FF,$FF,$9C,$50,$00,$00,$03,$8F,$DF,$FF
	db $C9,$72,$00,$00,$03,$AB,$DF,$FF,$AA,$72,$04,$11,$45,$87,$99,$55
	db $BC,$65,$45,$F1,$9F,$4F,$0F,$80,$90,$90,$88,$5A,$9D,$F4,$B8,$65
	db $08,$40,$78,$A7,$9E,$A9,$89,$82,$66,$44,$7A,$88,$BB,$B8,$99,$64
	db $56,$54,$78,$98,$AB,$98,$9E,$75,$87,$30,$04,$86,$9F,$F8,$3B,$F0
	db $B8,$F6,$0F,$11,$45,$C2,$3F,$A9,$3C,$A2,$78,$A5,$1B,$85,$59,$D5
	db $6B,$A7,$49,$A5,$58,$96,$5A,$A7,$69,$B7,$68,$96,$47,$96,$68,$A8
	db $79,$A8,$68,$97,$67,$87,$68,$98,$78,$97,$78,$87,$67,$89,$B9,$99
	db $88,$33,$20,$25,$AA,$AA,$FF,$5F,$BB,$10,$72,$01,$1A,$45,$FD,$FA
	db $CC,$56,$46,$40,$56,$67,$7F,$B9,$BB,$B6,$57,$43,$35,$75,$9A,$BA
	db $AB,$B8,$66,$75,$45,$66,$67,$A9,$99,$AA,$88,$77,$65,$66,$66,$79
	db $88,$99,$98,$88,$76,$67,$76,$77,$88,$89,$98,$88,$87,$77,$77,$67
	db $78,$88,$89,$88,$88,$87,$77,$79,$98,$88,$86,$66,$54,$33,$56,$79
	db $DC,$DD,$ED,$98,$65,$42,$34,$34,$68,$99,$BB,$BB,$9A,$98,$76,$65
	db $56,$67,$77,$88,$98,$89,$88,$88,$87,$77,$78,$77,$77,$77,$78,$78
	db $88,$88,$88,$88,$88,$88,$87,$77,$77,$77,$77,$78,$88,$88,$88,$88

	db $88,$88,$88,$78,$77,$88,$88,$88,$87,$78,$88,$88,$88,$88,$88,$88
	db $88,$88,$88,$77,$77,$88,$88,$88,$88,$88,$88,$77,$77,$77,$88,$88
	db $88,$88,$88,$78,$77,$77,$77,$88,$88,$88,$88,$88,$88,$77,$77,$77
	db $88,$88,$88,$88,$88,$88,$88,$78,$88,$78,$88,$88,$88,$77,$88,$88
	db $88,$88,$88,$88,$88,$77,$77,$78,$88,$88,$88,$88,$88,$77,$77,$77
	db $88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88
	db $88,$88,$88,$88,$88,$88,$88,$87,$87,$78,$88,$88,$88,$88,$88,$88
	db $87,$87,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88
	db $88,$88,$88,$88,$88,$88,$88,$88,$87,$88,$78,$88,$78,$88,$88,$88
	db $88,$88,$88,$88,$88,$88,$88,$1F,$00,$00,$00,$00,$00,$00,$77,$77
	db $77,$77,$78,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88
	db $88,$78,$88,$88,$88,$88,$88,$87,$77,$77,$77,$78,$88,$88,$88,$88
	db $88,$88,$88,$88,$88,$88,$98,$76,$78,$88,$76,$77,$78,$88,$77,$77
	db $88,$88,$77,$78,$88,$88,$78,$88,$88,$88,$77,$78,$88,$87,$77,$78
	db $88,$77,$77,$78,$88,$77,$77,$88,$88,$77,$77,$88,$7F,$FF,$40,$00
	db $EF,$FF,$FA,$62,$03,$AF,$FF,$A0,$00,$04,$8B,$FF,$D9,$10,$14,$76

	db $00,$00,$00,$05,$FF,$FC,$00,$07,$FF,$FF,$FB,$10,$04,$FF,$FF,$40
	db $00,$04,$DF,$FF,$70,$00,$00,$00,$00,$00,$05,$FF,$FD,$00,$07,$FF
	db $FF,$FE,$30,$03,$FF,$FF,$70,$00,$03,$DF,$FF,$50,$00,$00,$00,$00
	db $00,$7F,$FF,$D1,$00,$5F,$FF,$FF,$D3,$00,$5F,$FF,$FA,$00,$00,$FF
	db $FF,$F2,$00,$00,$00,$00,$00,$0F,$FF,$F8,$00,$29,$FF,$FF,$FD,$00
	db $06,$FF,$FF,$90,$00,$03,$FF,$FF,$10,$00,$00,$00,$00,$0F,$FF,$F8
	db $00,$07,$FF,$FF,$FF,$20,$01,$FF,$FF,$F7,$00,$00,$9F,$FE,$40,$00
	db $00,$00,$00,$7F,$FF,$E0,$00,$09,$FF,$FF,$FF,$00,$00,$FF,$FF,$FE
	db $40,$00,$3B,$FD,$20,$00,$00,$00,$0F,$FF,$F9,$00,$00,$7F,$FF,$FF
	db $F4,$00,$06,$FF,$FF,$FB,$00,$00,$57,$84,$00,$00,$00,$00,$FF,$FF
	db $F8,$00,$00,$BF,$FF,$FF,$D2,$00,$05,$DF,$FF,$FD,$40,$00,$00,$00
	db $00,$00,$00,$3F,$FF,$FE,$40,$00,$1B,$FF,$FF,$FD,$40,$00,$04,$DF
	db $FF,$FC,$40,$00,$00,$00,$00,$00,$FF,$FF,$FB,$40,$00,$1B,$FF,$FF
	db $FE,$72,$00,$03,$AF,$FF,$FE,$80,$00,$00,$00,$00,$00,$FF,$FF,$FC
	db $30,$00,$0B,$FF,$FF,$FF,$A4,$00,$00,$5F,$FF,$FF,$C2,$00,$00,$00
	db $00,$00,$FF,$FF,$FF,$60,$00,$04,$FF,$FF,$FF,$FC,$00,$00,$08,$FF

	db $FF,$FC,$10,$00,$00,$00,$00,$FF,$FF,$FF,$A0,$00,$00,$FF,$FF,$FF
	db $FF,$40,$00,$00,$BF,$FF,$FF,$80,$00,$00,$00,$00,$FF,$FF,$FF,$FC
	db $00,$00,$0F,$FF,$FF,$FF,$F5,$00,$00,$05,$FF,$FF,$FF,$20,$00,$00
	db $00,$0D,$FF,$FF,$FF,$F4,$00,$00,$6F,$FF,$FF,$FF,$F4,$00,$00,$00
	db $FF,$FF,$FF,$20,$00,$00,$00,$0F,$FF,$FF,$FF,$FF,$20,$00,$01,$EF
	db $FF,$FF,$FF,$50,$00,$00,$09,$FF,$FF,$90,$00,$00,$00,$00,$FF,$FF
	db $FF,$FF,$FF,$50,$00,$00,$5F,$FF,$FF,$FF,$90,$00,$00,$00,$02,$30
	db $00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FC,$00,$00,$00,$37,$FF,$FF
	db $FD,$60,$00,$00,$00,$37,$75,$00,$00,$00,$00,$06,$FF,$FF,$FF,$FF
	db $F8,$00,$00,$00,$27,$DF,$FF,$FF,$A5,$00,$00,$00,$00,$06,$BF,$FF
	db $EA,$40,$00,$00,$00,$03,$AF,$FF,$FF,$FF,$FD,$53,$00,$00,$00,$24
	db $79,$BB,$CC,$A8,$52,$00,$00,$00,$02,$47,$9C,$DE,$FF,$FE,$B8,$53
	db $10,$00,$35,$78,$77,$89,$BB,$BB,$CD,$EF,$FF,$ED,$CB,$84,$10,$00
	db $00,$24,$68,$9A,$97,$53,$33,$56,$79,$BC,$EE,$DB,$86,$43,$22,$35
	db $7A,$CD,$ED,$CA,$87,$65,$56,$89,$BC,$CC,$B9,$76,$43,$32,$34,$45
	db $67,$77,$76,$66,$66,$78,$AA,$BC,$CC,$BA,$87,$65,$55,$67,$8A,$BC

	db $CC,$B9,$86,$53,$33,$34,$56,$89,$AA,$AA,$98,$87,$66,$66,$77,$88
	db $98,$88,$76,$66,$77,$99,$AB,$BA,$A9,$76,$43,$22,$33,$56,$89,$AB
	db $BB,$BA,$99,$88,$99,$9A,$AA,$98,$76,$55,$45,$66,$78,$99,$98,$76
	db $55,$44,$45,$67,$89,$BB,$CB,$B9,$98,$77,$77,$89,$99,$99,$87,$76
	db $66,$66,$77,$88,$99,$98,$87,$66,$55,$55,$67,$89,$9A,$AA,$98,$87
	db $77,$77,$78,$88,$88,$88,$88,$88,$88,$88,$77,$77,$66,$54,$44,$45
	db $66,$79,$AA,$BB,$BB,$AA,$AA,$99,$99,$99,$99,$88,$87,$65,$44,$33
	db $34,$45,$66,$77,$77,$78,$88,$99,$9A,$AA,$AA,$A9,$98,$87,$77,$77
	db $78,$89,$99,$88,$76,$66,$56,$66,$78,$99,$9A,$99,$88,$76,$54,$43
	db $33,$34,$55,$67,$99,$AB,$CC,$DD,$DD,$DC,$CC,$BA,$99,$87,$66,$54
	db $33,$22,$22,$23,$44,$66,$77,$88,$89,$9A,$AB,$BB,$CC,$CB,$BA,$87
	db $54,$33,$22,$22,$34,$57,$89,$BC,$DE,$EE,$EE,$ED,$CB,$A9,$87,$65
	db $44,$44,$43,$33,$33,$33,$44,$57,$89,$AA,$BB,$BB,$A9,$76,$54,$32
	db $21,$23,$46,$9B,$DF,$FF,$FF,$FF,$ED,$CB,$A8,$66,$54,$33,$22,$22
	db $22,$23,$34,$56,$8A,$AB,$AA,$AA,$86,$52,$00,$00,$02,$35,$7B,$FF
	db $FF,$FF,$FF,$FD,$98,$77,$54,$45,$66,$54,$44,$33,$21,$11,$12,$34

	db $7A,$CD,$DD,$CB,$97,$30,$00,$00,$00,$16,$AF,$FF,$FF,$FF,$FF,$E9
	db $30,$00,$01,$25,$8A,$AA,$87,$42,$00,$00,$00,$03,$9F,$FF,$FF,$FC
	db $61,$00,$00,$00,$00,$7F,$FF,$FF,$FF,$FF,$D8,$10,$00,$02,$7C,$FF
	db $FF,$F6,$20,$00,$00,$00,$03,$9F,$FF,$FF,$FC,$30,$00,$00,$00,$00
	db $05,$FF,$FF,$FF,$FF,$C5,$00,$00,$05,$BF,$FF,$FF,$B5,$00,$00,$00
	db $00,$3A,$FF,$FC,$97,$53,$10,$13,$55,$32,$00,$00,$00,$01,$CF,$FF
	db $FF,$FF,$E7,$30,$00,$3B,$FF,$FF,$FB,$40,$00,$00,$00,$39,$EF,$EC
	db $50,$00,$00,$7B,$FF,$FF,$F8,$00,$00,$00,$00,$3F,$FF,$FF,$FF,$E3
	db $00,$03,$AF,$FF,$FF,$E4,$00,$00,$00,$07,$EF,$DA,$30,$00,$00,$01
	db $9F,$FF,$FF,$F6,$00,$00,$00,$00,$10,$01,$AF,$FF,$FF,$FF,$C8,$79
	db $CE,$ED,$CC,$B8,$41,$00,$12,$22,$34,$43,$10,$13,$45,$68,$98,$75
	db $35,$8D,$FF,$FE,$DA,$62,$00,$00,$00,$00,$5D,$FF,$FF,$FC,$75,$58
	db $FF,$FF,$DA,$63,$10,$13,$78,$85,$31,$00,$02,$58,$99,$74,$22,$24
	db $69,$BD,$CB,$99,$9A,$BC,$CC,$BA,$73,$00,$00,$00,$02,$FF,$FF,$E9
	db $76,$68,$CF,$FF,$C6,$10,$36,$8B,$DD,$B6,$00,$00,$25,$89,$97,$40
	db $00,$37,$BC,$CC,$97,$43,$47,$BE,$FF,$FF,$EA,$74,$56,$64,$20,$00

	db $00,$01,$BF,$FF,$94,$34,$7B,$FF,$FF,$C8,$21,$68,$BC,$BA,$84,$00
	db $01,$58,$87,$75,$44,$46,$9C,$CB,$85,$43,$35,$7A,$CD,$CA,$87,$78
	db $9B,$FF,$EC,$73,$22,$33,$22,$10,$00,$00,$9F,$FF,$B8,$89,$BD,$EF
	db $FF,$B6,$34,$8B,$CB,$97,$64,$21,$35,$78,$64,$32,$33,$46,$79,$98
	db $76,$67,$88,$99,$99,$87,$78,$9B,$CC,$CB,$AB,$DE,$EB,$85,$21,$00
	db $00,$01,$21,$00,$8C,$FF,$C9,$78,$CD,$EE,$FF,$DA,$65,$7A,$BA,$85
	db $54,$43,$34,$67,$75,$44,$45,$66,$78,$99,$87,$67,$78,$88,$89,$99
	db $88,$99,$AA,$99,$99,$99,$88,$AC,$EE,$B7,$31,$00,$00,$01,$23,$20
	db $05,$CF,$FF,$A8,$9B,$EF,$FF,$ED,$A7,$55,$8A,$A9,$65,$54,$43,$45
	db $67,$64,$44,$56,$77,$78,$88,$76,$78,$99,$99,$99,$98,$88,$89,$99
	db $98,$89,$99,$88,$99,$88,$66,$79,$CD,$C9,$52,$22,$21,$11,$12,$21
	db $02,$7E,$FF,$D9,$9B,$FF,$FF,$FE,$B9,$65,$79,$A9,$65,$43,$32,$23
	db $56,$66,$55,$57,$78,$89,$99,$86,$56,$78,$88,$99,$99,$88,$89,$AA
	db $A9,$88,$88,$88,$88,$88,$76,$66,$66,$77,$77,$77,$7A,$CE,$FB,$85
	db $34,$44,$32,$11,$00,$00,$5C,$FF,$C9,$78,$DF,$FF,$FF,$DA,$66,$79
	db $BB,$96,$44,$32,$22,$46,$76,$54,$55,$67,$78,$88,$76,$56,$78,$99

	db $99,$99,$88,$99,$AA,$98,$88,$77,$78,$88,$88,$77,$77,$77,$77,$66
	db $66,$67,$88,$88,$88,$88,$88,$89,$BE,$FD,$A6,$44,$55,$43,$10,$00
	db $00,$29,$FF,$EA,$78,$BE,$FF,$FF,$EB,$86,$79,$BB,$A8,$75,$43,$23
	db $46,$65,$44,$45,$56,$88,$99,$76,$66,$67,$78,$99,$99,$99,$9A,$AA
	db $99,$99,$87,$77,$88,$88,$87,$77,$76,$77,$77,$66,$77,$77,$77,$88
	db $88,$77,$77,$77,$77,$88,$88,$88,$88,$88,$88,$87,$89,$BD,$DC,$97
	db $55,$44,$43,$21,$00,$00,$49,$DF,$EC,$AA,$AC,$DE,$EE,$DA,$87,$78
	db $99,$99,$76,$53,$33,$45,$56,$66,$66,$66,$78,$99,$88,$76,$66,$77
	db $89,$99,$99,$99,$99,$99,$99,$88,$88,$88,$88,$88,$77,$66,$66,$67
	db $77,$77,$77,$78,$88,$88,$88,$87,$77,$77,$77,$88,$88,$88,$88,$88
	db $88,$87,$77,$77,$77,$88,$88,$87,$77,$78,$AC,$DD,$CB,$87,$54,$32
	db $21,$10,$00,$03,$7A,$DE,$DD,$CC,$CC,$DE,$ED,$CB,$98,$77,$77,$77
	db $76,$54,$33,$34,$45,$67,$77,$77,$77,$77,$77,$77,$77,$77,$78,$99
	db $9A,$AA,$99,$98,$88,$88,$88,$88,$87,$77,$77,$77,$77,$76,$77,$77
	db $78,$88,$88,$88,$88,$88,$88,$77,$77,$77,$88,$88,$88,$88,$88,$88
	db $88,$88,$78,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$77,$77,$78

	db $88,$99,$9A,$AA,$99,$87,$54,$32,$10,$00,$13,$45,$7A,$BD,$EF,$FF
	db $FF,$FE,$DC,$BA,$98,$77,$65,$44,$33,$32,$33,$33,$45,$56,$77,$89
	db $99,$99,$99,$99,$88,$88,$88,$88,$88,$88,$89,$99,$99,$98,$88,$88
	db $87,$77,$66,$66,$66,$66,$66,$77,$77,$78,$88,$88,$88,$88,$88,$88
	db $88,$88,$88,$77,$77,$77,$77,$77,$77,$78,$88,$88,$87,$77,$77,$77
	db $77,$77,$77,$77,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88
	db $77,$77,$77,$88,$88,$88,$88,$77,$77,$77,$77,$77,$77,$78,$89,$99
	db $AA,$AA,$99,$87,$65,$42,$11,$11,$23,$46,$79,$BC,$EE,$FF,$EE,$ED
	db $CB,$A9,$98,$76,$55,$44,$33,$33,$34,$44,$56,$67,$78,$89,$99,$99
	db $99,$99,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$87,$77,$77
	db $76,$77,$77,$77,$77,$77,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88
	db $77,$77,$77,$77,$77,$78,$88,$88,$88,$88,$88,$88,$88,$88,$88,$88
	db $88,$87,$77,$77,$77,$77,$77,$78,$77,$77,$77,$77,$77,$77,$78,$88
	db $88,$88,$88,$88,$88,$88,$87,$77,$77,$77,$78,$88,$88,$88,$88,$88
	db $88,$87,$77,$77,$77,$77,$77,$77,$77,$78,$88,$88,$88,$88,$88,$88
	db $88,$88,$88,$88,$88,$88,$88,$88,$88,$88,$87,$77,$77,$77,$77,$77

	db $77,$78,$88,$88,$88,$99,$99,$AA,$99,$98,$76,$54,$31,$1F,$85,$55
	db $55,$67,$87,$89,$99,$88,$88,$9A,$BB,$A9,$89,$BC,$BB,$BB,$BB,$CB
	db $CD,$EE,$DC,$B9,$98,$86,$54,$31,$00,$00,$01,$11,$11,$11,$23,$56
	db $77,$77,$88,$99,$AB,$BB,$A9,$AB,$BC,$CD,$CC,$CC,$CC,$EF,$FF,$FE
	db $CB,$A9,$87,$76,$43,$20,$00,$00,$00,$00,$00,$11,$34,$45,$77,$89
	db $AA,$AB,$CC,$CC,$CD,$CC,$BB,$BC,$CC,$DE,$FF,$FF,$FD,$CB,$A9,$76
	db $54,$33,$21,$00,$00,$00,$00,$00,$12,$33,$44,$56,$77,$88
	;
	; ---
	;
	db $9A,$AA
	db $AA,$BB,$CC,$DD,$FF,$FF,$FF,$FF,$FF,$FE,$BB,$98,$64,$21,$00,$00
	db $00,$00,$00,$00,$00,$00,$11,$22,$34,$56,$78,$AB,$DE,$FF,$FF,$FF
	db $FF,$FF,$FF,$FE,$B9,$65,$31,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db $00,$11,$11,$39,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$E9,$42,$12,$34,$56
	db $64,$10,$00,$00,$00,$00,$00,$00,$03,$FF,$FF,$FF,$FF,$FF,$FF,$D3
	db $00,$02,$6C,$FF,$FF,$FC,$20,$00,$00,$00,$00,$00,$0D,$FF,$FF,$FF
	db $FF,$FA,$10,$00,$03,$EF,$FF,$FF,$FF,$90,$00,$00,$00,$00,$00,$DF
	db $FF,$FF,$FF,$A0,$00,$00,$04,$FF,$FF,$FF,$FF,$90,$00,$00,$00,$00
	db $03,$AF,$FF,$FF,$D7,$10,$00,$00,$06,$FF,$FF,$FF,$FD,$40,$00,$00

	db $00,$00,$00,$00,$01,$49,$EF,$FF,$FF,$B6,$30,$01,$48,$DF,$FF,$FF
	db $B9,$51,$00,$00,$00,$00,$00,$00,$00,$5B,$FF,$FF,$FF,$96,$33,$35
	db $7B,$FF,$FF,$FC,$85,$22,$21,$24,$65,$43,$10,$00,$01,$7A,$FF,$FF
	db $FB,$62,$00,$15,$9D,$FF,$FF,$EA,$40,$00,$00,$05,$BF,$FF,$C9,$52
	db $00,$00,$36,$BF,$FF,$FC,$88,$54,$58,$BE,$FF,$EC,$72,$00,$00,$05
	db $9D,$FF,$EC,$94,$20,$00,$13,$56,$56,$99,$99,$AA,$CC,$CB,$BA,$76
	db $55,$56,$89,$BC,$CB,$AA,$87,$66,$66,$67,$77,$65,$43,$22,$33,$46
	db $8A,$BB,$A7,$67,$77,$78,$9A,$AA,$99,$99,$99,$BC,$CC,$BA,$97,$43
	db $22,$23,$46,$88,$88,$77,$66,$66,$78,$88,$99,$87,$77,$89,$9A,$BC
	db $CB,$98,$75,$32,$35,$78,$9A,$BB,$98,$65,$44,$56,$7A,$AB,$BB,$BA
	db $86,$65,$55,$56,$77,$77,$77,$77,$77,$88,$88,$87,$77,$67,$79,$AA
	db $BC,$CB,$A9,$87,$66,$55,$66,$66,$77,$76,$65,$55,$55,$56,$67,$89
	db $AA,$AA,$AA,$99,$99,$99,$9A,$99,$98,$88,$87,$77,$77,$66,$54,$43
	db $34,$45,$68,$9A,$BB,$BA,$98,$76,$66,$67,$89,$AB,$BB,$BA,$98,$76
	db $55,$55,$55,$66,$77,$88,$99,$99,$98,$87,$77,$66,$77,$78,$88,$99
	db $99,$98,$87,$76,$66,$66,$67,$78,$88,$88,$88,$88,$77,$77,$88,$89

	db $99,$99,$98,$87,$66,$66,$66,$77,$78,$88,$88,$77,$66,$66,$66,$77
	db $88,$99,$AA,$AA,$A9,$98,$87,$77,$66,$67,$77,$77,$77,$77,$66,$66
	db $66,$78,$89,$99,$99,$99,$88,$87,$77,$78,$88,$88,$88,$88,$77,$77
	db $77,$77,$77,$77,$88,$88,$88,$88,$87,$77,$77,$77,$78,$88,$99,$98
	db $88,$77,$66,$66,$66,$77,$88,$89,$99,$88,$87,$77,$77,$88,$88,$88
	db $88,$88,$88,$77,$77,$66,$66,$77,$78,$88,$88,$88,$77,$77,$77,$78
	db $88,$99,$98,$88,$87,$77,$76,$66,$77,$77,$88,$89,$99,$99,$98,$88
	db $88,$88,$88,$88,$88,$88,$77,$77,$77,$66,$77,$77,$77,$77,$78,$88
	db $88,$88,$88,$87,$77,$77,$77,$77,$78,$88,$88,$99,$99,$99,$99,$98
	db $88,$88,$77,$77,$77,$77,$66,$66,$66,$66,$77,$77,$88,$99,$99,$88
	db $87,$76,$66,$66,$77,$88,$99,$9A,$AA,$AA,$99,$99,$99,$98,$88,$77
	db $76,$66,$66,$66,$66,$67,$77,$77,$77,$76,$66,$66,$67,$77,$89,$AA
	db $AB,$BB,$BB,$BB,$AA,$A9,$98,$88,$77,$76,$66,$66,$65,$55,$54,$44
	db $44,$44,$44,$56,$78,$9A,$AB,$CC,$CD,$DD,$DD,$CC,$BB,$AA,$98,$77
	db $66,$55,$55,$44,$44,$33,$32,$21,$11,$23,$45,$78,$AB,$DE,$FF,$FF
	db $FF,$ED,$DC,$BB,$A9,$88,$76,$55,$44,$33,$33,$22,$11,$11,$11,$12

	db $34,$57,$8B,$CE,$FF,$FF,$FF,$FF,$ED,$CB,$A9,$88,$66,$65,$55,$44
	db $43,$32,$10,$00,$00,$00,$02,$36,$7A,$DF,$FF,$FF,$FF,$FF,$FE,$CB
	db $A9,$87,$76,$66,$66,$55,$44,$21,$00,$00,$00,$00,$01,$47,$DF,$FF
	db $FF,$FF,$FF,$FD,$A7,$64,$43,$34,$56,$77,$77,$64,$00,$00,$00,$00
	db $00,$03,$AE,$FF,$FF,$FF,$FF,$FC,$95,$21,$11,$24,$68,$AB,$BB,$A6
	db $20,$00,$00,$00,$00,$05,$DF,$FF,$FF,$FF,$FF,$95,$00,$00,$02,$69
	db $DF,$FF,$EA,$61,$00,$00,$00,$00,$01,$9F,$FF,$FF,$FF,$FF,$C5,$00
	db $00,$03,$BF,$FF,$FF,$FC,$20,$00,$00,$00,$00,$0B,$FF,$FF,$FF,$FF
	db $C4,$00,$00,$00,$CF,$FF,$FF,$FF,$90,$00,$00,$00,$00,$CF,$FF,$FF
	db $FF,$F8,$00,$00,$00,$3F,$FF,$FF,$FF,$FC,$00,$00,$00,$00,$0F,$FF
	db $FF,$FF,$70,$00,$00,$01,$FF,$FF,$FF,$FF,$A1,$00,$00,$00,$00,$0F
	db $FF,$FE,$A8,$30,$00,$00,$06,$CF,$FF,$FF,$FE,$84,$00,$00,$00,$00
	db $00,$CF,$FF,$FF,$F8,$00,$00,$00,$5B,$FF,$FF,$FF,$B5,$00,$00,$00
	db $00,$05,$FF,$FF,$FF,$A2,$00,$00,$01,$8D,$FF,$FF,$FE,$A8,$40,$00
	db $00,$00,$05,$FF,$FF,$FF,$C2,$00,$00,$04,$9D,$FF,$FE,$98,$88,$41
	db $00,$00,$00,$1A,$FF,$FF,$FE,$60,$00,$00,$6B,$DE,$EC,$A8,$89,$BA

	db $60,$00,$00,$00,$8F,$FF,$FF,$F8,$00,$00,$26,$9B,$CC,$85,$46,$9D
	db $EB,$50,$00,$00,$06,$FF,$FF,$FF,$92,$00,$26,$AC,$DD,$A6,$10,$35
	db $9A,$64,$00,$00,$00,$BF,$FF,$FF,$F8,$10,$15,$8C,$FF,$FE,$72,$12
	db $56,$64,$00,$00,$00,$4B,$FF,$FF,$FD,$40,$00,$48,$FF,$FF,$FB,$64
	db $34,$32,$00,$00,$00,$08,$CF,$FF,$FF,$90,$00,$02,$6D,$FF,$FF,$D9
	db $75,$32,$11,$00,$00,$00,$48,$CF,$FF,$FA,$30,$00,$01,$8F,$FF,$FF
	db $FD,$A6,$44,$31,$00,$00,$00,$5A,$FF,$FF,$EA,$40,$00,$00,$9D,$FF
	db $FF,$FE,$A8,$74,$10,$00,$00,$00,$5B,$FF,$FF,$FA,$51,$00,$00,$3A
	db $FF,$FF,$FF,$BA,$75,$10,$00,$00,$00,$37,$EF,$FF,$FF,$A5,$20,$00
	db $06,$AD,$FF,$FF,$FD,$B9,$62,$00,$00,$00,$00,$7C,$FF,$FF,$FB,$75
	db $31,$00,$26,$8A,$CF,$FF,$FF,$DA,$50,$00,$00,$00,$01,$7A,$CF,$FF
	db $FD,$CA,$86,$20,$02,$46,$9C,$FF,$FF,$FD,$84,$00,$00,$00,$00,$14
	db $68,$AB,$BE,$ED,$CB,$A9,$86,$78,$89,$AA,$AA,$98,$87,$76,$66,$66
	db $66,$54,$33,$44,$33,$22,$45,$68,$AB,$DE,$FF,$FE,$DB,$98,$76,$67
	db $77,$88,$89,$88,$76,$54,$22,$10,$00,$12,$46,$8A,$BC,$CC,$CC,$BB
	db $BB,$BC,$BB,$BB,$AA,$99,$88,$76,$53,$22,$12,$22,$34,$45,$55,$56

	db $77,$89,$BC,$CD,$DE,$EE,$EE,$ED,$CB,$97,$55,$44,$44,$55,$55,$42
	db $21,$11,$12,$35,$67,$8A,$BD,$EF,$FF,$FF,$ED,$CB,$A9,$98,$88,$77
	db $65,$44,$33,$22,$11,$00,$12,$34,$58,$9A,$BC,$CD,$DD,$DD,$EE,$EE
	db $DD,$CB,$A9,$87,$65,$43,$33,$34,$33,$33,$43,$23,$33,$34,$56,$89
	db $BC,$DD,$EE,$EF,$ED,$DC,$BB,$A8,$86,$66,$55,$55,$66,$66,$54,$21
	db $00,$00,$01,$36,$9C,$FF,$FF,$FF,$FD,$B9,$74,$44,$45,$67,$89,$9A
	db $BA,$AA,$98,$76,$54,$32,$00,$00,$00,$00,$56,$AD,$FF,$FF,$FF,$FE
	db $B8,$41,$00,$01,$35,$7A,$BD,$DC,$CB,$86,$54,$31,$23,$33,$34,$43
	db $32,$13,$24,$77,$BD,$FF,$FF,$FF,$DC,$97,$43,$32,$34,$67,$9A,$CC
	db $CC,$B9,$75,$43,$12,$22,$56,$78,$88,$87,$55,$21,$21,$14,$57,$9C
	db $FF,$FF,$FF,$FE,$C9,$65,$32,$23,$44,$57,$88,$99,$99,$88,$65,$54
	db $44,$66,$77,$98,$88,$76,$54,$32,$23,$44,$78,$AB,$DF,$FF,$FF,$FE
	db $DA,$96,$65,$33,$33,$34,$55,$67,$87,$88,$86,$66,$55,$56,$77,$9A
	db $AA,$AA,$98,$76,$55,$44,$33,$56,$68,$AA,$CC,$EE,$EE,$DC,$BB,$98
	db $66,$43,$33,$33,$45,$67,$89,$99,$A9,$99,$98,$77,$66,$56,$66,$78
	db $89,$9A,$99,$98,$76,$65,$44,$43,$54,$57,$7A,$AC,$DD,$EE,$ED,$CC

	db $A9,$86,$54,$43,$33,$43,$45,$66,$77,$88,$89,$99,$99,$88,$87,$77
	db $77,$78,$89,$99,$A9,$99,$87,$76,$55,$55,$44,$56,$57,$88,$99,$BA
	db $BB,$BB,$BB,$A9,$99,$77,$76,$65,$65,$55,$66,$66,$66,$77,$77,$88
	db $88,$88,$88,$88,$88,$88,$99,$99,$9A,$99,$98,$77,$66,$55,$55,$55
	db $55,$67,$77,$88,$99,$AA,$AB,$BB,$AB,$AA,$99,$87,$76,$65,$55,$55
	db $56,$66,$67,$77,$77,$88,$88,$88,$88,$88,$88,$88,$88,$88,$99,$99
	db $AA,$99,$98,$87,$66,$55,$44,$44,$45,$55,$67,$78,$89,$AA,$BB,$BC
	db $BC,$BB,$AA,$99,$87,$76,$66,$55,$55,$55,$1F
	
;	if HIT_IT_FLASH=1
;	org $7800
;	include "titlepic_hex.asm"
;	endif
; EOF