	org $1001-2
	dw $1001

clr_ptr = $10
ptr	= $12

lum_src	= $10
col_src	= $12
lum_dst	= $14
col_dst	= $16

res1	= $18
res2	= $19
	
	dw nextln,0	; second word is line number
	db $9E,"4109",0
nextln	db 0,0
	
start
	sei
	sta $ff3f
	;
	ldx #$FF
	lda $FF07
	and #$40
	beq *+4
	ldx #$F7
	cpx $FF1D
	bne *-3
	;
	lda #$00
	sta $FF19
	sta $FF15
	;
	lda #$3B
	sta $FF06
	;
	lda $FF07
	and #$40
	ora #$18
	sta $FF07
	;
	lda $FF12
	and #$03
	ora #bitmap >> 10
	sta $FF12
	;
	lda #$10
	sta $FF14
	;
	lda #$00
	sta $FF16
	;
	;--
	lda #$80
	sta lum_src
	sta lum_dst
	sta col_src
	sta col_dst
	lda #colormap >> 8
	sta lum_src+1
	ora #$04
	sta col_src+1
	lda #08
	sta lum_dst+1
	ora #$04
	sta col_dst+1
	;
	dec lum_src+1
	dec col_src+1
	dec lum_dst+1
	dec col_dst+1
	;--
	;
	jmp $1D00				; start digi
	;
	org $1400
	ds $0400
	;
	org $1800
fade_in
	lda lum_src
	eor #$80
	sta lum_src
	sta lum_dst
	sta col_src
	sta col_dst
	bne fade_start
	;
	lda lum_src+1
	cmp #(colormap + $300) >> 8
	bne fi6
	;
	lda #$71
	sec
	sbc sub_hi+1
	sta $FF16
	;
	lda lum_dst+1
	and #$F8
	sta $FF14
	;
	eor #$18
	sta lum_dst+1
	ora #$04
	sta col_dst+1
	;
	lda #colormap >> 8
	sta lum_src+1
	ora #$04
	sta col_src+1
	;
	lda sub_hi+1
	bne fi7
	;
	lda #$60				; RTS opcode
	sta fade_in				; we're done, disable this code
	;
	lda #colormap >> 8			; set the final color map
	sta $FF14
	rts
	;
fi7	sec
	sbc #$10
	sta sub_hi+1
	lda sub_lo+1
	sec
	sbc #$01
	sta sub_lo+1
	jmp fade_start
	;
fi6	inc lum_src+1
	inc lum_dst+1
	inc col_src+1
	inc col_dst+1
	;
fade_start
	;dec $FF19
	;
	ldy #$00
fi0	lda (lum_src),y
	tax					; save for later
	and #$F0
	sec
sub_hi	sbc #$70
	bpl fi1
	;
	lda #$00
	sta res1
	sta res2
	beq fi2
	;
fi1	sta res1
	lda (col_src),y
	and #$0F
	sta res2
	;
fi2	txa					; get same byte from x
	and #$0F
	sec
sub_lo	sbc #$07
	bpl fi3
	;
	lda res1
	sta (lum_dst),y
	lda res2
	sta (col_dst),y
	jmp fi4
	;
fi3	ora res1
	sta (lum_dst),y
	lda (col_src),y
	and #$F0
	ora res2
	sta (col_dst),y
	;
fi4	iny
	bpl fi0
	;inc $FF19
	;
	; --- 
	;
	rts

MUSICBOX=1
 	org $1D00
	include "../digi/outrun_g1D00.asm"
	
	org $7800
colormap
	include "titlepic_colors.asm"
	
	org $8000
bitmap
	include "titlepic_bitmap.asm"
	
	org $A000
	lda #$A2
	sta $FF0A
	;
	lda #compressed & 255
	sta $D0
	lda #compressed >> 8
	sta $D1
	;
	lda #$01
	sta $D2
	lda #$10
	sta $D3
	;
	ldx #((compressed_end - compressed) >> 8) + 2
	ldy #$00
cl1	lda ($D0),y
	sta ($D2),y
	iny
	bne cl1
	inc $D1
	inc $D3
	dex
	bpl cl1
	;
	lda #clear_data & 255
	sta clr_ptr
	lda #clear_data >> 8
	sta clr_ptr+1
	;
	lda #irq & 255
	sta $FFFE
	lda #irq >> 8
	sta $FFFF
	;
	lda #$CC
	sta $FF0B
	cli
	;
	ldx #$F6
	txs
	lda #$00
	tax
	tay
	jmp $100D
	
compressed
	include "main_comp_hex.asm"
	db 0
compressed_end

clear_data
	db 0,0
	include "output.asm"

irq
	pha
	txa
	pha
	tya
	pha
	asl $FF09
	;
	lda $FF06
	and #$10
	beq clr1			; when screen if off, skip everything
	;
clr2	lda clr_ptr			; move pointer ahead by 2
	clc
	adc #$02
	sta clr_ptr
	bcc *+4
	inc clr_ptr+1
	;
	ldy #$01			; get high byte first
	lda (clr_ptr),y
	tax				; save for later
	and #$1F			; remove top 2 bits (flags)
	ora #$80			; bitmap is at $8000
	sta ptr+1
	dey
	lda (clr_ptr),y
	sta ptr
	;
	tya				; Y=A=0
	sta (ptr),y			; clear one char from the bitmap
	iny
	sta (ptr),y
	iny
	sta (ptr),y
	iny
	sta (ptr),y
	iny
	;
	sta (ptr),y
	iny
	sta (ptr),y
	iny
	sta (ptr),y
	iny
	sta (ptr),y
	;
	txa
	bpl clr2			; $80 flag is stop (in frame)
	and #$40			; $40 flag is stop completely
	beq clr1
	;
	lda #$0B			; screen off
	sta $FF06
	;
clr1	pla
	tay
	pla
	tax
	pla
	rti
;eof